<?php

namespace backend\controllers;

use Yii;
use yii\helpers\Inflector;
use common\modules\core\models\CoreValue;
use common\modules\core\models\CoreSite;
use common\modules\cms\models\CmsPage;
use common\modules\cms\models\CmsBlog;
use common\modules\cms\models\CmsNews;
use common\modules\cms\models\CmsTeamMember;
use common\modules\cms\models\CmsEvent;
use common\modules\cms\models\CmsAlbum;
use common\modules\shop\models\ShopCategory;
use common\modules\shop\models\ShopSubcategory;
use common\modules\shop\models\ShopProduct;
use common\modules\shop\models\ShopVoucher;
use common\modules\lms\models\LmsCourse;

class RewriteRulesController extends \yii\web\Controller
{
    public function actionIndex($site_code = 'genesys')
    {
        $data = "";
        $loop_counter = 0;
        $modelCoreSite = CoreSite::findOne(['code' => $site_code, 'status' => 'active']);
        $file = Yii::getAlias('@' . $site_code) . '/web/.htaccess';
        $handle = fopen($file, 'w') or die('Cannot open file:  ' . $file);

        $data .= "Options +FollowSymLinks
IndexIgnore */*

RewriteEngine on

# if a directory or a file exists, use it directly
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
\n";

    switch ($site_code) {
        case 'genesys':
            $data .= "";

            break;
        
        default:
            
            break;
    }

    foreach (Yii::$app->params['rewrite_rules'] as $key_rewrite_rule => $value_rewrite_rule) {
        if (empty($key_rewrite_rule)) {
            $data .= "RewriteRule ^$key_rewrite_rule$ /index.php?r=$value_rewrite_rule [L]\n";
        } else {
            $data .= "RewriteRule ^$key_rewrite_rule$ /index.php?r=$value_rewrite_rule [NC,L]\n";
        }
    }

    $data .= "\n";
    
    $data .= "RewriteRule ^uploads(.*)$ " . Yii::getAlias('@assetsurl') . "/uploads/$1 [NC,L]\n";

        /* START: Page */
        $modelCmsPage = CmsPage::findAll(['status' => 'active']);

        $data .= "\n# START: Page #\n\n";

        foreach ($modelCmsPage as $cmsPageKey => $cmsPageValue) {
            $loop_counter++;

            $data .= "RewriteRule ^" . CoreValue::getEntityValue('page', 'url', $cmsPageValue->id, $modelCoreSite->language->code) . "$ /index.php?r=cms/page/view&id=" . $cmsPageValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: Page #\n\n";
        /* END: Page */

        /* START: Blog */
        $modelCmsBlog = CmsBlog::findAll(['status' => 'active']);

        $data .= "\n# START: Blog #\n\n";

        foreach ($modelCmsBlog as $cmsBlogKey => $cmsBlogValue) {
            $loop_counter++;

            $data .= "RewriteRule ^blog/" . CoreValue::getEntityValue('blog', 'url', $cmsBlogValue->id, $modelCoreSite->language->code) . "$ /index.php?r=cms/blog/view&id=" . $cmsBlogValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: Blog #\n\n";
        /* END: Blog */

        /* START: News */
        $modelCmsNews = CmsNews::findAll(['status' => 'active']);

        $data .= "\n# START: News #\n\n";

        foreach ($modelCmsNews as $cmsNewsKey => $cmsNewsValue) {
            $loop_counter++;

            $data .= "RewriteRule ^blog/" . CoreValue::getEntityValue('blog', 'url', $cmsNewsValue->id, $modelCoreSite->language->code) . "$ /index.php?r=cms/blog/view&id=" . $cmsNewsValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: News #\n\n";
        /* END: News */

        /* START: Team Member */
        $modelCmsTeamMember = CmsTeamMember::findAll(['status' => 'active']);

        $data .= "\n# START: Team Member #\n\n";

        foreach ($modelCmsTeamMember as $cmsTeamMemberKey => $cmsTeamMemberValue) {
            $loop_counter++;

            $data .= "RewriteRule ^member/" . CoreValue::getEntityValue('team_member', 'url', $cmsTeamMemberValue->id, $modelCoreSite->language->code) . "$ /index.php?r=cms/team-member/view&id=" . $cmsTeamMemberValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: Team Member #\n\n";
        /* END: Team Member */

        /* START: Event */
        $modelCmsEvent = CmsEvent::findAll(['status' => 'active']);

        $data .= "\n# START: Event #\n\n";

        foreach ($modelCmsEvent as $cmsEventKey => $cmsEventValue) {
            $loop_counter++;

            $data .= "RewriteRule ^event/" . CoreValue::getEntityValue('event', 'url', $cmsEventValue->id, $modelCoreSite->language->code) . "$ /index.php?r=cms/event/view&id=" . $cmsEventValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: Event #\n\n";
        /* END: Event */

        /* START: Album */
        $modelCmsAlbum = CmsAlbum::findAll(['status' => 'active']);

        $data .= "\n# START: Album #\n\n";

        foreach ($modelCmsAlbum as $cmsAlbumKey => $cmsAlbumValue) {
            $loop_counter++;

            $data .= "RewriteRule ^album/" . CoreValue::getEntityValue('album', 'url', $cmsAlbumValue->id, $modelCoreSite->language->code) . "$ /index.php?r=cms/album/view&id=" . $cmsAlbumValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: Album #\n\n";
        /* END: Album */
		
		/* START: Voucher */
        /*$modelShopVoucher = ShopVoucher::findAll(['status' => 'active']);

        $data .= "\n# START: Voucher #\n\n";

        foreach ($modelShopVoucher as $shopVoucherKey => $shopVoucherValue) {
            $loop_counter++;

            $data .= "RewriteRule ^" . CoreValue::getEntityValue('voucher', 'url', $shopVoucherValue->id, $modelCoreSite->language->code) . "$ /index.php?r=shop/voucher/view&id=" . $shopVoucherValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: Voucher #\n\n";*/
        /* END: Voucher */

        /* START: Category */
        $modelShopCategory = ShopCategory::findAll(['status' => 'active']);

        $data .= "# START: Category #\n\n";

        foreach ($modelShopCategory as $shopCategoryKey => $shopCategoryValue) {
            $loop_counter++;

            $data .= "RewriteRule ^" . CoreValue::getEntityValue('category', 'url', $shopCategoryValue->id, $modelCoreSite->language->code) . "$ /index.php?r=shop/category/view&id=" . $shopCategoryValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: Category #\n\n";
        /* END: Category */

        /* START: Subcategory */
        $modelShopSubcategory = ShopSubcategory::findAll(['status' => 'active']);

        $data .= "# START: Subcategory #\n\n";

        foreach ($modelShopSubcategory as $shopSubcategoryKey => $shopSubcategoryValue) {
            $loop_counter++;

            $data .= "RewriteRule ^" . CoreValue::getEntityValue('subcategory', 'url', $shopSubcategoryValue->id, $modelCoreSite->language->code) . "$ /index.php?r=shop/subcategory/view&id=" . $shopSubcategoryValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: Subcategory #\n\n";
        /* END: Subcategory */

        /* START: Product */
        $modelShopProduct = ShopProduct::findAll(['status' => 'active']);

        $data .= "# START: Product #\n\n";

        foreach ($modelShopProduct as $shopProductKey => $shopProductValue) {
            $loop_counter++;

            $data .= "RewriteRule ^" . CoreValue::getEntityValue('product', 'url', $shopProductValue->id, $modelCoreSite->language->code) . "$ /index.php?r=shop/product/view&id=" . $shopProductValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: Product #";
        /* END: Product */

        /* START: Course */
        /*$modelLmsCourse = LmsCourse::findAll(['status' => 'active']);

        $data .= "# START: Course #\n\n";

        foreach ($modelLmsCourse as $lmsCourseKey => $lmsCourseValue) {
            $loop_counter++;

            $data .= "RewriteRule ^" . CoreValue::getEntityValue('course', 'url', $lmsCourseValue->id, $modelCoreSite->language->code) . "$ /index.php?r=lms/course-activity/index&course_id=" . $lmsCourseValue->id . " [NC,L]\n";
        }

        $data .= "\n# END: Course #";*/
        /* END: Course */

        fwrite($handle, $data);

        fclose($handle);

        Yii::$app->session->setFlash('success', $loop_counter . ' rewrite rules written in ' . $file . '.');

        return $this->render('index');
    }
}
