<?php 

namespace backend\tests\functional;

use backend\tests\FunctionalTester;

class UserCest
{
    public function _before(FunctionalTester $I)
    {
        $I->amOnPage('/site/site/login');

        $I->submitForm('#login-form', [
            'FormLogin' => [
                'email' => 'admin@igsreports.com',
                'password' => '123456',
            ],
        ]);
    }

    // tests
    public function tryUserCreate(FunctionalTester $I)
    {
        $faker = \Faker\Factory::create();

        $form_data = [
            'User' => [
                'email' => $faker->email,
                'password_hash' => \Yii::$app->getSecurity()->generatePasswordHash('123456'),
                'role_id' => 2,
                'site_id' => 1,
            ],
            'UserProfile' => [
                'first_name' => $faker->firstName,
                'last_name' => $faker->lastName,
                'gender' => 'male',
                'date_of_birth' => '',
                'avatar' => '',
                'ba_address' => $faker->streetAddress,
                'ba_city' => $faker->city,
                'ba_country' => $faker->country,
                'ba_zip_code' => '',
                'sa_address' => $faker->streetAddress,
                'sa_city' => $faker->city,
                'sa_country' => $faker->country,
                'sa_zip_code' => '',
                'phone' => '',
                'newsletters' => 'yes',
            ],
        ];

        $I->amOnPage('user/user/create');
        
        $I->submitForm('#user-form', $form_data);

        $I->seeRecord('common\modules\user\models\User', [
            'email' => $form_data['User']['email']
        ]);
    }
}
