<?php

namespace common\channels;

use webzop\notifications\Channel;
use webzop\notifications\Notification;

use common\modules\core\models\CoreSite;
use common\modules\core\models\CoreEntityClass;
use common\modules\site\models\SiteNotification;

class GenesysScreenChannel extends Channel
{

    public $enable = true;
    
    /**
     * Send the given notification.
     *
     * @param Notification $notification
     * @return void
     */
    public function send(Notification $notification)
    {
        // use $notification->getTitle() ou $notification->getDescription();
        // Send your notification in this channel...
        
        if ($this->enable === false) {
            return false;
        }
        
        $post_data = array();
        $modelSiteNotification = new SiteNotification;
        $class_name = $notification->className();

        $post_data['SiteNotification']['channel'] = $this->id;
        $post_data['SiteNotification']['class'] = strtolower(substr($class_name, strrpos($class_name, '\\') + 1, -12));
        $post_data['SiteNotification']['key'] = $notification->key;
        $post_data['SiteNotification']['message'] = (string) $notification->getTitle();
        $post_data['SiteNotification']['route'] = serialize($notification->getRoute());
        $post_data['SiteNotification']['is_read'] = 'no';
        $post_data['SiteNotification']['user_id'] = $notification->user_id;
        $post_data['SiteNotification']['entity_class_id'] = CoreEntityClass::getAttr(['id'], ['name' => $notification->entity_class]) ? CoreEntityClass::getAttr(['id'], ['name' => $notification->entity_class]) : null;
        $post_data['SiteNotification']['entity_id'] = $notification->entity_id;
        $post_data['SiteNotification']['app_alias'] = $notification->app_alias;
        $post_data['SiteNotification']['site_id'] = (int) CoreSite::getAttr(['id'], ['code' => 'genesys']);
        $post_data['SiteNotification']['metadata'] = null;
        $post_data['SiteNotification']['created_by'] = 1;
        $post_data['SiteNotification']['updated_by'] = 1;

        if (SiteNotification::find()->where([
            'channel' => $post_data['SiteNotification']['channel'],
            'class' => $post_data['SiteNotification']['class'],
            'key' => $post_data['SiteNotification']['key'],
            'is_read' => 'no',
            'user_id' => $post_data['SiteNotification']['user_id'],
            'entity_class_id' => $post_data['SiteNotification']['entity_class_id'],
            'entity_id' => $post_data['SiteNotification']['entity_id'],
            'app_alias' => $post_data['SiteNotification']['app_alias'],
            'site_id' => $post_data['SiteNotification']['site_id'],
        ])->exists()) {
            $modelSiteNotification = SiteNotification::find()->where([
                'channel' => $post_data['SiteNotification']['channel'],
                'class' => $post_data['SiteNotification']['class'],
                'key' => $post_data['SiteNotification']['key'],
                'is_read' => 'no',
                'user_id' => $post_data['SiteNotification']['user_id'],
                'entity_class_id' => $post_data['SiteNotification']['entity_class_id'],
                'entity_id' => $post_data['SiteNotification']['entity_id'],
                'app_alias' => $post_data['SiteNotification']['app_alias'],
                'site_id' => $post_data['SiteNotification']['site_id'],
            ])->one();

            return $modelSiteNotification->saveNotification($post_data, $modelSiteNotification->id);
        }

        return $modelSiteNotification->saveNotification($post_data);
    }
}
