<?php

namespace common\components;

use Yii;
use yii\web\UrlManager;

class LegacyUrlManager extends UrlManager
{

	public function parseRequest($request) {
		$url = Yii::$app->request->url;

		$flag_match = false;
		$tmp = preg_match("/\?n=(.*)&r=(.*)/", $url);

		if ($tmp) {
			$mod = 'home';
			$flag_match = true;
		}

		$tmp = preg_match("/\?id=(.*)&successful=(.*)/", $url);

		if ($tmp) {
			$mod = 'thank-you';
			$flag_match = true;
		}

		$tmp = preg_match("/\?order_id=(.*)&trans_id=(.*)/", $url);

		if ($tmp) {
			$mod = 'refund';
			$flag_match = true;
		}

		if (!$flag_match) {
			return parent::parseRequest($request);
		}

		Yii::debug('Pretty URL not enabled. Using default URL parsing logic.', __METHOD__);

        $route = $request->getQueryParam($this->routeParam, '');

        switch ($mod) {
        	case 'home':
        		$route = '/site/site/index';

        		break;

        	case 'thank-you':
        		$route = '/shop/shop/thank-you';
        		
        		break;

        	case 'refund':
        		$route = '/shop/order/refund';
        		
        		break;
        	
        	default:
        		$route = '/site/site/user-dashboard';

        		break;
        }
        
        if (is_array($route)) {
            $route = '';
        }

        return [(string) $route, []];
	}
}