<?php

$config = [
    'bootstrap' => ['log'],
    'vendorPath' => dirname(dirname(__DIR__)) . '/vendor',
    'timeZone' => 'UTC',
    'modules' => [
        'core' => [
            'class' => 'common\modules\core\Module',
        ],
        'user' => [
            'class' => 'common\modules\user\Module',
        ],
        'asset-manager' => [
            'class' => 'common\modules\assetManager\Module',
        ],
        'site' => [
            'class' => 'common\modules\site\Module',
        ],
        'cms' => [
            'class' => 'common\modules\cms\Module',
        ],
        'shop' => [
            'class' => 'common\modules\shop\Module',
        ],
        'payment' => [
            'class' => 'common\modules\payment\Module',
        ],
        'logs' => [
            'class' => 'common\modules\logs\Module',
        ],
        'mailer' => [
            'class' => 'common\modules\mailer\Module',
        ],
        'lms' => [
            'class' => 'common\modules\lms\Module',
        ],
        'inventory' => [
            'class' => 'common\modules\inventory\Module',
        ],
        'accounting' => [
            'class' => 'common\modules\accounting\Module',
        ],
        'affiliate' => [
            'class' => 'common\modules\affiliate\Module',
        ],
        'qms' => [
            'class' => 'common\modules\qms\Module',
        ],

        'gridview' =>  [
            'class' => '\kartik\grid\Module'
            // enter optional module parameters below - only if you need to  
            // use your own export download action or custom translation 
            // message source
            // 'downloadAction' => 'gridview/export/download',
            // 'i18n' => []
        ],
        'dynagrid'=> [
            'class'=>'\kartik\dynagrid\Module',
        ],
    ],
    'components' => [
        'db' => [
            'class' => 'yii\db\Connection',
            'dsn' => 'mysql:host=localhost;dbname=opexms',
            'username' => 'root',
            'password' => 'Mark.Three@@',
            'charset' => 'utf8mb4',
            'attributes' => [PDO::ATTR_CASE => PDO::CASE_LOWER],
            'tablePrefix' => 'mod_',
            'on afterOpen' => function($event) {
                $event->sender->createCommand("SET time_zone='+00:00';")->execute(); 
            },
            'enableSchemaCache' => true,

            // Duration of schema cache.
            'schemaCacheDuration' => 3600,

            // Name of the cache component used to store schema information
            'schemaCache' => 'cache',
        ],
        'mailer' => [
            // 'class' => 'yii\swiftmailer\Mailer',
            'class' => 'common\modules\core\helpers\Mailer',
            'viewPath' => '@common/mail',
            // send all mails to a file by default. You have to set
            // 'useFileTransport' to false and configure a transport
            // for the mailer to send real emails.
            'useFileTransport' => false,
            /*'transport' => [
                'class' => 'Swift_SmtpTransport',
                'host' => 'smtp.sendgrid.net',
                'username' => 'apikey',
                'password' => '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',
                'port' => '2525',
                // 'encryption' => 'tls',
            ],*/
            'transports' => [
                'smtp-1' => [
                    'class' => 'Swift_SmtpTransport',
                    'host' => 'smtp.sendgrid.net',
                    'username' => 'apikey',
                    'password' => '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',
                    'port' => '465',
                    'encryption' => 'ssl',
                ],
                'smtp-2' => [
                    'class' => 'Swift_SmtpTransport',
                    'host' => 'smtp.sendgrid.net',
                    'username' => 'apikey',
                    'password' => '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',
                    'port' => '465',
                    'encryption' => 'ssl',
                ],
            ],
        ],
        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => 'yii\log\DbTarget',
                    'logTable' => 'mod_core_log',
                    'levels' => ['error'],
                ],
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],
        'cache' => [
            'class' => 'yii\caching\FileCache',
        ],
        'qr' => [
            'class' => '\Da\QrCode\Component\QrCodeComponent',
            // ... you can configure more properties of the component here
        ]
    ],
    'aliases' => [
        '@bower' => '@vendor/bower-asset',
        '@npm'   => '@vendor/npm-asset',
    ],
    'container' => [
        'definitions' => [
            \yii\widgets\LinkPager::class => \yii\bootstrap4\LinkPager::class,
        ],
    ],
];

if (YII_ENV_DEV) {
    $config['modules']['gii'] = [
        'class' => 'yii\gii\Module',
        'allowedIPs' => ['*'],
        'generators' => [
            'model' => [
                'class' => 'yii\gii\generators\model\Generator',
                'templates' => [
                    'genesys' => '@common/gii/genesys/model/default',
                    'gii-adminlte-2' => '@common/gii/gii-adminlte-2/model/default',
                    'gii-adminlte-3' => '@common/gii/gii-adminlte-3/model/default',
                ]
            ],
            'crud' => [
                'class' => 'yii\gii\generators\crud\Generator',
                'templates' => [
                    'genesys' => '@common/gii/genesys/crud/default',
                    'gii-adminlte-2' => '@common/gii/gii-adminlte-2/crud/default',
                    'gii-adminlte-3' => '@common/gii/gii-adminlte-3/crud/default',
                ]
            ],
            'crud2' => [
                'class' => 'common\gii\genesys\crud2\Generator',
                'templates' => [
                    'genesys' => '@common/gii/genesys/crud2/default',
                ]
            ],
        ],
    ];
}

$config = yii\helpers\ArrayHelper::merge(
    $config,
    require __DIR__ . '/../modules/core/config/main.php',
    require __DIR__ . '/../modules/user/config/main.php',
    require __DIR__ . '/../modules/assetManager/config/main.php',
    require __DIR__ . '/../modules/site/config/main.php',
    require __DIR__ . '/../modules/cms/config/main.php',
    require __DIR__ . '/../modules/shop/config/main.php',
    require __DIR__ . '/../modules/payment/config/main.php',
    require __DIR__ . '/../modules/logs/config/main.php',
    require __DIR__ . '/../modules/mailer/config/main.php',
    require __DIR__ . '/../modules/lms/config/main.php',
    require __DIR__ . '/../modules/inventory/config/main.php',
    require __DIR__ . '/../modules/accounting/config/main.php',
    require __DIR__ . '/../modules/affiliate/config/main.php',
    require __DIR__ . '/../modules/qms/config/main.php'
);

return $config;
