<?php

use yii\helpers\Inflector;
use yii\helpers\StringHelper;

/* @var $this yii\web\View */
/* @var $generator yii\gii\generators\crud\Generator */

$urlParams = $generator->generateUrlParams();

echo "<?php\n";
?>

use yii\bootstrap4\Html;
use yii\helpers\Inflector;

use common\modules\core\models\CoreLanguage;
use common\modules\core\models\CoreEntityAttribute;
use common\modules\core\models\CoreValue;
use common\modules\user\models\UserProfile;

/* @var $this yii\web\View */
/* @var $model <?= ltrim($generator->modelClass, '\\') ?> */

$entity_value = CoreValue::getEntityValue('<?= Inflector::underscore(Inflector::id2camel(StringHelper::basename($generator->viewPath))) ?>', 'name', $model->id);

if (isset($entity_value) && empty($entity_value)) {
    unset($entity_value);
}

$this->title = 'View <?= ucfirst(Inflector::camel2words(StringHelper::basename($generator->viewPath))) ?>: ' . (isset($entity_value) ? $entity_value : $model->id);
$this->params['breadcrumbs'][] = ['label' => <?= $generator->generateString(Inflector::pluralize(Inflector::camel2words(StringHelper::basename($generator->viewPath)))) ?>, 'url' => ['index']];
$this->params['breadcrumbs'][] = (isset($entity_value) ? $entity_value : $model->id);
?>

<div class="container-fluid <?= Inflector::camel2id(StringHelper::basename($generator->modelClass)) ?>-view">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <p>
                        <?= "<?= " ?>Html::a(<?= $generator->generateString('Update') ?>, ['update', <?= $urlParams ?>], ['class' => 'btn btn-primary']) ?>
                        <?= "<?= " ?>Html::a(<?= $generator->generateString('Delete') ?>, ['delete', <?= $urlParams ?>], [
                            'class' => 'btn btn-danger',
                            'data' => [
                                'confirm' => <?= $generator->generateString('Are you sure you want to delete this item?') ?>,
                                'method' => 'post',
                            ],
                        ]) ?>
                    </p>

                    <?= "<?php\n" ?>
                    $attributes = array();

<?php
if (($tableSchema = $generator->getTableSchema()) === false) {
    foreach ($generator->getColumnNames() as $name) {
        echo "                            '" . $name . "',\n";
    }
} else {
    foreach ($generator->getTableSchema()->columns as $column) {
        $format = $generator->generateColumnFormat($column);

        if ($column->name == 'status') {
            continue;
        }

        if ($column->name == 'id') {
            echo "                    \$attributes[] = ['attribute' => 'id', 'label' => '" . ucfirst(Inflector::camel2words(StringHelper::basename($generator->viewPath))) . " ID'];\n";

            continue;
        }

        if ($column->name == 'site_id') {
            echo "                    \$attributes[] = ['attribute' => 'site.name', 'label' => 'Site'];\n";

            continue;
        }

        if ($column->name == 'created_by') {
            echo "                    \$attributes[] = [
                        'attribute' => 'created_by',
                        'label' => 'Created By',
                        'value' => UserProfile::getAttr(['first_name'], ['user_id' => \$model->created_by]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => \$model->created_by])
                    ];\n";

            continue;
        }

        if ($column->name == 'updated_by') {
            echo "                    \$attributes[] = [
                        'attribute' => 'updated_by',
                        'label' => 'Updated By',
                        'value' => UserProfile::getAttr(['first_name'], ['user_id' => \$model->updated_by]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => \$model->updated_by])
                    ];\n";

            continue;
        }

        echo "                    \$attributes[] = '" . $column->name . ($format === 'text' ? "" : ":" . $format) . "';\n";
    }
}
?>

                    foreach (CoreEntityAttribute::getAttributeClassesOfEntityClass('<?= Inflector::underscore(Inflector::id2camel(StringHelper::basename($generator->viewPath))) ?>') as $attributeClassKey => $attributeClassValue) {
                        foreach (CoreLanguage::find()->where(['status' => 'active'])->all() as $languageKey => $languageValue) {
                            if (Yii::$app->params['attributeFormFields'][$attributeClassValue] == 'wysiwyg') {
                                $attributes[] = [
                                    'attribute' => $attributeClassValue . '_' . $languageValue->code,
                                    'label' => Inflector::titleize(ucfirst($attributeClassValue), true) . ' (' . strtoupper($languageValue->code) . ')',
                                    'value' => CoreValue::getEntityValue('<?= Inflector::underscore(Inflector::id2camel(StringHelper::basename($generator->viewPath))) ?>', $attributeClassValue, $model->id, $languageValue->id),
                                    'format' => 'html',
                                ];
                            } else {
                                $attributes[] = [
                                    'attribute' => $attributeClassValue . '_' . $languageValue->code,
                                    'label' => Inflector::titleize(ucfirst($attributeClassValue), true) . ' (' . strtoupper($languageValue->code) . ')',
                                    'value' => CoreValue::getEntityValue('<?= Inflector::underscore(Inflector::id2camel(StringHelper::basename($generator->viewPath))) ?>', $attributeClassValue, $model->id, $languageValue->id)
                                ];
                            }
                        }
                    }
                    <?= "?>\n" ?>

                    <?= "<?= " ?>\yii\widgets\DetailView::widget([
                        'model' => $model,
                        'attributes' => $attributes,
                    ]) ?>
                </div>
                <!--.col-md-12-->
            </div>
            <!--.row-->
        </div>
        <!--.card-body-->
    </div>
    <!--.card-->
</div>