<?php

use yii\helpers\Inflector;
use yii\helpers\StringHelper;

/* @var $this yii\web\View */
/* @var $generator yii\gii\generators\crud\Generator */

$urlParams = $generator->generateUrlParams();
$nameAttribute = $generator->getNameAttribute();

echo "<?php\n";
?>

use yii\bootstrap4\Html;
<?php if ($generator->indexWidgetType === 'grid') { ?>
use kartik\grid\GridView;
use kartik\dynagrid\DynaGrid;
<?php } ?>
<?= $generator->enablePjax ? "use yii\widgets\Pjax;" : "" ?>

/* @var $this yii\web\View */
<?= !empty($generator->searchModelClass) ? "/* @var \$searchModel " . ltrim($generator->searchModelClass, '\\') . " */\n" : '' ?>
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = <?= $generator->generateString(Inflector::pluralize(Inflector::camel2words(StringHelper::basename($generator->viewPath)))) ?>;
$this->params['breadcrumbs'][] = $this->title;

$columns = [
    ['class' => 'kartik\grid\SerialColumn', 'order' => DynaGrid::ORDER_FIX_LEFT],

<?php
$count = 0;
$flag_column_metadata = false;
if (($tableSchema = $generator->getTableSchema()) === false) {
    foreach ($generator->getColumnNames() as $name) {
        if (++$count < 6) {
            echo "                            '" . $name . "',\n";
        } else {
            echo "                            //'" . $name . "',\n";
        }
    }
} else {
    foreach ($tableSchema->columns as $column) {
        $format = $generator->generateColumnFormat($column);

        if ($column->name == 'status') {
            continue;
        }

        if ($column->name == 'id') {
            echo "    [
        'attribute' => 'id',
        'label' => '" . ucfirst(Inflector::camel2id(StringHelper::basename($generator->viewPath))) . " ID',
        'value' => 'id'
    ],\n";
            continue;
        }

        if ($column->name == 'site_id') {
            echo "    [
        'attribute' => 'site_id',
        'label' => 'Site',
        'value' => function (\$model, \$key, \$index, \$widget) {
            return \common\modules\core\models\CoreSite::getAttr(['name'], ['id' => \$model['site_id']]);
        },
        'filter' => \common\modules\core\models\CoreSite::getAll(\$k = 'id', \$v = 'name'),
        'visible' => false
    ],\n";

            continue;
        }

        if ($column->name == 'metadata') {
            $flag_column_metadata = true;

            continue;
        }

        if ($column->name == 'created_by') {
            echo "    [
        'attribute' => 'created_by',
        'value' => function (\$model, \$key, \$index, \$widget) {
            return \common\modules\user\models\UserProfile::getAttr(['first_name'], ['user_id' => \$model['created_by']]) . ' ' . \common\modules\user\models\UserProfile::getAttr(['last_name'], ['user_id' => \$model['created_by']]);
        },
        'visible' => false
    ],\n";

            continue;
        }

        if ($column->name == 'updated_by') {
            echo "    [
        'attribute' => 'updated_by',
        'value' => function (\$model, \$key, \$index, \$widget) {
            return \common\modules\user\models\UserProfile::getAttr(['first_name'], ['user_id' => \$model['updated_by']]) . ' ' . \common\modules\user\models\UserProfile::getAttr(['last_name'], ['user_id' => \$model['updated_by']]);
        },
        'visible' => false
    ],\n";

            continue;
        }

        if (++$count < 6 || $column->name == 'created_at' || $column->name == 'updated_at') {
            echo "    '" . $column->name . ($format === 'text' ? "" : ":" . $format) . "',\n";
        } else {
            echo "    // '" . $column->name . ($format === 'text' ? "" : ":" . $format) . "',\n";
        }
    }
}

echo "\n    ['class' => 'kartik\grid\ActionColumn', 'order' => DynaGrid::ORDER_FIX_RIGHT],\n];\n";

if ($flag_column_metadata === true) {
    echo "\n\$columns = array_merge(\$columns, \common\modules\core\components\Globals::dynagridMetadataColumns('" . Inflector::camel2id(StringHelper::basename($generator->viewPath)) . "_metadata', []));\n";
}

echo "?>\n";
?>

<div class="container-fluid <?= Inflector::camel2id(StringHelper::basename($generator->modelClass)) ?>-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= "<?= " ?>Html::a(<?= $generator->generateString('Create ' . Inflector::camel2words(StringHelper::basename($generator->viewPath))) ?>, ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

<?= $generator->enablePjax ? "                    <?php Pjax::begin(); ?>\n" : '' ?>
<?php if ($generator->indexWidgetType === 'grid'): ?>
    <?= "                <?= " ?>DynaGrid::widget([
                        'columns' => $columns,
                        'storage' => DynaGrid::TYPE_SESSION,
                        'theme' => 'simple-condensed',
                        'allowPageSetting' => true,
                        'allowThemeSetting' => false,
                        'allowFilterSetting' => false,
                        'allowSortSetting' => false,
                        'gridOptions' => [
                            'dataProvider' => $dataProvider,
                            'filterModel' => $searchModel,
                            'showPageSummary' => false,
                            'floatHeader' => false,
                            'pjax' => true,
                            'responsiveWrap' => true,
                            'panel' => [
                                'after' => false
                            ],
                            'toolbar' =>  [
                                ['content' => 
                                    Html::a('<i class="fas fa-plus"></i>', ['create'], [
                                        'type' => 'button', 
                                        'title' => 'Add User', 
                                        'class' => 'btn btn-success', 
                                        'data-pjax' => 0, 
                                    ]) . 
                                    Html::a('<i class="fas fa-redo"></i>', ['index'], [
                                        'type' => 'button', 
                                        'title' => 'Reset Grid', 
                                        'class' => 'btn btn-outline-secondary', 
                                        'data-pjax' => 0, 
                                    ]) . 
                                    '{dynagrid}' . 
                                    '{export}'
                                ],
                            ]
                        ],
                        'options' => ['id' => 'dynagrid-mailer-<?= Inflector::camel2id(StringHelper::basename($generator->viewPath)) ?>']
                    ]);
                    ?>
<?php else: ?>
    <?= "               <?= " ?>ListView::widget([
                        'dataProvider' => $dataProvider,
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'itemOptions' => ['class' => 'item'],
                        'itemView' => function ($model, $key, $index, $widget) {
                            return Html::a(Html::encode($model-><?= $nameAttribute ?>), ['view', <?= $urlParams ?>]);
                        },
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                            'options' => ['class' => 'pagination mt-3'],
                        ]
                    ]) ?>
<?php endif; ?>
<?= $generator->enablePjax ? "                    <?php Pjax::end(); ?>\n" : '' ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>