<?php

use yii\helpers\Inflector;
use yii\helpers\StringHelper;

/* @var $this yii\web\View */
/* @var $generator yii\gii\generators\crud\Generator */

$urlParams = $generator->generateUrlParams();

echo "<?php\n";
?>

use yii\bootstrap4\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model <?= ltrim($generator->modelClass, '\\') ?> */

$this->title = $model-><?= $generator->getNameAttribute() ?>;
$this->params['breadcrumbs'][] = ['label' => <?= $generator->generateString(Inflector::pluralize(Inflector::camel2words(StringHelper::basename($generator->viewPath)))) ?>, 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid <?= Inflector::camel2id(StringHelper::basename($generator->modelClass)) ?>-view">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <p>
                        <?= "<?= " ?>Html::a(<?= $generator->generateString('Update') ?>, ['update', <?= $urlParams ?>], ['class' => 'btn btn-primary']) ?>
                        <?= "<?= " ?>Html::a(<?= $generator->generateString('Delete') ?>, ['delete', <?= $urlParams ?>], [
                            'class' => 'btn btn-danger',
                            'data' => [
                                'confirm' => <?= $generator->generateString('Are you sure you want to delete this item?') ?>,
                                'method' => 'post',
                            ],
                        ]) ?>
                    </p>

                    <?= "<?= " ?>DetailView::widget([
                        'model' => $model,
                        'attributes' => [
<?php
if (($tableSchema = $generator->getTableSchema()) === false) {
    foreach ($generator->getColumnNames() as $name) {
        echo "                            '" . $name . "',\n";
    }
} else {
    foreach ($generator->getTableSchema()->columns as $column) {
        $format = $generator->generateColumnFormat($column);

        if ($column->name == 'status') {
            continue;
        }

        if ($column->name == 'id') {
            echo "                            ['attribute' => 'id', 'label' => '" . ucfirst(Inflector::camel2id(StringHelper::basename($generator->viewPath))) . " ID'],\n";

            continue;
        }

        if ($column->name == 'site_id') {
            echo "                            ['attribute' => 'site.name', 'label' => 'Site'],\n";

            continue;
        }

        if ($column->name == 'created_by') {
            echo "                            [
                                'attribute' => 'created_by', 
                                'label' => 'Created By', 
                                'value' => \common\modules\user\models\UserProfile::getAttr(['first_name'], ['user_id' => \$model->created_by]) . ' ' . \common\modules\user\models\UserProfile::getAttr(['last_name'], ['user_id' => \$model->created_by])
                            ],\n";

            continue;
        }

        if ($column->name == 'updated_by') {
            echo "                            [
                                'attribute' => 'updated_by', 
                                'label' => 'Updated By', 
                                'value' => \common\modules\user\models\UserProfile::getAttr(['first_name'], ['user_id' => \$model->updated_by]) . ' ' . \common\modules\user\models\UserProfile::getAttr(['last_name'], ['user_id' => \$model->updated_by])
                            ],\n";

            continue;
        }

        echo "                            '" . $column->name . ($format === 'text' ? "" : ":" . $format) . "',\n";
    }
}
?>
                        ],
                    ]) ?>
                </div>
                <!--.col-md-12-->
            </div>
            <!--.row-->
        </div>
        <!--.card-body-->
    </div>
    <!--.card-->
</div>