<?php

namespace common\models;

use Yii;
use yii\db\Expression;
use yii\behaviors\TimestampBehavior;
use yii\behaviors\BlameableBehavior;
use common\modules\core\models\CoreValue;

class CustomActiveRecord extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            BlameableBehavior::className(),
            [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created_at',
                'updatedAtAttribute' => 'updated_at',
                'value' => new Expression('NOW()'),
            ],
        ];
    }

    public function softDelete()
    {
        $this->status = 'inactive';
        
        if ($this->validate()) {
            $this->save();
        } else {
            throw new \yii\web\HttpException(500, 'Unable to delete.');
        }
    }

    public static function getAll($k = '', $v = '', $eav = false, $entity_class = '', $attribute_class = '', $translation = 'en', $where = array())
    {
        $where['status'] = 'active';
        $result = array();
        
        $model = self::find()->where($where)->all();

        if (isset($k) && !empty($k) && isset($v) && !empty($v)) {
            foreach ($model as $modelKey => $modelValue) {
                if (isset($modelValue->$k) && (isset($modelValue->$v) || $eav)) {
                    if ($eav && isset($entity_class, $attribute_class) && !empty($entity_class) && !empty($attribute_class)) {
                        $result[$modelValue->$k] = CoreValue::getEntityValue($entity_class, $attribute_class, $modelValue->id, $translation);
                    } else {
                        $result[$modelValue->$k] = $modelValue->$v;
                    }
                }
            }
        }

        return $result;
    }

    public static function getAttr($attr = array(), $where = array())
    {
        $where['status'] = 'active';

        $model = self::findOne($where);

        $result = array();

        if (isset($model->id) && !empty($model->id)) {
            if (count($attr) < 1) {
                $result = false;
            } else if (count($attr) < 2) {
                foreach ($attr as $key => $value) {
                    $result = isset($model->$value) && !empty($model->$value) ? $model->$value : false;
                }
            } else {
                foreach ($attr as $key => $value) {
                    $result[$value] = isset($model->$value) && !empty($model->$value) ? $model->$value : false;
                }

                if (in_array(false, $result)) {
                    $result = false;
                }
            }
        } else {
            $result = false;
        }

        return $result;
    }
}
