<?php

namespace common\modules\accounting\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;

use common\modules\accounting\models\AccountingLog;

/**
 * AccountingLogSearch represents the model behind the search form of `common\modules\accounting\models\AccountingLog`.
 */
class AccountingLogSearch extends AccountingLog
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'entity_id', 'created_by', 'updated_by'], 'integer'],
            [['entity', 'entity_log', 'action', 'created_at', 'updated_at'], 'safe'],
        ];
    }

    public function attributes()
    {
        // add related fields to searchable attributes
        return array_merge(parent::attributes(), []);
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
		$query = AccountingLog::find();
	
        // add conditions that should always apply here
        $query->joinWith([]);

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere(['like', 'mod_accounting_log.entity', $this->entity])
            ->andFilterWhere(['like', 'mod_accounting_log.entity_log', $this->entity_log])
            ->andFilterWhere(['like', 'mod_accounting_log.action', $this->action])
            ->andFilterWhere(['like', 'mod_accounting_log.id', $this->id])
            ->andFilterWhere(['like', 'mod_accounting_log.entity_id', $this->entity_id])
            ->andFilterWhere(['like', 'mod_accounting_log.created_by', $this->created_by])
            ->andFilterWhere(['like', 'mod_accounting_log.updated_by', $this->updated_by])
            ->andFilterWhere(['like', 'mod_accounting_log.created_at', $this->created_at])
            ->andFilterWhere(['like', 'mod_accounting_log.updated_at', $this->updated_at]);

        return $dataProvider;
    }
}
