<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\accounting\models\AccountingContact */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="accounting-contact-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'user_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\user\models\User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select User'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('User'); ?>

    <?= $form->field($model, 'legal_entity_id')->dropDownList(\common\modules\accounting\models\AccountingLegalEntity::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Legal Entity'])->label('Legal Entity') ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'phone')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'address')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'city')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'state')->textInput(['maxlength' => true]) ?>

    <?= $this->render('@common/views/_form-country', [
        'model' => $model,
        'form' => $form,
        'attribute' => 'country',
        'placeholder' => 'Select Country',
        'label' => 'Country',
    ]) ?>

    <?= $form->field($model, 'zip_code')->textInput(['maxlength' => true]) ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'accounting_contact_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>