<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\accounting\models\AccountingDocument */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="accounting-document-form">

    <?php $form = ActiveForm::begin(['id' => 'dynamic-form']); ?>

    <?= $form->field($model, 'document_type_id')->dropDownList(\common\modules\accounting\models\AccountingDocumentType::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Document Type'])->label('Document Type') ?>

    <?= $form->field($model, 'number')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'date')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'description')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'amount')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'contact_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\accounting\models\AccountingContact::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Contact'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Contact'); ?>

    <?= $form->field($model, 'legal_entity_id')->dropDownList(\common\modules\accounting\models\AccountingLegalEntity::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Legal Entity'])->label('Legal Entity') ?>

    <?= $form->field($model, 'currency_id')->dropDownList(\common\modules\accounting\models\AccountingCurrency::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Currency'])->label('Currency') ?>

    <?= $form->field($model, 'currency_rate')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'order_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\shop\models\ShopOrder::getAll($k = 'id', $v = 'id'),
        'options' => ['placeholder' => 'Select Order'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Order'); ?>

    <?= $form->field($model, 'order_number')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'voucher_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\shop\models\ShopVoucher::getAll($k = 'id', $v = 'code'),
        'options' => ['placeholder' => 'Select Voucher'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Voucher'); ?>

    <?= $form->field($model, 'discount')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'notes')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'comments')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'remarks')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'asset_id')->textInput() ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'document_metadata',
    ]) ?>

    <?php \wbraganca\dynamicform\DynamicFormWidget::begin([
        'widgetContainer' => 'dynamicform_wrapper',     // required: only alphanumeric characters plus "_" [A-Za-z0-9_]
        'widgetBody' => '.container-items',     // required: css class selector
        'widgetItem' => '.item',    // required: css class
        'limit' => 10,  // the maximum times, an element can be cloned (default 999)
        'min' => 1,     // 0 or 1 (default 1)
        'insertButton' => '.add-item',  // css class
        'deleteButton' => '.remove-item',   // css class
        'model' => $modelAccountingDocumentItem[0],
        'formId' => 'dynamic-form',
        'formFields' => [
            'item_id',
            'product_id',
            'order_item_id',
            'quantity',
            'price',
            'tax',
            'discount',
            'total',
        ],
    ]); ?>

    <div class="card mt-4">
        <div class="card-header">
            <i class="fa fa-file-invoice"></i> Document Items
            <button type="button" class="float-right add-item btn btn-success btn-sm"><i class="fas fa-plus"></i> Add</button>
        </div>
        <div class="card-body container-items"><!-- widgetContainer -->
            <?php foreach ($modelAccountingDocumentItem as $documentItemKey => $documentItemValue): ?>
                <div class="item card bg-light"><!-- widgetBody -->
                    <div class="card-header">
                        <span class="card-title-address">Document Item: <?= ($documentItemKey + 1) ?></span>
                        <button type="button" class="float-right remove-item btn btn-danger btn-sm"><i class="fas fa-minus"></i></button>
                    </div>
                    <div class="card-body">
                        <?php
                        // necessary for update action.
                        if (!$documentItemValue->isNewRecord) {
                            echo Html::activeHiddenInput($documentItemValue, "[{$documentItemKey}]id");
                        }
                        ?>

                        <?= $form->field($documentItemValue, "[{$documentItemKey}]item_id")->widget(\kartik\select2\Select2::classname(), [
                            'data' => \common\modules\inventory\models\InventoryItem::getAll($k = 'id', $v = 'sku'),
                            'language' => 'en',
                            'options' => ['placeholder' => 'Select Item'],
                            'pluginOptions' => [
                                'allowClear' => true,
                            ],
                        ])->label('Item'); ?>

                        <?= $form->field($documentItemValue, "[{$documentItemKey}]product_id")->widget(\kartik\select2\Select2::classname(), [
                            'data' => \common\modules\shop\models\ShopProduct::getAll($k = 'id', $v = 'code'),
                            'language' => 'en',
                            'options' => ['placeholder' => 'Select Product'],
                            'pluginOptions' => [
                                'allowClear' => true,
                            ],
                        ])->label('Product'); ?>

                        <?= $form->field($documentItemValue, "[{$documentItemKey}]order_item_id")->widget(\kartik\select2\Select2::classname(), [
                            'data' => \common\modules\shop\models\ShopOrderItem::getAll($k = 'id', $v = 'id'),
                            'language' => 'en',
                            'options' => ['placeholder' => 'Select Order Item'],
                            'pluginOptions' => [
                                'allowClear' => true,
                            ],
                        ])->label('Order Item'); ?>

                        <?= $form->field($documentItemValue, "[{$documentItemKey}]quantity")->textInput(['maxlength' => true]) ?>

                        <?= $form->field($documentItemValue, "[{$documentItemKey}]price")->textInput(['maxlength' => true]) ?>

                        <?= $form->field($documentItemValue, "[{$documentItemKey}]tax")->textInput(['maxlength' => true]) ?>

                        <?= $form->field($documentItemValue, "[{$documentItemKey}]discount")->textInput(['maxlength' => true]) ?>

                        <?= $form->field($documentItemValue, "[{$documentItemKey}]total")->textInput(['maxlength' => true]) ?>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
    </div>

    <?php \wbraganca\dynamicform\DynamicFormWidget::end(); ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

<?php 
$script = <<< JS
$(".dynamicform_wrapper").on("beforeInsert", function(e, item) {

});

$(".dynamicform_wrapper").on("afterInsert", function(e, item) {
    $(".dynamicform_wrapper .card-title-address").each(function(index) {
        $(this).html("Document Item: " + (index + 1))
    });
});

$(".dynamicform_wrapper").on("beforeDelete", function(e, item) {
    if (!confirm("Are you sure you want to delete this order item?")) {
        return false;
    }

    return true;
});

$(".dynamicform_wrapper").on("afterDelete", function(e) {
    $(".dynamicform_wrapper .card-title-address").each(function(index) {
        $(this).html("Document Item: " + (index + 1))
    });
});

$(".dynamicform_wrapper").on("limitReached", function(e, item) {
    alert("Can not add more order items.");
});
JS;

$this->registerJs($script);
?>
