<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'Accounting ', 'header' => true, 'visible' => (
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/account') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/transaction') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/journal-entry') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/ledger') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/document') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/document-item') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/legal-entity') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/contact')
	)],
	[
	    'label' => 'Accounts',
	    'icon' => 'coins',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/account'),
	    'items' => [
	        ['label' => 'View Accounts', 'icon' => 'coins', 'url' => ['/accounting/account/index'],],
	        ['label' => 'Create Account', 'icon' => 'coins', 'url' => ['/accounting/account/create'],],
	    ],
	],
	[
	    'label' => 'Transactions',
	    'icon' => 'money-bill-wave',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/transaction'),
	    'items' => [
	        ['label' => 'View Transactions', 'icon' => 'money-bill-wave', 'url' => ['/accounting/transaction/index'],],
	        ['label' => 'Create Transaction', 'icon' => 'money-bill-wave', 'url' => ['/accounting/transaction/create'],],
	    ],
	],
	[
	    'label' => 'Journal Entries',
	    'icon' => 'file-signature',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/journal-entry'),
	    'items' => [
	        ['label' => 'View Journal Entries', 'icon' => 'file-signature', 'url' => ['/accounting/journal-entry/index'],],
	        ['label' => 'Create Journal Entry', 'icon' => 'file-signature', 'url' => ['/accounting/journal-entry/create'],],
	    ],
	],
	[
	    'label' => 'Ledgers',
	    'icon' => 'money-check-alt',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/ledger'),
	    'items' => [
	        ['label' => 'View Ledgers', 'icon' => 'money-check-alt', 'url' => ['/accounting/ledger/index'],],
	        ['label' => 'Create Ledger', 'icon' => 'money-check-alt', 'url' => ['/accounting/ledger/create'],],
	    ],
	],
	[
	    'label' => 'Documents',
	    'icon' => 'file-invoice',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/document'),
	    'items' => [
	        ['label' => 'View Documents', 'icon' => 'file-invoice', 'url' => ['/accounting/document/index'],],
	        ['label' => 'Create Document', 'icon' => 'file-invoice', 'url' => ['/accounting/document/create'],],
	    ],
	],
	[
	    'label' => 'Legal Entities',
	    'icon' => 'id-card-alt',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/legal-entity'),
	    'items' => [
	        ['label' => 'View Legal Entities', 'icon' => 'id-card-alt', 'url' => ['/accounting/legal-entity/index'],],
	        ['label' => 'Create Legal Entity', 'icon' => 'id-card-alt', 'url' => ['/accounting/legal-entity/create'],],
	    ],
	],
	[
	    'label' => 'Contacts',
	    'icon' => 'address-card',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/contact'),
	    'items' => [
	        ['label' => 'View Contacts', 'icon' => 'address-card', 'url' => ['/accounting/contact/index'],],
	        ['label' => 'Create Contact', 'icon' => 'address-card', 'url' => ['/accounting/contact/create'],],
	    ],
	],
];
