<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\accounting\models\AccountingLedger */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="accounting-ledger-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'account_id')->dropDownList(\common\modules\accounting\models\AccountingAccount::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Account'])->label('Account') ?>

    <?= $form->field($model, 'transaction_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\accounting\models\AccountingTransaction::getAll($k = 'id', $v = 'id'),
        'options' => ['placeholder' => 'Select Transaction'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Transaction'); ?>

    <?= $form->field($model, 'journal_entry_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\accounting\models\AccountingJournalEntry::getAll($k = 'id', $v = 'id'),
        'options' => ['placeholder' => 'Select Journal Entry'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Journal Entry'); ?>

    <?= $form->field($model, 'entry_type')->dropDownList([ 'Dr' => 'Dr', 'Cr' => 'Cr', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'amount')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'legal_entity_id')->dropDownList(\common\modules\accounting\models\AccountingLegalEntity::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Legal Entity'])->label('Legal Entity') ?>

    <?= $form->field($model, 'contact_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\accounting\models\AccountingContact::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Contact'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Contact'); ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'ledger_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>