<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\accounting\models\AccountingLegalEntitySearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Legal Entities';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid accounting-legal-entity-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Legal Entity', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            ['attribute' => 'id', 'label' => 'Legal Entity ID', 'value' => 'id'],
                            'name',
                            'business_type_id',
                            'cin',
                            'tin',
                            'address',
                            // 'city',
                            // 'state',
                            // 'country',
                            // 'zip_code',
                            // 'email:email',
                            // 'phone',
                            // 'website',
                            // 'metadata:ntext',
                            // 'created_by',
                            // 'updated_by',
                            // 'created_at',
                            // 'updated_at',
                            // 'status',

                            ['class' => 'hail812\adminlte3\yii\grid\ActionColumn'],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>