<?php

namespace common\modules\affiliate\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;

use common\modules\affiliate\models\AffiliateConversion;

/**
 * AffiliateConversionSearch represents the model behind the search form of `common\modules\affiliate\models\AffiliateConversion`.
 */
class AffiliateConversionSearch extends AffiliateConversion
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'affiliate_id', 'promotion_id', 'logs_visitor_id', 'order_id', 'approved_by', 'created_by', 'updated_by'], 'integer'],
            [['session_id', 'commission', 'approved', 'metadata', 'created_at', 'updated_at', 'status'], 'safe'],
        ];
    }

    public function attributes()
    {
        // add related fields to searchable attributes
        return array_merge(parent::attributes(), []);
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
		$query = AffiliateConversion::find()->where(parent::tableName() . '.status = :status', ['status' => 'active']);
	
        // add conditions that should always apply here
        $query->joinWith([]);

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere(['like', 'mod_affiliate_conversion.session_id', $this->session_id])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.commission', $this->commission])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.approved', $this->approved])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.metadata', $this->metadata])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.status', $this->status])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.id', $this->id])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.affiliate_id', $this->affiliate_id])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.promotion_id', $this->promotion_id])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.logs_visitor_id', $this->logs_visitor_id])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.order_id', $this->order_id])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.approved_by', $this->approved_by])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.created_by', $this->created_by])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.updated_by', $this->updated_by])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.created_at', $this->created_at])
            ->andFilterWhere(['like', 'mod_affiliate_conversion.updated_at', $this->updated_at]);

        return $dataProvider;
    }
}
