<?php

namespace common\modules\affiliate\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;

use common\modules\affiliate\models\AffiliatePromotion;

/**
 * AffiliatePromotionSearch represents the model behind the search form of `common\modules\affiliate\models\AffiliatePromotion`.
 */
class AffiliatePromotionSearch extends AffiliatePromotion
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'image', 'url_id', 'created_by', 'updated_by'], 'integer'],
            [['type', 'video', 'html_attributes', 'commission', 'available', 'metadata', 'created_at', 'updated_at', 'status'], 'safe'],
        ];
    }

    public function attributes()
    {
        // add related fields to searchable attributes
        return array_merge(parent::attributes(), []);
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
		$query = AffiliatePromotion::find()->where(parent::tableName() . '.status = :status', ['status' => 'active']);
	
        // add conditions that should always apply here
        $query->joinWith([]);

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere(['like', 'mod_affiliate_promotion.type', $this->type])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.video', $this->video])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.html_attributes', $this->html_attributes])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.commission', $this->commission])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.available', $this->available])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.metadata', $this->metadata])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.status', $this->status])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.id', $this->id])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.image', $this->image])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.url_id', $this->url_id])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.created_by', $this->created_by])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.updated_by', $this->updated_by])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.created_at', $this->created_at])
            ->andFilterWhere(['like', 'mod_affiliate_promotion.updated_at', $this->updated_at]);

        return $dataProvider;
    }
}
