<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'Site', 'header' => true, 'visible' => (
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'affiliate/affiliate') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'affiliate/promotion') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'affiliate/conversion')
    )],
	[
	    'label' => 'Affiliates',
	    'icon' => 'people-arrows',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'affiliate/affiliate'),
	    'items' => [
	        ['label' => 'View Affiliates', 'icon' => 'people-arrows', 'url' => ['/affiliate/affiliate/index'],],
	        ['label' => 'Create Affiliate', 'icon' => 'people-arrows', 'url' => ['/affiliate/affiliate/create'],],
	    ],
	],
	[
	    'label' => 'Promotions',
	    'icon' => 'ad',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'affiliate/promotion'),
	    'items' => [
	        ['label' => 'View Promotions', 'icon' => 'ad', 'url' => ['/affiliate/promotion/index'],],
	        ['label' => 'Create Promotion', 'icon' => 'ad', 'url' => ['/affiliate/promotion/create'],],
	    ],
	],
	[
	    'label' => 'Conversions',
	    'icon' => 'percentage',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'affiliate/conversion'),
	    'items' => [
	        ['label' => 'View Conversions', 'icon' => 'percentage', 'url' => ['/affiliate/conversion/index'],],
	        ['label' => 'Create Conversion', 'icon' => 'percentage', 'url' => ['/affiliate/conversion/create'],],
	    ],
	],
];
