<?php

namespace common\modules\assetManager\models;

use Yii;
use yii\base\Model;
use yii\db\ActiveRecord;
use yii\web\UploadedFile;
use yii\data\ActiveDataProvider;
use yii\helpers\Inflector;
use yii\bootstrap4\Html;
use yii\imagine\Image;
use Imagine\Image\ImageInterface;

use common\modules\assetManager\Module;
use common\modules\assetManager\models\AssetManager;

/**
 * AssetManagerSearch represents the model behind the search form of `common\modules\assetManager\models\AssetManager`.
 */
class AssetManagerSearch extends AssetManager
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
        ];
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = self::find()->where('status = :status', ['status' => 'active'])->orderBy('created_at DESC');

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            return $dataProvider;
        }

        return $dataProvider;
    }
}

