<?php

namespace common\modules\assetManager\models;

use Yii;
use yii\web\UploadedFile;
use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;
use yii\imagine\Image;
use yii\data\ActiveDataProvider;
use yii\bootstrap4\Html;
use yii\helpers\Inflector;
use common\modules\assetManager\Module;
use common\modules\assetManager\models\Owners;
use Imagine\Image\ImageInterface;

/**
 *
 */
class MediafileSearch extends Mediafile
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['tagIds'], 'safe'],
        ];
    }

    /**
     * Creates data provider instance with search query applied
     * @param array $params
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = self::find()->orderBy('created_at DESC');

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            return $dataProvider;
        }

        if ($this->tagIds) {
            $query->joinWith('tags')->andFilterWhere(['in', Tag::tableName() . '.id', $this->tagIds]);
        }

        return $dataProvider;
    }
}
