<?php

use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use yii\widgets\ListView;

use common\modules\assetManager\assets\AssetManagerAsset;
use common\modules\assetManager\Module;
use common\modules\assetManager\models\Tag;

$this->params['moduleBundle'] = AssetManagerAsset::register($this);

?>

<style type="text/css">
    body {
        background: transparent !important;
    }
</style>

<div class="container-fluid asset-manager-asset-index">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="dashboard col-md-12">
                    <p>
                        <?= Html::a(Module::t('main', 'Upload'), ['asset/upload-manager'], ['class' => 'btn btn-lg btn-primary']) ?>
                    </p>

                    <?= $this->render('_search_form', ['model' => $model]) ?>

                    <div id="assetManager" data-url-info="<?= Url::to(['asset/info']) ?>">
                        <?= ListView::widget([
                            'dataProvider' => $dataProvider,
                            'layout' => '
                            {pager}

                            <div class="row">
                                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
                                    <div id="fileinfo"></div>
                                </div>

                                <div class="items col-lg-8 col-md-8 col-sm-12 col-xs-12">
                                    {items}
                                </div>
                            </div>
                            ',
                            'itemOptions' => ['class' => 'item'],
                            'itemView' => function ($model, $key, $index, $widget) {
                                return Html::a(Html::img($model->getDefaultThumbUrl($this->params['moduleBundle']->baseUrl)) . '', '#mediafile', ['data-key' => $key]);
                            },
                        ]) ?>
                    </div>
                </div>
                <!--.col-md-12-->
            </div>
            <!--.row-->
        </div>
        <!--.card-body-->
    </div>
    <!--.card-->
</div>