<?php

use yii\bootstrap4\Html;
use dosamigos\fileupload\FileUploadUI;

use common\modules\assetManager\Module;

?>

<header id="header">
    <span class="glyphicon glyphicon-upload"></span> <?= Module::t('main', 'Upload manager') ?>
</header>

<div id="upload-manager">
    <p><?= Html::a('← ' . Module::t('main', 'Back to file manager'), ['asset/asset-manager']) ?></p>
    
    <?= FileUploadUI::widget([
        'model' => $model,
        'attribute' => 'file',
        'clientOptions' => [
            'autoUpload'=> Yii::$app->getModule('asset-manager')->autoUpload,
        ],
        'clientEvents' => [
            'fileuploadsubmit' => "function (e, data) { data.formData = [{name: 'tagIds', value: $('#assetManager-tagIds').val()}]; }",
        ],
        'url' => ['upload'],
        'gallery' => false,
        'formView' => '/asset/_upload_form',
    ]) ?>
</div>
