<?php

namespace common\modules\cms\components;

use Yii;
use yii\base\Component;
use yii\helpers\Url;
use common\modules\shop\models\ShopCategory;
use common\modules\shop\models\ShopSubcategory;
use common\modules\shop\models\CoreValue;

class Menu extends Component 
{
	public static function getMainMenu($translation = 'en') 
	{
		$main_menu = array();
		$modelCategory = ShopCategory::findAll(['status' => 'active']);
		$modelShopSubcategory = new ShopSubcategory();
		$ctr1 = -1;
		$ctr2 = -1;

		foreach ($modelCategory as $categoryKey => $categoryValue) {
			$ctr1++;

			$modelShopSubcategory = ShopSubcategory::findAll(['category_id' => $categoryValue->id, 'status' => 'active']);

			$main_menu[$ctr1]['category']['name'] = CoreValue::getEntityValue('category', 'name', $categoryValue->id, $translation);
			$main_menu[$ctr1]['category']['url'] = CoreValue::getEntityValue('category', 'url', $categoryValue->id, $translation);

			foreach ($modelSubcategory as $subcategoryKey => $subcategoryValue) {
				$ctr2++;

				$main_menu[$ctr1]['category']['subcategory'][$ctr2]['name'] = CoreValue::getEntityValue('subcategory', 'name', $subcategoryValue->id, $translation);
				$main_menu[$ctr1]['category']['subcategory'][$ctr2]['url'] = CoreValue::getEntityValue('subcategory', 'url', $subcategoryValue->id, $translation);
			}
		}

		return $main_menu;
	}
}
