<?php

namespace common\modules\cms\controllers\frontend;

use Yii;
use yii\web\Controller;

use common\modules\cms\models\CmsFaq;
use common\modules\core\models\CoreEntityClass;
use common\modules\core\models\CoreAttributeClass;
use common\modules\core\models\CoreEntityAttribute;
use common\modules\core\models\CoreValue;

class FaqController extends Controller
{
    public function behaviors()
    {
        return [
            'access' => [
                'class' => \yii\filters\AccessControl::className(),
                'only' => ['view'],
                'rules' => [
                    [
                        'actions' => [],
                        'allow' => true,
                        'roles' => ['?'],
                    ],
                    [
                        'actions' => [],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                    [
                        'actions' => ['index','view'],
                        'allow' => true,
                        'roles' => ['?', '@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => \yii\filters\VerbFilter::className(),
                'actions' => [
                    'view' => ['get'],
                ],
            ],
        ];
    }

    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    public function actionIndex()
    {
        if (!CmsFaq::find()->where(['status' => 'active'])->exists()) {
            throw new \yii\web\NotFoundHttpException('Page not found.', 404);
        }

        $modelValue = new CoreValue();
        $modelEntityClass = new CoreEntityClass();
        $modelAttributeClass = new CoreAttributeClass();

        $model = CmsFaq::find()->where(['status' => 'active'])->asArray()->all();
        $modelEntityClass = CoreEntityClass::findOne(['name' => 'faq', 'status' => 'active']);
        $modelAttributeClass = CoreAttributeClass::find()->where(['name' => array('faq_question','faq_answer')])->asArray()->all();
        $attrClassIdArray = array();
        $attrArray = array();
        $faqDetailsArr = array();

        foreach ($modelAttributeClass as $key => $value) {
            array_push($attrClassIdArray, $value['id']);
            $attrArray[$value['id']] = $value['name'];
        }
        
        $tmpArray = CoreValue::find()->where(['entity_class_id' => $modelEntityClass->id, 'attribute_class_id' => $attrClassIdArray, 'status' => 'active'])->asArray()->all();

        foreach ($tmpArray as $key => $value) {
            if(array_key_exists($value['attribute_class_id'], $attrArray)) {
                $faqDetailsArr[$value['entity_id']][$attrArray[$value['attribute_class_id']]] = $value['value'];
            }
        }

        return $this->render('index', [
            'faqDetails' => $faqDetailsArr,
        ]);

    }
}
