<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

use common\modules\assetManager\widgets\FileInput;
use common\modules\assetManager\models\AssetManager;

/* @var $this yii\web\View */
/* @var $model common\modules\cms\models\CmsAlbum */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="cms-album-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $this->render('@common/views/_form-eav', [
        'data' => $data,
        'entity_name' => 'album',
        'modelCoreLanguage' => $modelCoreLanguage,
    ]) ?>

    <?= $form->field($model, 'location')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'date')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <div class="row">
        <div class="col-md-12">
            <?php 
            $tmpPreviewImage = '';

            if (isset($model->featured_image) && !empty($model->featured_image)) {
                $tmpPreviewImage = '<div class="preview-img" style="height: 220px;"><img src="' . AssetManager::getAssetUrl($model->featured_image) . '" alt="' . AssetManager::getAttr(['alt'], ['id' => $model->featured_image, 'status' => 'active']) . '" class="well img-responsive" style="max-height: 100%;"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
            } else {
                $tmpPreviewImage = '<div class="preview-img"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
            }
            ?>
            
            <?= $form->field($model, 'featured_image')->widget(FileInput::className(), [
                'buttonTag' => 'button',
                'buttonName' => 'Browse',
                'buttonOptions' => ['class' => 'btn btn-primary'],
                'options' => ['class' => 'form-control disabled', 'readonly' => 'readonly'],
                // Widget template
                'template' => $tmpPreviewImage,
                // Optional, if set, only this image can be selected by user
                'thumb' => 'original',
                // Optional, if set, in container will be inserted selected image
                'imageContainer' => '.preview-img',
                // Default to FileInput::DATA_URL. This data will be inserted in input field
                'pasteData' => FileInput::DATA_ID,
                'frameSrc' => ['/asset-manager/asset/asset-manager'],
                // JavaScript function, which will be called before insert file data to input.
                // Argument data contains file data.
                // data example: [alt: "Ведьма с кошкой", description: "123", url: "/uploads/2014/12/vedma-100x100.jpeg", id: "45"]
                'callbackBeforeInsert' => 'function(e, data) {
                    console.log(data);
                }',
            ]); ?>
        </div>
    </div>

    <div class="form-group">
	    <?php
	    $selected_val = array();
	    $assetImageArray = array();
	    $assetImages = AssetManager::find()->where(['status' => 'active'])->asArray()->all();

	    if (!empty($assetImages)) {
	        $assetImageArray = \yii\helpers\ArrayHelper::map($assetImages, 'id', 'name');
	    }

	    foreach ($modelAlbumImage as $albumImageKey => $albumImageValue) {
	        array_push($selected_val, $albumImageValue->asset_id);
	    }

	    $url = \Yii::$app->urlManager->baseUrl . '/images/flags/';

	    $format = <<< SCRIPT
	    function format(state) {
	        if (!state.id) return state.text; // optgroup
	        src = '$url' +  state.id.toLowerCase() + '.png'

	        return '<img class="flag" src="' + src + '"/>' + state.text;
	    }
SCRIPT;

	    $escape = new \yii\web\JsExpression("function(m) { return m; }");

	    $this->registerJs($format, \yii\web\View::POS_HEAD);

	    echo \kartik\select2\Select2::widget([
            'name' => 'CmsEntityAsset',
            'value' => $selected_val,    // initial value
            'data' => $assetImageArray,
            'theme' => \kartik\select2\Select2::THEME_BOOTSTRAP,
            'maintainOrder' => true,
            'hideSearch' => false,
            'toggleAllSettings' => [
                'selectLabel' => '<i class="glyphicon glyphicon-ok-circle"></i> Select All',
                'unselectLabel' => '<i class="glyphicon glyphicon-remove-circle"></i> Deselect All',
                'selectOptions' => ['class' => 'text-success'],
                'unselectOptions' => ['class' => 'text-danger'],
            ],
            'options' => ['placeholder' => 'Select options', 'multiple' => true, 'class'=> 'traits-options-select'],
            'pluginOptions' => [
                'tags' => true,
                'maximumInputLength' => 100,
                'allowClear' => true,
                // 'templateResult' => new \yii\web\JsExpression('format'),
                // 'templateSelection' => new \yii\web\JsExpression('format'),
                // 'escapeMarkup' => $escape,
            ],
        ]);
	    ?>
    </div>
    
    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
