<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

use common\modules\assetManager\widgets\FileInput;
use common\modules\assetManager\models\AssetManager;

/* @var $this yii\web\View */
/* @var $model common\modules\cms\models\CmsEvent */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="cms-event-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $this->render('@common/views/_form-eav', [
        'data' => $data,
        'entity_name' => 'event',
        'modelCoreLanguage' => $modelCoreLanguage,
    ]) ?>

    <?php
    echo '<label class="form-label">Duration</label>';
    
    echo \kartik\date\DatePicker::widget([
        'name' => 'CmsEvent[start]',
        'value' => $model->start,
        'name2' => 'CmsEvent[end]',
        'value2' => $model->end,
        'type' => \kartik\date\DatePicker::TYPE_RANGE,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]);
    ?>
    
    <?= $form->field($model, 'venue')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'organizer')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'entry_fee')->textInput(['maxlength' => true]) ?>

    <?php 
    $tmpPreviewImage = '';

    if (isset($model->featured_image) && !empty($model->featured_image)) {
        $tmpPreviewImage = '<div class="preview-img"><img src="' . AssetManager::getAssetUrl($model->featured_image) . '" alt="' . AssetManager::getAttr(['alt'], ['id' => $model->featured_image, 'status' => 'active']) . '" class="well"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
    } else {
        $tmpPreviewImage = '<div class="preview-img"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
    }
    ?>

    <?= $form->field($model, 'featured_image')->widget(FileInput::className(), [
        'buttonTag' => 'button',
        'buttonName' => 'Browse',
        'buttonOptions' => ['class' => 'btn btn-primary'],
        'options' => ['class' => 'form-control disabled', 'readonly' => 'readonly'],
        // Widget template
        'template' => $tmpPreviewImage,
        // Optional, if set, only this image can be selected by user
        'thumb' => 'original',
        // Optional, if set, in container will be inserted selected image
        'imageContainer' => '.preview-img',
        // Default to FileInput::DATA_URL. This data will be inserted in input field
        'pasteData' => FileInput::DATA_ID,
        'frameSrc' => ['/asset-manager/asset/asset-manager'],
        // JavaScript function, which will be called before insert file data to input.
        // Argument data contains file data.
        // data example: [alt: "Ведьма с кошкой", description: "123", url: "/uploads/2014/12/vedma-100x100.jpeg", id: "45"]
        'callbackBeforeInsert' => 'function(e, data) {
            console.log(data);
        }',
    ]); ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
