<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'CMS ', 'header' => true, 'visible' => (
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/page') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/blog') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/news') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/faq') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/testimonial') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/team-member') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/event') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/album')
	)],
	[
	    'label' => 'Pages',
	    'icon' => 'file-alt',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/page'),
	    'items' => [
	        ['label' => 'View Pages', 'icon' => 'file-alt', 'url' => ['/cms/page/index'],],
	        ['label' => 'Create Page', 'icon' => 'file', 'url' => ['/cms/page/create'],],
	    ],
	],
	[
	    'label' => 'Blogs',
	    'icon' => 'blog',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/blog'),
	    'items' => [
	        ['label' => 'View Blogs', 'icon' => 'blog', 'url' => ['/cms/blog/index'],],
	        ['label' => 'Create Blog', 'icon' => 'blog', 'url' => ['/cms/blog/create'],],
	    ],
	],
	[
	    'label' => 'News',
	    'icon' => 'newspaper',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/news'),
	    'items' => [
	        ['label' => 'View News', 'icon' => 'newspaper', 'url' => ['/cms/news/index'],],
	        ['label' => 'Create News', 'icon' => 'newspaper', 'url' => ['/cms/news/create'],],
	    ],
	],
	[
	    'label' => 'Faqs',
	    'icon' => 'question-circle',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/faq'),
	    'items' => [
	        ['label' => 'View Faqs', 'icon' => 'question-circle', 'url' => ['/cms/faq/index'],],
	        ['label' => 'Create Faq', 'icon' => 'question', 'url' => ['/cms/faq/create'],],
	    ],
	],
	[
	    'label' => 'Testimonials',
	    'icon' => 'quote-right',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/testimonial'),
	    'items' => [
	        ['label' => 'View Testimonials', 'icon' => 'quote-left', 'url' => ['/cms/testimonial/index'],],
	        ['label' => 'Create Testimonial', 'icon' => 'quote-left', 'url' => ['/cms/testimonial/create'],],
	    ],
	],
	[
	    'label' => 'Team Members',
	    'icon' => 'users',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/team-member'),
	    'items' => [
	        ['label' => 'View Team Members', 'icon' => 'users', 'url' => ['/cms/team-member/index'],],
	        ['label' => 'Create Team Member', 'icon' => 'user-plus', 'url' => ['/cms/team-member/create'],],
	    ],
	],
	[
	    'label' => 'Events',
	    'icon' => 'calendar-alt',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/event'),
	    'items' => [
	        ['label' => 'View Events', 'icon' => 'calendar-alt', 'url' => ['/cms/event/index'],],
	        ['label' => 'Create Event', 'icon' => 'calendar', 'url' => ['/cms/event/create'],],
	    ],
	],
	[
	    'label' => 'Albums',
	    'icon' => 'images',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'cms/album'),
	    'items' => [
	        ['label' => 'View Albums', 'icon' => 'images', 'url' => ['/cms/album/index'],],
	        ['label' => 'Create Album', 'icon' => 'image', 'url' => ['/cms/album/create'],],
	    ],
	],
];
