<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

use common\modules\core\models\CoreKeyword;
use common\modules\assetManager\widgets\FileInput;
use common\modules\assetManager\models\AssetManager;

/* @var $this yii\web\View */
/* @var $model common\modules\cms\models\CmsNews */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="cms-news-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $this->render('@common/views/_form-eav', [
        'data' => $data,
        'entity_name' => 'cms_news',
        'modelCoreLanguage' => $modelCoreLanguage,
    ]) ?>

    <?= $form->field($model, 'media')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'source')->textInput(['maxlength' => true]) ?>
    
    <?= $form->field($model, 'publication_date')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>
    
    <?= $form->field($model, 'event_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\cms\models\CmsEvent::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Event'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Event'); ?>

    <?= $form->field($modelCmsEntityKeyword, 'keyword_id')->dropDownList(CoreKeyword::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Keyword'])->label('Keyword') ?>

    <?php 
    $tmpPreviewImage = '';

    if (isset($model->featured_image) && !empty($model->featured_image)) {
        $tmpPreviewImage = '<div class="preview-img"><img src="' . AssetManager::getAssetUrl($model->featured_image) . '" alt="' . AssetManager::getAttr(['alt'], ['id' => $model->featured_image, 'status' => 'active']) . '" class="well"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
    } else {
        $tmpPreviewImage = '<div class="preview-img"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
    }
    ?>

    <?= $form->field($model, 'featured_image')->widget(FileInput::className(), [
        'buttonTag' => 'button',
        'buttonName' => 'Browse',
        'buttonOptions' => ['class' => 'btn btn-primary'],
        'options' => ['class' => 'form-control disabled', 'readonly' => 'readonly'],
        // Widget template
        'template' => $tmpPreviewImage,
        // Optional, if set, only this image can be selected by user
        'thumb' => 'original',
        // Optional, if set, in container will be inserted selected image
        'imageContainer' => '.preview-img',
        // Default to FileInput::DATA_URL. This data will be inserted in input field
        'pasteData' => FileInput::DATA_ID,
        'frameSrc' => ['/asset-manager/asset/asset-manager'],
        // JavaScript function, which will be called before insert file data to input.
        // Argument data contains file data.
        // data example: [alt: "Ведьма с кошкой", description: "123", url: "/uploads/2014/12/vedma-100x100.jpeg", id: "45"]
        'callbackBeforeInsert' => 'function(e, data) {
            console.log(data);
        }',
    ]); ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'cms_news_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>