<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

use common\modules\assetManager\widgets\FileInput;
use common\modules\assetManager\models\AssetManager;

/* @var $this yii\web\View */
/* @var $model common\modules\cms\models\CmsTestimonial */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="cms-testimonial-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $this->render('@common/views/_form-eav', [
        'data' => $data,
        'entity_name' => 'testimonial',
        'modelCoreLanguage' => $modelCoreLanguage,
    ]) ?>

    <?= $form->field($model, 'type')->dropDownList(['text' => 'Text', 'video' => 'Video'], ['options' => ['text' => ['Selected' => 'selected']]]) ?>

    <?php $videoUrl = \common\modules\cms\models\CmsEntityVideo::getAttr(['embed_url'], ['entity_class_id' => $entity_class_id, 'entity_id' => $model->id]); ?>

    <div class="form-group">
        <label for="testimonial-video">Video</label>
        <?php echo Html::input('text', 'CmsTestimonial[video][value]', !empty($videoUrl) ? $videoUrl : '', ['class' => 'form-control', 'id' => 'testimonial-video']); ?>
    </div>

    <?php 
    $tmpPreviewImage = '';

    if (isset($model->featured_image) && !empty($model->featured_image)) {
        $tmpPreviewImage = '<div class="preview-img"><img src="' . AssetManager::getAssetUrl($model->featured_image) . '" alt="' . AssetManager::getAttr(['alt'], ['id' => $model->featured_image, 'status' => 'active']) . '" class="well"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
    } else {
        $tmpPreviewImage = '<div class="preview-img"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
    }
    ?>

    <?= $form->field($model, 'featured_image')->widget(FileInput::className(), [
        'buttonTag' => 'button',
        'buttonName' => 'Browse',
        'buttonOptions' => ['class' => 'btn btn-primary'],
        'options' => ['class' => 'form-control disabled', 'readonly' => 'readonly'],
        // Widget template
        'template' => $tmpPreviewImage,
        // Optional, if set, only this image can be selected by user
        'thumb' => 'original',
        // Optional, if set, in container will be inserted selected image
        'imageContainer' => '.preview-img',
        // Default to FileInput::DATA_URL. This data will be inserted in input field
        'pasteData' => FileInput::DATA_ID,
        'frameSrc' => ['/asset-manager/asset/asset-manager'],
        // JavaScript function, which will be called before insert file data to input.
        // Argument data contains file data.
        // data example: [alt: "Ведьма с кошкой", description: "123", url: "/uploads/2014/12/vedma-100x100.jpeg", id: "45"]
        'callbackBeforeInsert' => 'function(e, data) {
            console.log(data);
        }',
    ]); ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

<?php 
$this->registerJs('
	
if($("#cmstestimonial-type").val() == "video") {
	tinymce.activeEditor.setMode("readonly");
} else {
	$("#testimonial-video").prop("disabled", true);
}
 $("#cmstestimonial-type").change(function(){
	var value = this.value;
	if(value == "text"){
		tinymce.activeEditor.setMode("design");
		$("#testimonial-video").prop("disabled", true);
		// $("#testimonial-video").removeAttr("required");
	}
	if(value == "video"){
		tinymce.activeEditor.setMode("readonly");
		$("#testimonial-video").prop("disabled", false);
	}
})');
?>