<?php

namespace common\modules\core\components;

use Yii;
use yii\web\Response;
use yii\httpclient\Client;
use common\modules\user\models\User;

class GenesysRestClient
{
    private $api_url;
    private $api_version;
    private $access_token;

    public function __construct($access_token = 'UK37FwEDYJjp39i3cRv1h4cFUzYNdcX9', $api_version = 'v1', $api_url = '')
    {
        if (isset($access_token)) {
            $this->access_token = $access_token;
        } else {
            $this->access_token = '';
        }

        if (isset($api_url) && !empty($api_url)) {
            $this->api_url = $api_url;
        } else {
            $this->api_url = Yii::getAlias('@apiurl');
        }
        
        $this->api_version = $api_version;
    }

    public function callApi($api_endpoint = '', $api_method = 'GET', $api_param = '', $data = '')
    {
        $client = new Client();

        if (isset($api_param) && !empty($api_param)) {
            $api_param = '/' . $api_param;
        }

        $response = $client->createRequest()
            ->setMethod($api_method)
            ->setUrl($this->api_url . '/' . $this->api_version . '/' . $api_endpoint . $api_param)
            ->addHeaders([
                'content-type' => 'application/json',
                'Authorization' => 'Bearer ' . $this->access_token,
            ])
            ->setData($data)
            ->send();

        if ($response->isOk) {
            return $this->response('ok', 'Success', 200, 'complete', $response->data);
        } else {
            return $this->response('notok', 'Failure', 500, 'complete');
        }
    }

    public function response($name = null, $message = null, $code = null, $status = null, $data = array()) 
    {
        $response = array(
            'name' => $name, 
            'message' => $message, 
            'code' => $code, 
            'status' => $status, 
            'data' => $data, 
        );

        return json_encode($response);
    }
}
