<?php

namespace common\modules\core\models;

use Yii;
use yii\base\Model;
use yii\web\UploadedFile;
use common\modules\core\components\Globals;

class FormFileUpload extends Model
{
    public $file;

    public function rules()
    {
        return [
            [['file'], 'file', 'skipOnEmpty' => false, 'on'=> 'create'],
        ];
    }

    public function upload($action_id = '', $filename = '')
    {
        $session = Yii::$app->session;

        if ($this->validate()) {
            $tempDirPath = Yii::getAlias('@assets') . Globals::getAssetUploadsRelativePath($action_id);
            
            if (!file_exists($tempDirPath)) {
                mkdir($tempDirPath);
            }

            if (!empty($filename)) {
                $session->set('uploadedFileName', $filename);
            } else {
                $session->set('uploadedFileName', $this->file->baseName . '_' . Yii::$app->security->generateRandomString(8) . '.' . $this->file->extension);
            }
            
            $this->file->saveAs($tempDirPath . $session->get('uploadedFileName'));
            
            return Globals::getAssetUploadsRelativePath($action_id);
        } else {
            return false;
        }
    }
}