<?php

namespace common\modules\inventory\components;

use yii\base\Component;
use yii\base\Event;

class LogControllerEvent extends Event
{
	public $itemId;
    public $action;
}

class InventoryEvents extends Component
{
    const EVENT_MOD_INVENTORY_LOG_CHANGE = 'eventModInventoryLogChange';

    public function eventModInventoryLogChange($item_id, $action)
    {
    	$event = new LogControllerEvent;

    	$event->itemId = $item_id;
        $event->action = $action;

    	$this->on(self::EVENT_MOD_INVENTORY_LOG_CHANGE, ['common\modules\inventory\controllers\backend\LogController', 'actionCreate'], $event);
        $this->trigger(self::EVENT_MOD_INVENTORY_LOG_CHANGE);
        $this->off(self::EVENT_MOD_INVENTORY_LOG_CHANGE);
    }
}
