<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\inventory\models\InventoryItem */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="inventory-item-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'sku')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'description')->textarea(['rows' => 6]) ?>

    <div class="card bg-light mt-4">
        <div class="card-header">
            Item Traits
        </div>

        <div class="card-body">
            <?php
            $selected_traits = array();

            foreach ($item_traits as $item_trait_k => $item_trait_v) {
                if (isset($item_trait_v['is_selected']) && $item_trait_v['is_selected']) {
                    array_push($selected_traits, $item_trait_k);
                }
            }

            foreach($item_traits as $id => $value) {
                if (isset($value['is_selected']) && $value['is_selected']) {
                    $is_disabled = false;
                } else {
                    $is_disabled = true;
                }

                $traits_value = $selected_trait_value = array();

                if (isset($value['value'])) {
                    foreach ($value['value'] as $k => $v) {
                        $traits_value[$k] = $v['name'];

                        if ($v['is_selected']) {
                            array_push($selected_trait_value, $k);
                        }
                    } 
                } else {
                    $traits_value = array();        
                }
                
                echo Html::checkboxList('Trait[trait]', $selected_traits, [$id => $value['name']], ['class' => 'form-group', 'onchange'=> 'setTraitsOption(this, "Trait[' . $id . ']")']);

                echo '<div class="form-group">';
                    echo \kartik\select2\Select2::widget([
                        'name' => 'Trait[' . $id . ']',
                        'value' => $selected_trait_value,   // initial value
                        'data' => $traits_value,
                        'theme' => \kartik\select2\Select2::THEME_BOOTSTRAP,
                        'maintainOrder' => true,
                        'options' => ['placeholder' => 'Select ' . $value['name'] . ' options', 'multiple' => true, 'class'=> 'form-control'],
                        'pluginOptions' => [
                            'tags' => true,
                            'maximumInputLength' => 100,
                            'disabled' => $is_disabled
                        ],
                    ]);
                echo '</div>';
            }
            ?>
        </div>
    </div>

    <?= $form->field($model, 'unit_id')->dropDownList(\common\modules\inventory\models\InventoryUnit::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Unit'])->label('Unit') ?>

    <?= $form->field($model, 'quantity')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'subcategory_id')->dropDownList(\common\modules\shop\models\ShopSubcategory::getAll($k = 'id', $v = 'name', $eav = true, $entity_class = 'subcategory', $attribute_class = 'name'), ['prompt' => 'Select Subcategory'])->label('Subcategory') ?>

    <?= $form->field($model, 'warehouse_id')->dropDownList(\common\modules\inventory\models\InventoryWarehouse::getAll($k = 'id', $v = 'id'), ['prompt' => 'Select Warehouse'])->label('Warehouse') ?>

    <?= $form->field($model, 'supplier_id')->dropDownList(\common\modules\inventory\models\InventorySupplier::getAll($k = 'id', $v = 'legal_entity_id', false, '', '', [], [], ['legalEntity', 'name']), ['prompt' => 'Select Supplier'])->label('Supplier') ?>

    <?= $form->field($model, 'manufacturer_id')->dropDownList(\common\modules\inventory\models\InventoryManufacturer::getAll($k = 'id', $v = 'legal_entity_id', false, '', '', [], [], ['legalEntity', 'name']), ['prompt' => 'Select Manufacturer'])->label('Manufacturer') ?>

    <?= $form->field($model, 'brand_id')->dropDownList(\common\modules\inventory\models\InventoryBrand::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Brand'])->label('Brand') ?>

    <?= $form->field($model, 'currency_id')->dropDownList(\common\modules\accounting\models\AccountingCurrency::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Currency'])->label('Currency') ?>

    <?= $form->field($model, 'tax_id')->dropDownList(\common\modules\accounting\models\AccountingTax::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Tax'])->label('Tax') ?>

    <?= $form->field($model, 'tax')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'hsn_code')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'cost_price')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'shipping_cost')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'packaging_cost')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'repairing_cost')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'mrp')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'selling_price')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'upc')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'ean')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'mpn')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'asin')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'isbn_10')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'isbn_13')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'incoming_date')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'remarks')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'bill')->textInput() ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'item_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

<script type="text/javascript">
function setTraitsOption(element, name) 
{
    var checked = $(element).find('input').is(':checked');

    if (checked) {
        $("[name *= '" + name + "']").attr('disabled', false);
    } else {
        $("[name *= '" + name + "']").attr('disabled', true);   // reset values
    }
}
</script>