<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\inventory\models\InventoryItemSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Items';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid inventory-item-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Item', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            ['attribute' => 'id', 'label' => 'Item ID', 'value' => 'id'],
                            'sku',
                            'name',
                            // 'description:ntext',
                            'unit_id',
                            'quantity',
                            'subcategory_id',
                            'warehouse_id',
                            'supplier_id',
                            // 'manufacturer_id',
                            // 'brand_id',
                            // 'currency_id',
                            'tax_id',
                            // 'tax',
                            'hsn_code',
                            'cost_price',
                            // 'shipping_cost',
                            // 'packaging_cost',
                            // 'repairing_cost',
                            // 'mrp',
                            'selling_price',
                            // 'upc',
                            // 'ean',
                            // 'mpn',
                            // 'asin',
                            // 'isbn_10',
                            // 'isbn_13',
                            'incoming_date',
                            // 'remarks:ntext',
                            // 'bill',
                            // 'metadata:ntext',
                            // 'created_by',
                            // 'updated_by',
                            'created_at',
                            'updated_at',
                            // 'status',

                            [
                                'class' => 'hail812\adminlte3\yii\grid\ActionColumn',
                                'template' => '{view} {update} {duplicate} {delete}', 
                                'buttons' => [
                                    'duplicate' => function ($url, $model, $key) {
                                        return Html::a('<span class="fas fa-copy"></span>', \yii\helpers\Url::toRoute(['duplicate', 'id' => $model['id']]), ['title' => 'Duplicate', 'class' => '', 'data-pjax' => '0', 'target' => '_blank']);
                                    },
                                ],
                            ],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>