<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'Inventory ', 'header' => true, 'visible' => (
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/item') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/supplier') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/warehouse') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/manufacturer') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/brand')
	)],
	[
	    'label' => 'Items',
	    'icon' => 'boxes',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/item'),
	    'items' => [
	        ['label' => 'View Items', 'icon' => 'boxes', 'url' => ['/inventory/item/index'],],
	        ['label' => 'Create Item', 'icon' => 'boxes', 'url' => ['/inventory/item/create'],],
	    ],
	],
	[
	    'label' => 'Suppliers',
	    'icon' => 'people-carry',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/supplier'),
	    'items' => [
	        ['label' => 'View Suppliers', 'icon' => 'people-carry', 'url' => ['/inventory/supplier/index'],],
	        ['label' => 'Create Supplier', 'icon' => 'people-carry', 'url' => ['/inventory/supplier/create'],],
	    ],
	],
	[
	    'label' => 'Warehouses',
	    'icon' => 'warehouse',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/warehouse'),
	    'items' => [
	        ['label' => 'View Warehouses', 'icon' => 'warehouse', 'url' => ['/inventory/warehouse/index'],],
	        ['label' => 'Create Warehouse', 'icon' => 'warehouse', 'url' => ['/inventory/warehouse/create'],],
	    ],
	],
	[
	    'label' => 'Manufacturers',
	    'icon' => 'industry',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/manufacturer'),
	    'items' => [
	        ['label' => 'View Manufacturers', 'icon' => 'industry', 'url' => ['/inventory/manufacturer/index'],],
	        ['label' => 'Create Manufacturer', 'icon' => 'industry', 'url' => ['/inventory/manufacturer/create'],],
	    ],
	],
	[
	    'label' => 'Brands',
	    'icon' => 'copyright',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/brand'),
	    'items' => [
	        ['label' => 'View Brands', 'icon' => 'copyright', 'url' => ['/inventory/brand/index'],],
	        ['label' => 'Create Brand', 'icon' => 'copyright', 'url' => ['/inventory/brand/create'],],
	    ],
	],
];
