<?php

namespace common\modules\lms\models;

use Yii;
use yii\db\Expression;

use common\modules\core\components\Globals;

/**
 * This is the model class for table "{{%lms_cohort_user_course_activity}}".
 *
 * @property int $id
 * @property int $cohort_id
 * @property int $course_activity_id
 * @property int $created_by
 * @property int $updated_by
 * @property string $created_at
 * @property string $updated_at
 * @property string $status
 *
 * @property User $createdBy
 * @property User $updatedBy
 * @property LmsCohort $cohort
 * @property LmsCourseActivity $courseActivity
 */
class LmsCohortUserCourseActivity extends \common\modules\core\models\GenesysActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return '{{%lms_cohort_user_course_activity}}';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['cohort_id', 'course_activity_id'], 'required'],
            [['cohort_id', 'course_activity_id', 'created_by', 'updated_by'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['status'], 'string'],
            [['created_by'], 'exist', 'skipOnError' => true, 'targetClass' => \common\modules\user\models\User::className(), 'targetAttribute' => ['created_by' => 'id']],
            [['updated_by'], 'exist', 'skipOnError' => true, 'targetClass' => \common\modules\user\models\User::className(), 'targetAttribute' => ['updated_by' => 'id']],
            [['cohort_id'], 'exist', 'skipOnError' => true, 'targetClass' => \common\modules\lms\models\LmsCohort::className(), 'targetAttribute' => ['cohort_id' => 'id']],
            [['course_activity_id'], 'exist', 'skipOnError' => true, 'targetClass' => \common\modules\lms\models\LmsCourseActivity::className(), 'targetAttribute' => ['course_activity_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'cohort_id' => 'Cohort ID',
            'course_activity_id' => 'Course Activity ID',
            'created_by' => 'Created By',
            'updated_by' => 'Updated By',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'status' => 'Status',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreatedBy()
    {
        return $this->hasOne(\common\modules\user\models\User::className(), ['id' => 'created_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUpdatedBy()
    {
        return $this->hasOne(\common\modules\user\models\User::className(), ['id' => 'updated_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCohort()
    {
        return $this->hasOne(\common\modules\lms\models\LmsCohort::className(), ['id' => 'cohort_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCourseActivity()
    {
        return $this->hasOne(\common\modules\lms\models\LmsCourseActivity::className(), ['id' => 'course_activity_id']);
    }
}