<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\lms\models\LmsCohort */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<style>
    .select2-container .select2-selection--multiple .select2-selection__rendered {
        white-space: unset;
    }
</style>

<div class="lms-cohort-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'course_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\lms\models\LmsCourse::getAll($k = 'id', $v = 'name', true, 'course', 'name'),
        'options' => ['placeholder' => 'Select Course'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Course'); ?>

    <?php
    if ($modelLmsCohortUserCourse[0]->isNewRecord) {
        echo $form->field($modelLmsCohortUserCourse[0], 'user_course_id')->widget(\kartik\depdrop\DepDrop::classname(), [
            'type' => \kartik\depdrop\DepDrop::TYPE_SELECT2,
            'options' => ['multiple' => true, 'placeholder' => 'Select Enrollment'],
            'select2Options' => [
                'pluginOptions' => [
                    'allowClear' => true
                ]
            ],
            'pluginOptions' => [
                'depends' => ['lmscohort-course_id'],
                'url' => \yii\helpers\Url::to(['/lms/user-course/course-enrollments']),
                'loadingText' => 'Loading...',
            ]
        ])->label('Enrollment');
    } else {
        echo '<div class="form-group lmscohortusercourse-user_course_id required">';
        echo '<label for="lmscohortusercourse-user_course_id">Enrollment</label>';

        echo \kartik\depdrop\DepDrop::widget([
            'type' => \kartik\depdrop\DepDrop::TYPE_SELECT2,
            'id' => 'lmscohortusercourse-user_course_id',
            'name' => 'LmsCohortUserCourse[user_course_id][]',
            'value' => \yii\helpers\ArrayHelper::map(\common\modules\lms\models\LmsCohortUserCourse::find()->where(['cohort_id' => $model->id, 'status' => 'active'])->asArray()->all(), 'id', 'user_course_id'),
            'data' => \common\modules\lms\models\LmsUserCourse::getAll('id', 'user_id', false, '', '', ['course_id' => $model->course_id], [], ['user', 'email']),
            'options' => ['multiple' => true, 'placeholder' => 'Select Enrollment'],
            'select2Options' => [
                'maintainOrder' => true,
                'pluginOptions' => [
                    'allowClear' => true
                ]
            ],
            'pluginOptions' => [
                'depends' => ['lmscohort-course_id'],
                'url' => \yii\helpers\Url::to(['/lms/user-course/course-enrollments']),
                'loadingText' => 'Loading...',
            ]
        ]);
        
        echo '</div>';
    }
    ?>

    <?= $form->field($model, 'teacher_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\user\models\User::getAll($k = 'id', $v = 'email', false, '', '', ['role_id' => \common\modules\user\models\UserRole::getAttr(['id'], ['name' => 'teacher'])]),
        'options' => ['placeholder' => 'Select Teacher'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Teacher'); ?>

    <?= $form->field($model, 'tenant_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\user\models\User::getAll($k = 'id', $v = 'email', false, '', '', ['role_id' => \common\modules\user\models\UserRole::getAttr(['id'], ['name' => 'tenant'])]),
        'options' => ['placeholder' => 'Select Tenant'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Tenant'); ?>

    <?= $form->field($model, 'stage')->dropDownList([ 'unscheduled' => 'Unscheduled', 'scheduled' => 'Scheduled', 'ongoing' => 'Ongoing', 'completed' => 'Completed', 'cancelled' => 'Cancelled', 'rescheduled' => 'Rescheduled', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'start_date')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'end_date')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'cohort_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>