<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

use common\modules\core\components\Globals;
use common\modules\core\models\CoreEntityAttribute;
use common\modules\assetManager\widgets\FileInput;
use common\modules\assetManager\models\AssetManager;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsActivity;

/* @var $this yii\web\View */
/* @var $model common\modules\lms\models\LmsCourseActivity */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<style type="text/css">
	.ques_ans_wrap, .form-group {
		overflow: hidden;
	}
	.addMoreOptionBtn, .addMoreAnswerBtn, .addMoreAssetsBtn {
		margin-top: 20px;
	}
</style>

<div class="lms-course-activity-form">

    <?php $form = ActiveForm::begin(); ?>

   	<?= $form->field($model, 'course_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => LmsCourse::getAll($k = 'id', $v = 'name', $eav = true, $entity_class = 'course', $attribute_class = 'name'),
        'options' => ['placeholder' => 'Select Course'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Course'); ?>

    <?= $form->field($model, 'activity_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => LmsActivity::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select User'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Activity'); ?>

    <?php foreach (CoreEntityAttribute::getAttributeClassesOfEntityClass('course_activity') as $attributeClassKey => $attributeClassValue) { ?>
    	<?php if (!isset($$attributeClassValue)) { continue; } ?>

        <?php foreach ($modelCoreLanguage as $key => $value) { ?>
        	<div class="form-group">
    	    	<label for="course-activity-name_value_<?= $value['code'] ?>"><?= \yii\helpers\Inflector::titleize(ucfirst($attributeClassValue), true) . ' (' . strtoupper($value->code) . ')'  ?></label>
				
    	    	<?php 
    	    	$tmp = $$attributeClassValue[$value->id];

    	    	switch (Yii::$app->params['attributeFormFields'][$attributeClassValue]) {
    	    		case 'input_text':
    	    			echo Html::input('text', 'LmsCourseActivity[' . $attributeClassValue . '][value][' . $value->id . ']', isset($tmp) ? $tmp : '', ['class' => 'form-control']);
    	    			
    	    			break;

    	    		case 'wysiwyg':
    	    			echo \dosamigos\tinymce\TinyMce::widget([
    						'name' => 'LmsCourseActivity[' . $attributeClassValue . '][value][' . $value->id . ']',
    						'value' => isset($tmp) ? $tmp : '',
    						'options' => ['rows' => 6],
    						'language' => 'en_GB',
    						'clientOptions' => [
    						    'plugins' => [
    						        "advlist autolink lists link charmap print preview anchor hr",
    						        "searchreplace visualblocks code fullscreen",
    						        "insertdatetime media table contextmenu paste"
    						    ],
    						    'toolbar' => "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image | small"
    						]
    					]);
    	    			
    	    			break;
    	    		
    	    		default:
    	    			echo Html::input('text', 'LmsCourseActivity[' . $attributeClassValue . '][value][' . $value->id . ']', isset($tmp) ? $tmp : '', ['class' => 'form-control']);
    	    			
    	    			break;
    	    	}
    	    	?>
    		</div>
        <?php } ?>
    <?php } ?>

    <!-- <?php //= $form->field($model, 'metadata')->textarea(['rows' => 6]) ?> -->

    <?php 
    $tmpPreviewImage = '';

    if (isset($model->featured_image) && !empty($model->featured_image)) {
        $tmpPreviewImage = '<div class="preview-img"><img src="' . AssetManager::getAssetUrl($model->featured_image) . '" alt="' . AssetManager::getAttr(['alt'], ['id' => $model->featured_image, 'status' => 'active']) . '" class="well"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
    } else {
        $tmpPreviewImage = '<div class="preview-img"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
    }
    ?>

    <?= $form->field($model, 'featured_image')->widget(FileInput::className(), [
        'buttonTag' => 'button',
        'buttonName' => 'Browse',
        'buttonOptions' => ['class' => 'btn btn-primary'],
        'options' => ['class' => 'form-control disabled', 'readonly' => 'readonly'],
        // Widget template
        'template' => $tmpPreviewImage,
        // Optional, if set, only this image can be selected by user
        'thumb' => 'original',
        // Optional, if set, in container will be inserted selected image
        'imageContainer' => '.preview-img',
        // Default to FileInput::DATA_URL. This data will be inserted in input field
        'pasteData' => FileInput::DATA_ID,
        'frameSrc' => ['/asset-manager/asset/asset-manager'],
        // JavaScript function, which will be called before insert file data to input.
        // Argument data contains file data.
        // data example: [alt: "Ведьма с кошкой", description: "123", url: "/uploads/2014/12/vedma-100x100.jpeg", id: "45"]
        'callbackBeforeInsert' => 'function(e, data) {
            console.log(data);
        }',
    ]); ?>

    <?php 
	if (isset(Yii::$app->params['course_activity_metadata']) && !empty(Yii::$app->params['course_activity_metadata'])) {
        $tmpData = '';
        $courseActivityMetadata = array();
		
        if (!empty($model->metadata)) {
            $courseActivityMetadata = Globals::getArray($model->metadata);           
        }
	?>
        <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
			<?php
			foreach (Yii::$app->params['course_activity_metadata'] as $field => $detailsArr) {
				$is_true = false;
				
				if (array_key_exists('type', $detailsArr)) {
					if ($detailsArr['mode'] == 'required') {
						$is_true = true;
					}
			?>
					<div class="form-group">
						<label for="activity-name_value_<?= $field ?>"><?= \yii\helpers\Inflector::titleize(ucfirst($field), true)  ?></label>

						<br>

						<?php 
						$tmpData = isset($courseActivityMetadata[$field]) ? $courseActivityMetadata[$field] : '';

						switch ($detailsArr['type']) {
							case 'input_text':
								echo Html::input('text', 'LmsCourseActivityMetadata[' . $field . ']', isset($tmpData) ? $tmpData : '', ['class' => 'form-control', 'required' => $is_true]);
								
								break;

							case 'wysiwyg':
								echo \dosamigos\tinymce\TinyMce::widget([
									'name' => 'LmsCourseActivityMetadata[' . $field . ']',
									'value' => (isset($tmpData) && !empty($tmpData)) ? $tmpData : '',
									'options' => ['rows' => 3],
									'language' => 'en_GB',
									'clientOptions' => [
										'plugins' => [
											"advlist autolink lists link charmap print preview anchor hr",
											"searchreplace visualblocks code fullscreen",
											"insertdatetime media table contextmenu paste"
										],
										'toolbar' => "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image"
									]
								]);
								
								break;

							case 'json':
								for ($i = 0; $i < 200; $i++) {

									echo '<div class="ques_ans_wrap">';

									echo Html::label('Question #' . intval($i + 1), null, ['style' => 'font-size: 0.7em;']);

									echo '<div class="ques_id hidden">'.$i.'</div><div class="col-xs-6">';

									echo '<button class="btn btn-primary ques_btn" data-toggle="modal" data-target="#formModal">
										Click to add or edit Question#' . intval($i + 1) . '
									</button>';

									echo '</div><div class="col-xs-6">';

									echo Html::textarea('LmsCourseActivityMetadata[' . $field . '][' . $i . ']', isset($tmpData[$i]) ? json_encode($tmpData[$i], JSON_PRETTY_PRINT) : '', ['class' => 'form-control', 'rows' => 2 , 'readonly' => 'readonly', 'id' => 'course_activity_metadata']);

									echo '</div>';

									echo '</div>';									
								}
									?>
									<?php
								break;
							
							default:
								echo Html::input('text', 'LmsCourseActivityMetadata[' . $field . ']', isset($tmpData) ? $tmpData : '', ['class' => 'form-control']);
								
								break;
						}
						?>

					</div>
				<?php
				} else {
				?>
					<div class="panel panel-default">
						<div class="panel-heading" role="tab" id="headingOne">
							<h4 class="panel-title">
								<a role="button" data-toggle="collapse" data-parent="#accordion" href="#<?= $field ?>" aria-expanded="false" aria-controls="<?= $field ?>">
									<strong><?= \yii\helpers\Inflector::titleize(ucfirst($field), true)  ?></strong>
								</a>
							</h4>
						</div>
						<div id="<?= $field ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
							<div class="panel-body">
								<?php
								if (is_array($detailsArr)) {
									foreach ($detailsArr as $keyField => $valueDetailsArr) {
										if ($valueDetailsArr['mode'] == 'required') {
											$is_true = true;
										}
								?>
										<div class="form-group">
											<label for="product-name_value_<?= $keyField ?>"><?= \yii\helpers\Inflector::titleize(ucfirst($keyField), true)  ?></label>
											
											<?php 
											$tmpData = isset($courseActivityMetadata[$field][$keyField]) ? $courseActivityMetadata[$field][$keyField] : '';
											
											switch ($valueDetailsArr['type']) {
												case 'input_text':
													echo Html::input('text', 'LmsCourseActivityMetadata[' . $field . '][' . $keyField . ']', isset($tmpData) ? $tmpData : '', ['class' => 'form-control', 'required' => $is_true]);

													break;

												case 'wysiwyg': 
													echo \dosamigos\tinymce\TinyMce::widget([
														'name' => 'LmsCourseActivityMetadata[' . $field . '][' . $keyField . ']',
														'value' => isset($tmpData) ? $tmpData : '',
														'options' => ['rows' => 3],
														'language' => 'en_GB',
														'clientOptions' => [
															'plugins' => [
																"advlist autolink lists link charmap print preview anchor hr",
																"searchreplace visualblocks code fullscreen",
																"insertdatetime media table contextmenu paste"
															],
															'toolbar' => "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image"
														]
													]);
													
													break;
												
												default:
													echo Html::input('text', 'LmsCourseActivityMetadata[' . $field . '][' . $keyField . ']', isset($tmpData) ? $tmpData : '', ['class' => 'form-control']);
													
													break;
											}
											?>
										</div>                                        
								<?php
									}
								}
								?>
							</div>
						</div>
					</div>
					
					<hr>
			<?php
				}
			}
			?>
        </div>
    <?php
    }
	?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

<div class="modal fade" id="formModal" tabindex="-1" role="dialog" aria-labelledby="formModalLabel" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				<h4 class="modal-title" id="formModalLabel">Question# <span id="ques_no"></span></h4>
			</div>
			
			<div class="modal-body" style="overflow: hidden;">
				<form id="questionForm" class="form-horizontal mb-lg" novalidate="novalidate">
					<div class="form-group mt-lg">
						<label class="col-sm-3 control-label">S.no.</label>
						<div class="col-sm-9">
							<?= Html::input('number', 'ques_sno', '', ['class' => 'form-control']) ?>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label">Type</label>
						<div class="col-sm-9">
							<?= Html::dropDownList('ques_type', null,['fib', 'tf', 'mtf', 'mcq', 'sa'], ['class' => 'form-control']) ?>
						</div>
					</div>
					<div class="form-group mt-lg">
						<label class="col-sm-3 control-label">Question</label>
						<div class="col-sm-9">
							<?= Html::input('text', 'ques_ques', '', ['class' => 'form-control']) ?>

						</div>
					</div>
					<div class="form-group mt-lg">
						<label class="col-sm-3 control-label">Options</label>
						<div class="col-sm-9 option_wrapper">
							
						</div>
						<button class="col-sm-offset-3 btn addMoreOptionBtn btn-primary">+Add More Options</button>
					</div>
					<div class="form-group mt-lg">
						<label class="col-sm-3 control-label">Answer</label>
						<div class="col-sm-9 answer_wrapper">
							
						</div>
						<button class="col-sm-offset-3 btn addMoreAnswerBtn btn-primary">+Add More Answer</button>
					</div>
					<div class="form-group mt-lg">
						<label class="col-sm-3 control-label">Explanation</label>
						<div class="col-sm-9">
							<?= Html::input('text', 'ques_explanation', '', ['class' => 'form-control']) ?>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-3 control-label">Assets</label>
						<div class="col-sm-9 asset_wrapper">
							
						</div>
						<button class="col-sm-offset-3 btn addMoreAssetsBtn btn-primary">+Add More Assets</button>
					</div>
				</form>
			</div>

			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				<button type="button" class="btn btn-primary saveQues-btn">Save Changes</button>
			</div>
		</div>
	</div>
</div>

<?php 

$script = <<< JS

var ques_id = '';

$(document).on('click', '.ques_btn', function (e) {
	e.preventDefault();

	ques_id = $(this).closest(".ques_ans_wrap").find(".ques_id").html();
	
	$("#ques_no").html(parseInt(ques_id) + parseInt(1));

	var ques_json = $(this).closest(".ques_ans_wrap").find("#course_activity_metadata").val();
	
	if(ques_json != '' && ques_json != null) {
		var questions = JSON.parse(ques_json);

		$.each(questions, function(index, option) {
			if(index == 'sno') {
				$('input[name="ques_sno"]').val(option);
			} else if(index == 'type') {
				$("select[name='ques_type'] option").filter(function() {
					return this.text == option;
				}).prop('selected', true);
			} else if(index == 'question') {
				$('input[name="ques_ques"]').val(option);
			} else if(index == 'option') {
				$('.option_wrapper').html('');

				$.each(option,function(i, a) {
					$('.option_wrapper').append('<input type="text" class="form-control" name="ques_opt[]" value="' + a + '">');
				});
			} else if(index == 'answer') {
				$('.answer_wrapper').html('');
				
				$.each(option,function(i, a) {
					$('.answer_wrapper').append('<input type="text" class="form-control" name="ques_ans[]" value="' + a + '">');
				});
			} else if (index == 'explanation') {
				$('input[name="ques_explanation"]').val(option);
			} else if(index == 'assets') {
				$('.asset_wrapper').html('');

				$.each(option,function(i, a) {
					$('.asset_wrapper').append('<input type="text" class="form-control" name="ques_asset[]" value="' + a + '">');
				});
			}
		});	
	} else {
		$('input[name="ques_sno"]').val('');
		$('input[name="ques_ques"]').val('');
		$('.option_wrapper').html('<input type="text" class="form-control" name="ques_opt[]" value="">');
		$('.answer_wrapper').html('<input type="text" class="form-control" name="ques_ans[]" value="">');
		$('input[name="ques_explanation"]').val('');
		$('.asset_wrapper').html('<input type="text" class="form-control" name="ques_asset[]" value="">');
	}
});

$(document).on('click', '.addMoreOptionBtn', function (e) {
	e.preventDefault();
	$('.option_wrapper').prepend('<input type="text" class="form-control" name="ques_opt[]" value="">');
});

$(document).on('click', '.addMoreAnswerBtn', function (e) {
	e.preventDefault();
	$('.answer_wrapper').prepend('<input type="text" class="form-control" name="ques_answer[]" value="">');
});

$(document).on('click', '.addMoreAssetsBtn', function (e) {
	e.preventDefault();
	$('.asset_wrapper').prepend('<input type="text" class="form-control" name="ques_asset[]" value="">');
});

$(document).on('click', '.saveQues-btn', function (e) {
	e.preventDefault();

	question_details = {};
	question_details.sno = $('input[name="ques_sno"]').val();
    question_details.type = $('select[name="ques_type"] option:selected').text();
    question_details.ques = $('input[name="ques_ques"]').val();
    question_details.ans = '';
    question_details.explanation = $('input[name="ques_explanation"]').val();
    question_details.assets = '';
    question_details.options = '';
    
    options = [];

    $('.option_wrapper > input').each( function( index ) {
        options.push($(this).val());
    });

    question_details.options = options;

    answer = [];

    $('.answer_wrapper > input').each( function( index ) {
        answer.push($(this).val() );
    });

    question_details.ans = answer;

    asset = [];

    $('.asset_wrapper > input').each( function( index ) {
        asset.push($(this).val() );
    });

    question_details.assets = asset;
    
    questionsJson = {"sno": question_details.sno, "type": question_details.type, "question": question_details.ques, "option": question_details.options, "answer": question_details.ans, "explanation": question_details.explanation, "assets": question_details.assets};
    questionsJson = JSON.stringify(questionsJson);
    
    $("#course_activity_metadata[name='LmsCourseActivityMetadata\[quiz\]\["+ques_id+"\]']").text(questionsJson);
    $('#formModal').modal('hide');
});

JS;

$this->registerJs($script);
?>
