<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'LMS ', 'header' => true, 'visible' => (
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'lms/course') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'lms/course-activity') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'lms/user-course') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'lms/cohort') || 
	    GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'lms/attendance')
	)],
	[
	    'label' => 'Courses',
	    'icon' => 'book',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'lms/course'),
	    'items' => [
	        ['label' => 'View Courses', 'icon' => 'book', 'url' => ['/lms/course/index'],],
	        ['label' => 'Create Course', 'icon' => 'book', 'url' => ['/lms/course/create'],],
	    ],
	],
	[
	    'label' => 'Activities',
	    'icon' => 'book-reader',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'lms/course-activity'),
	    'items' => [
	        ['label' => 'View Activities', 'icon' => 'book-reader', 'url' => ['/lms/course-activity/index'],],
	        ['label' => 'Create Activity', 'icon' => 'book-reader', 'url' => ['/lms/course-activity/create'],],
	    ],
	],
	[
	    'label' => 'Enrollments',
	    'icon' => 'address-book',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'lms/user-course'),
	    'items' => [
	        ['label' => 'View Enrollments', 'icon' => 'address-book', 'url' => ['/lms/user-course/index'],],
	        ['label' => 'Create Enrollment', 'icon' => 'address-book', 'url' => ['/lms/user-course/create'],],
	    ],
	],
	[
	    'label' => 'Cohorts',
	    'icon' => 'users',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'lms/cohort'),
	    'items' => [
	        ['label' => 'View Cohorts', 'icon' => 'users', 'url' => ['/lms/cohort/index'],],
	        ['label' => 'Create Cohort', 'icon' => 'users', 'url' => ['/lms/cohort/create'],],
	    ],
	],
	[
	    'label' => 'LMS Reports',
	    'icon' => 'chart-line',
	    'url' => '#',
	    'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'lms/user-course'),
	    'items' => [
	        ['label' => 'Course Completion', 'icon' => 'book', 'url' => ['/lms/lms-report/course-completion'],],
	        ['label' => 'Quiz Completion', 'icon' => 'question', 'url' => ['/lms/lms-report/quiz-completion'],],
	        ['label' => 'Assignment Completion', 'icon' => 'file-signature', 'url' => ['/lms/lms-report/assignment-completion'],],
	        ['label' => 'Feedback - Content Eval.', 'icon' => 'comment-dots', 'url' => ['/lms/lms-report/feedback-content-evaluation'],],
	        ['label' => 'Feedback - Course Eval.', 'icon' => 'comment-dots', 'url' => ['/lms/lms-report/feedback-course-evaluation'],],
	        ['label' => 'Evaluation - Assessment', 'icon' => 'question', 'url' => ['/lms/lms-report/evaluation-assessment'],],
	    ],
	],
];
