<?php

use yii\helpers\Url;
use common\modules\core\models\CoreValue;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use dosamigos\chartjs\ChartJs;

?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		
		<title>Cumulative Quiz Report</title>

		<style type="text/css">
		body, table {
			font-family: Calibri, Candara, Segoe, 'Segoe UI', Optima, Arial, sans-serif !important;
			font-size: 12px !important;
			background-color: 	
		}
		.col-sm-offset-2 {
			margin-left: 16.66666667%;
		}
		.col-sm-8 {
			width: 66.66666667%;
		}
		.list-group-item > .badge {
			float: right;
		}
		.badge {
			display: inline-block;
			min-width: 10px;
			padding: 3px 7px;
			font-size: 12px;
			font-weight: bold;
			line-height: 1;
			color: #fff;
			text-align: center;
			white-space: nowrap;
			vertical-align: middle;
			background-color: #777777;
			border-radius: 10px;
		}
		.list-group-item {
			position: relative;
			display: block;
			padding: 10px 15px;
			margin-bottom: -1px;
			background-color: #fff;
			border: 1px solid #ddd;
		}
		.list-group {
			padding-left: 0;
			margin-bottom: 20px;
		}

		img.logo {
			position: absolute;
			top: 0;
			left: 0;
			height: 100px;
			width: auto;
		}

		.text-align-left {
			text-align: left;
		}

		.text-align-right {
			text-align: right;
		}

		.table-bordered {
			width: 100%;
			border: 1px solid #878473;
			border-collapse: collapse;
			border-spacing: 0px;
		}

		.table-bordered td {
			font-family: Calibri, Candara, Segoe, 'Segoe UI', Optima, Arial, sans-serif !important;
			font-size: 12px !important;
			padding: 5px;
			border: 1px solid #878473;
			border-collapse: collapse;
		}

		.table {
			width: 100%;
			border-spacing: 0px;
		}

		.table td {
			font-family: Calibri, Candara, Segoe, 'Segoe UI', Optima, Arial, sans-serif !important;
			font-size: 12px !important;
			padding: 5px;
		}
		</style>
	</head>
	<body>
		<div class="quiz-report-index">
			<div class="row">
				<div class="col-xs-12">
					<?php 
					if(isset($chart_data) && !empty($chart_data)) {
						$qno = 0;

						foreach($chart_data as $chart_datum_key => $chart_datum) {
							$qno++;
					?>
							<h5><span class="qno"><?= $qno ?>. </span><span class="ques_text"><?= isset($chart_datum['question']) ? $chart_datum['question'] : '' ?></span></h5>

							<div class="chart-wrap">
								<?php /*= ChartJs::widget([
								    'type' => 'horizontalBar',
								    'data' => [
								        'labels' => $chart_datum['label'],
								        'datasets' => [
								            [
								                'label' => isset($chart_datum['question']) ? $chart_datum['question'] : '',
								                'data' => $chart_datum['data']
								            ],
								        ]
								    ],
								    'clientOptions' => [
							            'legend' => [
							                'display' => false,
							            ],
							            'tooltips' => [
							                'enabled' => true,
							                'intersect' => true
							            ],
							            'hover' => [
							                'mode' => true
							            ],
							        ],
								]);*/ ?>

								<?= ChartJs::widget([
								    'type' => 'doughnut',
								    // 'id' => 'structurePie',
								    // 'options' => [
								    //     'height' => 100,
								    //     'width' => 100,
								    // ],
								    'data' => [
								        'radius' =>  "90%",
								        'labels' => $chart_datum['label'],
								        'datasets' => [
								            [
								                'data' => $chart_datum['data'],
								                'label' => '',
								                'backgroundColor' => [
							                        '#fea3aa',
							                        '#f8b88b',
							                        '#faf884',
							                        '#baed91',
							                        '#b2cefe',
							                        '#f2a2e8',
								                ],
								                'borderColor' =>  [
								                        '#fff',
								                        '#fff',
								                        '#fff'
								                ],
								                'borderWidth' => 1,
								                'hoverBorderColor'=>["#999", "#999", "#999"],                
								            ]
								        ]
								    ],
								    'clientOptions' => [
								        'legend' => [
								            'display' => true,
								            'position' => 'bottom',
								            'labels' => [
								                'fontSize' => 14,
								                'fontColor' => "#425062",
								            ]
								        ],
								        'tooltips' => [
								            'enabled' => true,
								            'intersect' => true
								        ],
								        'hover' => [
								            'mode' => false
								        ],
								        // 'maintainAspectRatio' => false,

								    ],
								    'plugins' =>
								        new \yii\web\JsExpression('
								        [{
								            afterDatasetsDraw: function(chart, easing) {
								                var ctx = chart.ctx;
								                chart.data.datasets.forEach(function (dataset, i) {
								                    var meta = chart.getDatasetMeta(i);
								                    if (!meta.hidden) {
								                        meta.data.forEach(function(element, index) {
								                            // Draw the text in black, with the specified font
								                            ctx.fillStyle = \'rgb(0, 0, 0)\';

								                            var fontSize = 16;
								                            var fontStyle = \'normal\';
								                            var fontFamily = \'Helvetica\';
								                            ctx.font = Chart.helpers.fontString(fontSize, fontStyle, fontFamily);

								                            // Just naively convert to string for now
								                            var dataString = dataset.data[index].toString()+\'%\';

								                            // Make sure alignment settings are correct
								                            ctx.textAlign = \'center\';
								                            ctx.textBaseline = \'middle\';

								                            var padding = 5;
								                            var position = element.tooltipPosition();
								                            ctx.fillText(dataString, position.x, position.y - (fontSize / 2) - padding);
								                        });
								                    }
								                });
								            }
								        }]')
								]) ?>
							</div>
					<?php
						}
					}
					?>
				</div>
			</div>
		</div>	
	</body>
</html>