<?php

use yii\helpers\Url;
use common\modules\core\models\CoreValue;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use common\modules\lms\models\LmsUserCourseActivity;

?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		
		<title>Quiz Completion Report</title>

		<style type="text/css">
		body, table {
			font-family: Calibri, Candara, Segoe, 'Segoe UI', Optima, Arial, sans-serif !important;
			font-size: 12px !important;
			background-color: 	
		}
		.col-sm-offset-2 {
			margin-left: 16.66666667%;
		}
		.col-sm-8 {
			width: 66.66666667%;
		}
		.list-group-item > .badge {
			float: right;
		}
		.badge {
			display: inline-block;
			min-width: 10px;
			padding: 3px 7px;
			font-size: 12px;
			font-weight: bold;
			line-height: 1;
			color: #fff;
			text-align: center;
			white-space: nowrap;
			vertical-align: middle;
			background-color: #777777;
			border-radius: 10px;
		}
		.list-group-item {
			position: relative;
			display: block;
			padding: 10px 15px;
			margin-bottom: -1px;
			background-color: #fff;
			border: 1px solid #ddd;
		}
		.list-group {
			padding-left: 0;
			margin-bottom: 20px;
		}

		img.logo {
			position: absolute;
			top: 0;
			left: 0;
			height: 100px;
			width: auto;
		}

		.text-align-left {
			text-align: left;
		}

		.text-align-right {
			text-align: right;
		}

		.table-bordered {
			width: 100%;
			border: 1px solid #878473;
			border-collapse: collapse;
			border-spacing: 0px;
		}

		.table-bordered td {
			font-family: Calibri, Candara, Segoe, 'Segoe UI', Optima, Arial, sans-serif !important;
			font-size: 12px !important;
			padding: 5px;
			border: 1px solid #878473;
			border-collapse: collapse;
		}

		.table {
			width: 100%;
			border-spacing: 0px;
		}

		.table td {
			font-family: Calibri, Candara, Segoe, 'Segoe UI', Optima, Arial, sans-serif !important;
			font-size: 12px !important;
			padding: 5px;
		}
		</style>
	</head>
	<body>
		<div class="quiz-report-index">
			<div class="row">
				<div class="col-sm-6 col-sm-offset-3">
					<ul class="list-group score-card">
						<li class="list-group-item">
							<span class="badge total-questions">
								<?= CoreValue::getEntityValue('course_activity', 'name', LmsUserCourseActivity::getAttr(['course_activity_id'], ['id' => $modelLmsUserCourseActivityAttemptArr['user_course_activity_id']])) ?>
							</span>Quiz
						</li>
						<li class="list-group-item">
							<span class="badge total-questions">
								<?= ucfirst($modelUserProfileArr['first_name']) ?> <?= ucfirst($modelUserProfileArr['last_name']) ?>
							</span>Name
						</li>
						<li class="list-group-item">
							<span class="badge total-questions">
								<?= strtolower($modelUserArr['email']) ?>
							</span>Email
						</li>
						<li class="list-group-item">
							<span class="badge total-questions">
								<?= isset($total_question) ? $total_question : '0'; ?>
							</span>Total Questions
						</li>
						<li class="list-group-item">
							<span class="badge correct-answers">
								<?= isset($correct_answers) ? $correct_answers : '0'; ?>
							</span>Correct Answers
						</li>
						<li class="list-group-item">
							<span class="badge percentage">
								<?php 
								$percentage = ($correct_answers * 100) / $total_question;

								echo round($percentage, 2);
								?> <i class="fa fa-percent"></i>
							</span>Percentage
						</li>
					</ul>
				</div>
			</div>
			<div class="row" style="width: 100%;">
		        <div class="col-sm-12">
		            <div id="result-wrapper">
		                <table class="table table-bordered table-responsive">
		                    <thead>
		                        <tr>
		                            <th>#</th>
		                            <th>Question</th>
		                            <th>Student Answer</th>
		                            <th>Result</th>
		                            <th>Correct Answer</th>
		                        </tr>
		                    </thead>
		                    <tbody id="user-result">
		                    	<?php foreach($user_activity_arr as $key => $value) { ?>
		                    		<tr>
			                    		<td><?= $value['qno'] ?></td>
			                    		<td><?= $value['question'] ?></td>
			                    		<td>
			                    			<?php 
		                    				if (is_array($value['response'])) {
		                    					echo implode(",", $value['response']);
		                    				} else {
		                    					echo $value['response'];
		                    				}
			                    			?>	                    			
			                    		</td>
			                    		<td><?= $value['result'] ?></td>
			                    		<td>
			                    			<?php
		                    				if ($value['result'] !== 'correct') {
		                    					if (is_array($value['answer'])) {
			                    					echo implode(",", $value['answer']);
			                    				} else {
			                    					echo $value['answer'];
			                    				}
		                    				}	                    				 
			                    			?>	
			                    		</td>
		                    		</tr>
		                    	<?php } ?>
		                    </tbody>
		                </table>
		            </div>
		        </div>
		    </div>
		</div>	
	</body>
</html>
