<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\modules\core\models\CoreValue;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use Yadakhov\Json;

$this->title = 'Assignment Completion';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="course-completion-index">

    <h1><?= Html::encode($this->title) ?></h1>

<?php Pjax::begin(); ?>    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'options' => ['class' => 'table-responsive'],
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
            [
                'attribute' => 'courseName', 
                'label' => 'Course', 
                'value' => function($model) {
                    return CoreValue::getEntityValue('course', 'name', LmsCourseActivity::getAttr(['course_id'], ['id' => $model->userCourseActivity->course_activity_id]));
                }
            ],
			[
				'attribute' => 'courseActivityName', 
                'label' => 'Course Activity', 
                'value' => function($model) {
                    $json = new Json(LmsCourseActivity::getAttr(['metadata'], ['id' => $model->userCourseActivity->course_activity_id]));
                    
                    return CoreValue::getEntityValue('course_activity', 'name', str_replace('/index.php?r=lms/course-activity/assignment&course_activity_id=', '', $json->get('launch_url')));
                }
            ],
            ['attribute' => 'userEmail', 'label' => 'Email', 'value' => 'user.email'],
            'attempt',
            ['attribute' => 'updated_at', 'label' => 'Last Accessed'],
            [
                'attribute' => 'file',
                'label' => false,
                'format' => 'html',
                'value' => function($model) {
                    $tmp_metadata = json_decode($model->metadata);

                    return '<a href="' . Yii::getAlias('@assetsurl') . $tmp_metadata->file . '"><i class="fa fa-download" aria-hidden="true"></i></a>';
                },
            ],
        ],
    ]); ?>
<?php Pjax::end(); ?></div>
