<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\modules\core\models\CoreValue;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use Yadakhov\Json;

$this->title = 'Course Completion';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="course-completion-index">

    <h1><?= Html::encode($this->title) ?></h1>

<?php Pjax::begin(); ?>    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'options' => ['class' => 'table-responsive'],
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
            [
                'attribute' => 'courseName', 
                'label' => 'Course', 
                'value' => function($model) {
                    return CoreValue::getEntityValue('course', 'name', LmsCourseActivity::getAttr(['course_id'], ['id' => $model->userCourseActivity->course_activity_id]));
                }
            ],
			[
				'attribute' => 'courseActivityName', 
                'label' => 'Course Activity', 
                'value' => function($model) {
                    $json = new Json(LmsCourseActivity::getAttr(['metadata'], ['id' => $model->userCourseActivity->course_activity_id]));
                    
                    return str_replace('/index_lms_html5.html', '', $json->get('launch_file'));
                }
            ],
            ['attribute' => 'userEmail', 'label' => 'Email', 'value' => 'user.email'],
            'attempt',
            [
                'attribute' => 'completionStatus',
                'label' => 'Status',
                'value' => function($model) {
                    $tmp_cmi_data = json_decode($model->metadata, true);

                    return $tmp_cmi_data['cmi_data']['cmi.core.lesson_status'];
                },
            ],
            [
                'attribute' => 'score',
                'label' => 'Score',
                'value' => function($model) {
                    $tmp_cmi_data = json_decode($model->metadata, true);

                    return $tmp_cmi_data['cmi_data']['cmi.core.score.raw'];
                },
            ],
            ['attribute' => 'updated_at', 'label' => 'Last Accessed'],
        ],
    ]); ?>
<?php Pjax::end(); ?></div>
