<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\modules\core\models\CoreValue;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use dosamigos\chartjs\ChartJs;

$this->title = 'Course Activity Report';
$this->params['breadcrumbs'][] = $this->title;
?>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.3.0/jspdf.umd.min.js"></script>

<div class="cumulative-quiz-report">

	<h1>Course Activity Report</h1>

	<!-- <a href="#" id="downloadPdf">Download Report Page as PDF</a> -->

	<div class="row">
		<div class="col-xs-12">
			<?php 
			if(isset($chart_data) && !empty($chart_data)) {
				$qno = 0;

				foreach($chart_data as $chart_datum_key => $chart_datum) {
					$qno++;
			?>
					<h5><span class="qno"><?= $qno ?>. </span><span class="ques_text"><?= isset($chart_datum['question']) ? $chart_datum['question'] : '' ?></span></h5>

					<div class="chart-wrap">
						<?php /*= ChartJs::widget([
						    'type' => 'horizontalBar',
						    'data' => [
						        'labels' => $chart_datum['label'],
						        'datasets' => [
						            [
						                'label' => isset($chart_datum['question']) ? $chart_datum['question'] : '',
						                'data' => $chart_datum['data']
						            ],
						        ]
						    ],
						    'clientOptions' => [
					            'legend' => [
					                'display' => false,
					            ],
					            'tooltips' => [
					                'enabled' => true,
					                'intersect' => true
					            ],
					            'hover' => [
					                'mode' => true
					            ],
					        ],
						]);*/ ?>

						<?= ChartJs::widget([
						    'type' => 'doughnut',
						    // 'id' => 'structurePie',
						    // 'options' => [
						    //     'height' => 100,
						    //     'width' => 100,
						    // ],
						    'data' => [
						        'radius' =>  "90%",
						        'labels' => $chart_datum['label'],
						        'datasets' => [
						            [
						                'data' => $chart_datum['data'],
						                'label' => '',
						                'backgroundColor' => [
					                        '#fea3aa',
					                        '#f8b88b',
					                        '#faf884',
					                        '#baed91',
					                        '#b2cefe',
					                        '#f2a2e8',
						                ],
						                'borderColor' =>  [
						                        '#fff',
						                        '#fff',
						                        '#fff'
						                ],
						                'borderWidth' => 1,
						                'hoverBorderColor'=>["#999", "#999", "#999"],                
						            ]
						        ]
						    ],
						    'clientOptions' => [
						        'legend' => [
						            'display' => true,
						            'position' => 'bottom',
						            'labels' => [
						                'fontSize' => 14,
						                'fontColor' => "#425062",
						            ]
						        ],
						        'tooltips' => [
						            'enabled' => true,
						            'intersect' => true
						        ],
						        'hover' => [
						            'mode' => false
						        ],
						        // 'maintainAspectRatio' => false,

						    ],
						    'plugins' =>
						        new \yii\web\JsExpression('
						        [{
						            afterDatasetsDraw: function(chart, easing) {
						                var ctx = chart.ctx;
						                chart.data.datasets.forEach(function (dataset, i) {
						                    var meta = chart.getDatasetMeta(i);
						                    if (!meta.hidden) {
						                        meta.data.forEach(function(element, index) {
						                            // Draw the text in black, with the specified font
						                            ctx.fillStyle = \'rgb(0, 0, 0)\';

						                            var fontSize = 16;
						                            var fontStyle = \'normal\';
						                            var fontFamily = \'Helvetica\';
						                            ctx.font = Chart.helpers.fontString(fontSize, fontStyle, fontFamily);

						                            // Just naively convert to string for now
						                            var dataString = dataset.data[index].toString()+\'%\';

						                            // Make sure alignment settings are correct
						                            ctx.textAlign = \'center\';
						                            ctx.textBaseline = \'middle\';

						                            var padding = 5;
						                            var position = element.tooltipPosition();
						                            ctx.fillText(dataString, position.x, position.y - (fontSize / 2) - padding);
						                        });
						                    }
						                });
						            }
						        }]')
						]) ?>
					</div>
			<?php
				}
			}
			?>
		</div>
	</div>
</div>

<?php 
$script = <<< JS
$('#downloadPdf').click(function(event) {
	// get size of report page
	var reportPageHeight = $('.cumulative-quiz-report').innerHeight();
	var reportPageWidth = $('.cumulative-quiz-report').innerWidth();

	// create a new canvas object that we will populate with all other canvas objects
	var pdfCanvas = $('<canvas />').attr({
		id: "canvaspdf",
		width: reportPageWidth,
		height: reportPageHeight
	});

	// keep track canvas position
	var pdfctx = $(pdfCanvas)[0].getContext('2d');
	var pdfctxX = 0;
	var pdfctxY = 0;
	var buffer = 100;

	// for each chart.js chart
	$("canvas").each(function(index) {
		// get the chart height/width
		var canvasHeight = $(this).innerHeight();
		var canvasWidth = $(this).innerWidth();

		// draw the chart into the new canvas
		pdfctx.drawImage($(this)[0], pdfctxX, pdfctxY, canvasWidth, canvasHeight);
		pdfctxX += canvasWidth + buffer;

		// our report page is in a grid pattern so replicate that in the new canvas
		if (index % 2 === 1) {
			pdfctxX = 0;
			pdfctxY += canvasHeight + buffer;
		}
	});

	// create new pdf and add our new canvas as an image
	var pdf = new jsPDF('l', 'pt', [reportPageWidth, reportPageHeight]);
	pdf.addImage($(pdfCanvas)[0], 'PNG', 0, 0);

	// download the pdf
	pdf.save('filename.pdf');
});
JS;

$this->registerJs($script);
?>
