<?php

use yii\bootstrap4\Html;
use yii\helpers\Url;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\modules\core\models\CoreValue;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use Yadakhov\Json;

$this->title = 'Cumulative Quiz Reports';
$this->params['breadcrumbs'][] = $this->title;
?>

<div>
    <h1><?= Html::encode($this->title) ?></h1>

<?= GridView::widget([
        'dataProvider' => $dataProvider,
        'options' => ['class' => 'table-responsive'],
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
			[
                'attribute' => 'name',
                'label' => 'Course Activity',
                'value' => function($data) {
                    return CoreValue::getEntityValue('course_activity', 'name', $data['id']);
                }
            ],
            [
                'class' => 'yii\grid\ActionColumn', 
                'template' => '{view} {export}', 
                'buttons' => [
                    'view' => function ($url, $model, $key) {
                        return Html::a('<span class="fa fa-eye"></span>', Url::toRoute(['lms-report/cumulative-quiz-report', 'id' => $model['id']]), ['title' => 'View', 'class' => '', 'data-pjax' => '0', 'target' => '_blank']);
                    },
                    'export' => function ($url, $model, $key) {
                        return Html::a('<span class="fa fa-print"></span>', Url::toRoute(['lms-report/cumulative-quiz-report', 'id' => $model['id'], 'export'=> true]), ['title' => 'Export', 'class' => '', 'data-pjax' => '0', 'target' => '_blank']);
                    },
                ],
                'header' => 'Action',
            ],
        ],
    ]); ?>
</div>
