<?php

use yii\web\View;
use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\modules\core\models\CoreValue;
use common\modules\user\models\UserProfile;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use dosamigos\chartjs\ChartJs;

$this->title = '[Evaluation] Assessment - ' . CoreValue::getEntityValue('course', 'name', $course_id);
$this->params['breadcrumbs'][] = $this->title;

$this->registerJsFile('//www.gstatic.com/charts/loader.js', ['position' => View::POS_HEAD]);

$count = 0;

?>

<div class="cumulative-quiz-report">
	<h1><?= $this->title ?></h1>

	<div class="row">
		<div class="col-xs-12">
			<div id="chart"></div>
		</div>
	</div>
</div>

<?php 
$script = <<< JS
google.charts.load('current', {packages: ['corechart', 'line']});
google.charts.setOnLoadCallback(drawChart);

function drawChart() {
	var data = new google.visualization.DataTable();
	
	data.addColumn('string', 'X');
	data.addColumn('number', 'Pre-assessment');
	// data.addColumn({type: 'number', role: 'annotation'});
	data.addColumn('number', 'Post-assessment');
	// data.addColumn({type: 'number', role: 'annotation'});
	
	data.addRows([
		
JS;

foreach ($chart_data_pre as $k => $v) {
$script .= <<< JS
["
JS;

$script .= $count * intval(ceil(20 / count($chart_data_pre)));

$script .= <<< JS
", 
JS;

$script .= isset($chart_data_pre[$k]) ? $chart_data_pre[$k] : 0;

$script .= <<< JS
, 
JS;

/*$script .= isset($chart_data_pre[$k]) ? $chart_data_pre[$k] : 0;

$script .= <<< JS
, 
JS;*/

$script .= isset($chart_data_post[$k]) ? $chart_data_post[$k] : 0;

/*$script .= <<< JS
, 
JS;*/

// $script .= isset($chart_data_post[$k]) ? $chart_data_post[$k] : 0;

$script .= <<< JS
], 
JS;

	$count++;
}
$script .= <<< JS
	]);

JS;

$script .= <<< JS
	var options = {
		width: '100%',
		height: 480,
		hAxis: {
			title: 'Total students'
		},
		vAxis: {
			title: 'Total score'
		},
		curveType: 'function',
	};

	var chart = new google.visualization.LineChart(document.getElementById('chart'));

	chart.draw(data, options);
}
JS;

$this->registerJs($script);
?>
