<?php

use yii\web\View;
use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\modules\core\models\CoreValue;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use dosamigos\chartjs\ChartJs;

$this->title = '[Feedback] Content Evaluation - ' . CoreValue::getEntityValue('course', 'name', $course_id);
$this->params['breadcrumbs'][] = $this->title;

$this->registerJsFile('//www.gstatic.com/charts/loader.js', ['position' => View::POS_HEAD]);

?>

<div class="cumulative-quiz-report">

	<h1><?= $this->title ?></h1>

	<div class="row">
		<div class="col-xs-12">
			<div id="chart"></div>
		</div>
	</div>
</div>

<?php 
$script = <<< JS
google.charts.load('current', {packages: ['corechart', 'bar']});
google.charts.setOnLoadCallback(drawChart);

function drawChart() {

	// Define the chart to be drawn.
	var data = new google.visualization.DataTable();
	data.addColumn('string', 'Subject');
	data.addColumn('number', 'Before Training');
	data.addColumn({type: 'number', role: 'annotation'});
	data.addColumn('number', 'After Training');
	data.addColumn({type: 'number', role: 'annotation'});
	data.addRows([
JS;

foreach ($average_chart_report_1['label'] as $k => $v) {

$script .= <<< JS
		["$v", 
JS;

$script .= $average_chart_report_1['data'][$k];

$script .= <<< JS
, 
JS;

$script .= $average_chart_report_1['data'][$k];

$script .= <<< JS
, 
JS;

$script .= $average_chart_report_2['data'][$k];

$script .= <<< JS
, 
JS;

$script .= $average_chart_report_2['data'][$k];

$script .= <<< JS
],
JS;
}
$script .= <<< JS
	]);

	var options = {
        title: '
JS;

$script .= $this->title;

$script .= <<< JS
        ',
        width: '100%',
        height: 1024,
        hAxis: {
			title: 'Feedback Rating',
			minValue: 0,
			maxValue: 5,
        },
        vAxis: {
			title: 'Subject'
        }
      };

	// Instantiate and draw the chart.
	var chart = new google.visualization.BarChart(document.getElementById('chart'));
	chart.draw(data, options);
}

$('#downloadPdf').click(function(event) {
	// get size of report page
	var reportPageHeight = $('.cumulative-quiz-report').innerHeight();
	var reportPageWidth = $('.cumulative-quiz-report').innerWidth();

	// create a new canvas object that we will populate with all other canvas objects
	var pdfCanvas = $('<canvas />').attr({
		id: "canvaspdf",
		width: reportPageWidth,
		height: reportPageHeight
	});

	// keep track canvas position
	var pdfctx = $(pdfCanvas)[0].getContext('2d');
	var pdfctxX = 0;
	var pdfctxY = 0;
	var buffer = 100;

	// for each chart.js chart
	$("canvas").each(function(index) {
		// get the chart height/width
		var canvasHeight = $(this).innerHeight();
		var canvasWidth = $(this).innerWidth();

		// draw the chart into the new canvas
		pdfctx.drawImage($(this)[0], pdfctxX, pdfctxY, canvasWidth, canvasHeight);
		pdfctxX += canvasWidth + buffer;

		// our report page is in a grid pattern so replicate that in the new canvas
		if (index % 2 === 1) {
			pdfctxX = 0;
			pdfctxY += canvasHeight + buffer;
		}
	});

	// create new pdf and add our new canvas as an image
	var pdf = new jsPDF('l', 'pt', [reportPageWidth, reportPageHeight]);
	pdf.addImage($(pdfCanvas)[0], 'PNG', 0, 0);

	// download the pdf
	pdf.save('filename.pdf');
});
JS;

$this->registerJs($script);
?>
