<?php

use yii\web\View;
use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\modules\core\models\CoreValue;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use dosamigos\chartjs\ChartJs;

$this->title = '[Feedback] Course Evaluation - ' . CoreValue::getEntityValue('course', 'name', $course_id);;
$this->params['breadcrumbs'][] = $this->title;

$this->registerJsFile('//www.gstatic.com/charts/loader.js', ['position' => View::POS_HEAD]);

$script = <<< JS
google.charts.load("current", {packages:["corechart"]});
JS;

?>

<div class="cumulative-quiz-report">

	<h1><?= $this->title ?></h1>

	<div class="row">
		<div class="col-xs-12" style="background-color: #fff;">
			<?php 
			if(isset($chart_data) && !empty($chart_data)) {
				$qno = 0;

				foreach($chart_data as $k => $v) {
					if ($v['question'] == 'Suggestions or comments, if any') {
			?>
					<div class="container">
						<h4><strong><?= count($chart_data) ?>. <?= $chart_data[count($chart_data) - 1]['label'][0] ?></strong></h4>
						
						<ul>
							<?php foreach ($chart_data[count($chart_data) - 1]['data'] as $__k => $__v) { ?>
								<li><?= ucfirst($__v) ?></li>
							<?php } ?>
						</ul>
					</div>

					<?php
						continue;
					}

					$qno++;
			?>
					<div id="chart<?= $k ?>"></div>

					<?php
$script .= <<< JS
					google.charts.setOnLoadCallback(drawChart$k);

					function drawChart$k() {
						var data = google.visualization.arrayToDataTable([
							['Task', 'Hours per Day'],
JS;

					foreach ($v['label'] as $_k => $_v) {
$script .= <<< JS
							["$_v", 
JS;
$script .= $v['data'][$_k];
$script .= <<< JS
							],
JS;
					}
$script .= <<< JS
						]);

						var options = {
							title: "
JS;
$script .= $qno . '. ' . (isset($v['question']) ? $v['question'] : '');
$script .= <<< JS
							",
							is3D: true,
							width: '100%',
							height: 480,
							sliceVisibilityThreshold: 0.0,
						};

						var chart = new google.visualization.PieChart(document.getElementById("chart$k"));
						chart.draw(data, options);
					}
JS;
					?>
			<?php
				}
			}
			?>
		</div>
	</div>
</div>

<?php 
$script .= <<< JS
$('#downloadPdf').click(function(event) {
	// get size of report page
	var reportPageHeight = $('.cumulative-quiz-report').innerHeight();
	var reportPageWidth = $('.cumulative-quiz-report').innerWidth();

	// create a new canvas object that we will populate with all other canvas objects
	var pdfCanvas = $('<canvas />').attr({
		id: "canvaspdf",
		width: reportPageWidth,
		height: reportPageHeight
	});

	// keep track canvas position
	var pdfctx = $(pdfCanvas)[0].getContext('2d');
	var pdfctxX = 0;
	var pdfctxY = 0;
	var buffer = 100;

	// for each chart.js chart
	$("canvas").each(function(index) {
		// get the chart height/width
		var canvasHeight = $(this).innerHeight();
		var canvasWidth = $(this).innerWidth();

		// draw the chart into the new canvas
		pdfctx.drawImage($(this)[0], pdfctxX, pdfctxY, canvasWidth, canvasHeight);
		pdfctxX += canvasWidth + buffer;

		// our report page is in a grid pattern so replicate that in the new canvas
		if (index % 2 === 1) {
			pdfctxX = 0;
			pdfctxY += canvasHeight + buffer;
		}
	});

	// create new pdf and add our new canvas as an image
	var pdf = new jsPDF('l', 'pt', [reportPageWidth, reportPageHeight]);
	pdf.addImage($(pdfCanvas)[0], 'PNG', 0, 0);

	// download the pdf
	pdf.save('filename.pdf');
});
JS;

$this->registerJs($script);
?>
