<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\modules\core\models\CoreValue;
use common\modules\lms\models\LmsCourse;
use common\modules\lms\models\LmsCourseActivity;
use common\modules\lms\models\LmsUserCourseActivity;
use kartik\export\ExportMenu;
use Yadakhov\Json;
// echo "<pre>"; print_r($modelLmsUserCourseActivityAttemptArr); die();
$this->title = 'Quiz Completion Report';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="quiz-report-index">
	<div class="row">
		<div class="col-sm-6 col-sm-offset-3">
			<ul class="list-group score-card">
				<li class="list-group-item">
					<span class="badge total-questions">
						<?= CoreValue::getEntityValue('course_activity', 'name', LmsUserCourseActivity::getAttr(['course_activity_id'], ['id' => $modelLmsUserCourseActivityAttemptArr['user_course_activity_id']])) ?>
					</span>Quiz
				</li>
				<li class="list-group-item">
					<span class="badge total-questions">
						<?= ucfirst($modelUserProfileArr['first_name']) ?> <?= ucfirst($modelUserProfileArr['last_name']) ?>
					</span>Name
				</li>
				<li class="list-group-item">
					<span class="badge total-questions">
						<?= strtolower($modelUserArr['email']) ?>
					</span>Email
				</li>
				<li class="list-group-item">
					<span class="badge total-questions">
						<?= isset($total_question) ? $total_question : '0'; ?>
					</span>Total Questions
				</li>
				<li class="list-group-item">
					<span class="badge correct-answers">
						<?= isset($correct_answers) ? $correct_answers : '0'; ?>
					</span>Correct Answers
				</li>
				<li class="list-group-item">
					<span class="badge percentage">
						<?php 
						$percentage = ($correct_answers * 100) / $total_question;

						echo round($percentage, 2);
						?> <i class="fa fa-percent"></i>
					</span>Percentage
				</li>
			</ul>
		</div>
	</div>
	<div class="row">
        <div class="col-sm-12">
            <div id="result-wrapper" class="pulse animated">
                <table class="table table-bordered table-responsive">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Question</th>
                            <th>Student Answer</th>
                            <th>Result</th>
                            <th>Correct Answer</th>
                        </tr>
                    </thead>
                    <tbody id="user-result">
                    	<?php foreach($user_activity_arr as $key => $value) { ?>
                    		<tr>
	                    		<td><?= $value['qno'] ?></td>
	                    		<td><?= $value['question'] ?></td>
	                    		<td>
	                    			<?php 
                    				if (is_array($value['response'])) {
                    					echo implode(",", $value['response']);
                    				} else {
                    					echo $value['response'];
                    				}
	                    			?>	                    			
	                    		</td>
	                    		<td><?= $value['result'] ?></td>
	                    		<td>
	                    			<?php
                    				if ($value['result'] !== 'correct'){
                    					if (is_array($value['answer'])) {
	                    					echo implode(",", $value['answer']);
	                    				} else {
	                    					echo $value['answer'];
	                    				}
                    				}	                    				 
	                    			?>	
	                    		</td>
                    		</tr>
                    	<?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>