<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

use common\modules\core\components\Globals;
use common\modules\user\models\User;
use common\modules\lms\models\LmsCourse;

/* @var $this yii\web\View */
/* @var $model common\modules\lms\models\LmsUserCourse */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="lms-user-course-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'user_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select User'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('User'); ?>

    <?= $form->field($model, 'course_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => LmsCourse::getAll($k = 'id', $v = 'name', $eav = true, $entity_class = 'course', $attribute_class = 'name'),
        'options' => ['placeholder' => 'Select Course'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Course'); ?>

    <?= $form->field($model, 'expiration_date')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'valid')->dropDownList([ 'yes' => 'Yes', 'no' => 'No', ], ['prompt' => '']) ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'user_course_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
