<?php

use yii\bootstrap4\Html;
use yii\helpers\Url;
use dosamigos\chartjs\ChartJs;

$this->title = 'Visitor Log Charts';
$this->params['breadcrumbs'][] = ['label' => 'Visitor Logs', 'url' => ['index']];
$this->params['breadcrumbs'][] = 'Charts';

?>

<div class="shop-order-chart">
    <h1><?= Html::encode($this->title) ?></h1>

    <div class="row">
        <!-- Interval: Last 30 Days -->
        <?php
        $interval = 'daily';
        $where = ['between', 'created_at', date('Y-m-d', strtotime('today - 31 days')), date('Y-m-d', strtotime('tomorrow'))];
        $chart_data = \common\modules\logs\models\LogsVisitor::getChartDataInterval($interval, false, [], $where, true);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Visitors <small>(Last 30 Days)</small></h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\logs\models\LogsVisitor::find()->where($where)->count() ?></span>
                                <span>Visitors</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data) ?></span>
                                <span class="text-muted">Days</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsBar::widget([
                                'id' => 'ChartJsBarVisitorLogs' . ucfirst($interval) . 'Last30Days',
                                'label' => 'Visitors',
                                'labels' => array_keys($chart_data),
                                'data' => array_values($chart_data),
                                'minBars' => 0,
                                'maxBars' => 30,
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <!-- Interval: Daily -->
        <?php
        $interval = 'daily';
        $chart_data = \common\modules\logs\models\LogsVisitor::getChartDataInterval($interval, false, [], [], true);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Visitor Logs</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\logs\models\LogsVisitor::find()->where([])->count() ?></span>
                                <span>Visitor Logs</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data) ?></span>
                                <span class="text-muted">Days</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsBar::widget([
                                'id' => 'ChartJsBarVisitorLogs' . ucfirst($interval),
                                'label' => 'Visitors',
                                'labels' => array_keys($chart_data),
                                'data' => array_values($chart_data),
                                'minBars' => 0,
                                'maxBars' => 30,
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <!-- Interval: Monthly -->
        <?php
        $interval = 'monthly';
        $chart_data = \common\modules\logs\models\LogsVisitor::getChartDataInterval($interval, false, [], [], true);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Visitor Logs</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\logs\models\LogsVisitor::find()->where([])->count() ?></span>
                                <span>Visitor Logs</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data) ?></span>
                                <span class="text-muted">Months</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsBar::widget([
                                'id' => 'ChartJsBarVisitorLogs' . ucfirst($interval),
                                'label' => 'Visitors',
                                'labels' => array_keys($chart_data),
                                'data' => array_values($chart_data),
                                'minBars' => 0,
                                'maxBars' => 12,
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <!-- Interval: Yearly -->
        <?php
        $interval = 'yearly';
        $chart_data = \common\modules\logs\models\LogsVisitor::getChartDataInterval($interval, false, [], [], true);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Visitor Logs</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\logs\models\LogsVisitor::find()->where([])->count() ?></span>
                                <span>Visitor Logs</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data) ?></span>
                                <span class="text-muted">Years</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsBar::widget([
                                'id' => 'ChartJsBarVisitorLogs' . ucfirst($interval),
                                'label' => 'Visitors',
                                'labels' => array_keys($chart_data),
                                'data' => array_values($chart_data),
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
</div>
