<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\logs\models\LogsVisitorSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Visitors';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid logs-visitor-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?php //= Html::a('Create Visitor', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            ['attribute' => 'id', 'label' => 'Visitor ID', 'value' => 'id'],
                            'entity_class_id',
                            [
                                'attribute' => 'entity_class_id',
                                'label' => 'Entity Class',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\core\models\CoreEntityClass::getAttr(['name'], ['id' => $model['entity_class_id']]);
                                },
                                'filter' => \common\modules\core\models\CoreEntityClass::getAll($k = 'id', $v = 'name'),
                            ],
                            'entity_id',
                            'form_model',
                            'session_id',
                            [
                                'attribute' => 'url_id',
                                'label' => 'URL',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\site\models\SiteUrl::getAttr(['name'], ['id' => $model['url_id']]);
                                },
                                'filter' => \common\modules\site\models\SiteUrl::getAll($k = 'id', $v = 'name'),
                            ],
                            [
                                'attribute' => 'user_id',
                                'label' => 'User',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\user\models\User::getAttr(['email'], ['id' => $model['user_id']]);
                                },
                                'filter' => \common\modules\user\models\User::getAll($k = 'id', $v = 'email'),
                            ],
                            [
                                'attribute' => 'site_id',
                                'label' => 'Site',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\core\models\CoreSite::getAttr(['name'], ['id' => $model['site_id']]);
                                },
                                'filter' => \common\modules\core\models\CoreSite::getAll($k = 'id', $v = 'name'),
                            ],
                            'visits',
                            'ip_address',
                            'referrer_url:ntext',
                            // 'user_agent',
                            // 'logs_visitor_id',
                            // 'metadata:ntext',
                            // 'created_by',
                            // 'updated_by',
                            'created_at',
                            'updated_at',

                            [
                                'class' => 'hail812\adminlte3\yii\grid\ActionColumn',
                                'template' => '{view}',
                            ],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>