<?php

$earth = new \MenaraSolutions\Geographer\Earth();

return [
	'fontawesome' => [
		'v5' => [
			'contact' => 'filter',
		],
	],

	'modules' => [
		'mailer' => [
			'contact' => [
				'lead-gen' => [
					'message' => [
						[
							'success' => 'Thank you for contacting us. We will respond to you as soon as possible.',
							'error' => 'There was an error sending your message.',
						],
					],
				],
			],
		],
	],
	
	'contact_metadata' => [
		'mailer_campaign' => ['type' => 'input_hidden', 'mode' => ''],
		'lead_owner' => [
			'type' => 'select2', 
			'mode' => '', 
			'data' => [],
		],
		'organization' => ['type' => 'input_text', 'mode' => ''],
		'designation' => ['type' => 'input_text', 'mode' => ''],
		'country' => [
			'type' => 'select2', 
			'mode' => '', 
			'data' => array_combine(array_column($earth->getCountries()->toArray(), 'isoCode'), array_column($earth->getCountries()->toArray(), 'name')),
		],
		'lead_type' => [
			'type' => 'select', 
			'mode' => '', 
			'data' => [
				'self_paced_learning' => 'Self-Paced Learning', 
				'virtual_learning' => 'Virtual Learning', 
				'classroom_learning' => 'Classroom Learning', 
				'corporate_training' => 'Corporate Training', 
			],
		],
		'product' => [
			'type' => 'select', 
			'mode' => '', 
			'data' => [],
		],
		'lead_status' => [
			'type' => 'select', 
			'mode' => '', 
			'data' => [
				'hot' => 'Hot', 
				'warm' => 'Warm', 
				'cold' => 'Cold', 
				'converted' => 'Converted', 
				'not_interested' => 'Not Interested', 
				'no_answer' => 'No Answer', 
				'wrong_number' => 'Wrong Number', 
			],
			'template' => [
				'hot' => '<span class="badge badge-danger">{{contact_metadata.lead_status}}</span>', 
				'warm' => '<span class="badge badge-warning">{{contact_metadata.lead_status}}</span>', 
				'cold' => '<span class="badge badge-primary">{{contact_metadata.lead_status}}</span>', 
				'converted' => '<span class="badge badge-success">{{contact_metadata.lead_status}}</span>', 
				'not_interested' => '<span class="badge badge-secondary">{{contact_metadata.lead_status}}</span>', 
				'no_answer' => '<span class="badge badge-dark">{{contact_metadata.lead_status}}</span>', 
			],
			'css' => [
				'class' => [
					'hot' => 'badge badge-danger', 
					'warm' => 'badge badge-warning', 
					'cold' => 'badge badge-primary', 
					'converted' => 'badge badge-success', 
					'not_interested' => 'badge badge-secondary', 
					'no_answer' => 'badge badge-dark', 
				],
			],
		],
		'source' => [
			'type' => 'select', 
			'mode' => '', 
			'data' => [
				'returning_customer' => 'Returning Customer', 
				'referral' => 'Referral', 
				'email_marketing' => 'Email Marketing', 
				'laimoon' => 'Laimoon', 
				'youtube' => 'YouTube', 
				'facebook' => 'Facebook', 
				'instagram' => 'Instagram', 
				'linkedin' => 'Linkedin', 
				'google_ads' => 'Google Ads', 
				'google' => 'Google', 
				'contact_form' => 'Contact Form', 
				'live_chat' => 'Live Chat', 
				'iassc' => 'IASSC', 
				'intertek' => 'Intertek', 
				'direct' => 'Direct', 
			],
		],
		'pitched_price' => ['type' => 'input_text', 'mode' => ''],
		'reason' => [
			'type' => 'select', 
			'mode' => '', 
			'data' => [
				'price' => 'Price', 
				'duration' => 'Duration', 
				'location' => 'Location', 
				'trainer' => 'Trainer', 
				'postpone' => 'Postpone', 
			],
		],
		'follow_up_date' => ['type' => 'datetime', 'mode' => ''],
		'remarks' => ['type' => 'textarea', 'mode' => ''],
    ],
];
