<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\file\FileInput;

$this->title = 'Import Mailer Contact';
$this->params['breadcrumbs'][] = ['label' => 'Mailer Contacts', 'url' => ['import']];
$this->params['breadcrumbs'][] = $this->title;

?>

<div class="mailer-contact-import">
    <h1><?= Html::encode($this->title) ?></h1>

    <blockquote>
        <h6>Column headers:</h6>

        <code>sno | email | first_name | last_name | phone | organization | designation | country | lead_type | product | lead_status | source | pitched_price | reason | remarks | follow_up_date | tag | subscribed | site_id</code>

        <hr>

        <h6 class="text-center"><a href="<?= Yii::getAlias('@assetsurl') ?>/sample_import_leads.xlsx" target="_blank"><i class="fas fa-download"></i> Download sample file</a></h6>
    </blockquote>

    <div class="col-xs-12">
        <?php $form = ActiveForm::begin([
            'id' => 'mailer-contact-import-form',
            'options' => ['enctype' => 'multipart/form-data'],
        ]) ?>
            <?= $form->field($modelFormFileUpload, 'file')->widget(FileInput::classname(), [
                'bsColCssPrefixes' => 'col-xs-12',
                'options' => ['multiple' => false], 
                'pluginOptions' => [
                    'showUpload' => true,
                    'overwriteInitial' => true,
                    'maxFileSize' => 2048,
                ]
            ])->label('File'); ?>

            <div class="form-group">
                <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'assignment-button']) ?>
            </div>
        <?php ActiveForm::end(); ?>
    </div>
</div>
