<?php

use yii\bootstrap4\Html;
use yii\web\JsExpression;

$this->title = 'Leads Calendar';
$this->params['breadcrumbs'][] = $this->title;
$this->registerJsFile('//code.jquery.com/jquery-3.2.1.min.js');

?>

<style type="text/css">
	.fc-event-container {
		cursor: pointer;
	}
</style>

<div class="container">
	<h1 class="page-title text-center">
		<span class="fancytext-background-enabled"><?= Html::encode($this->title) ?></span>
	</h1>

	<div class="row">
		<div class="col-xs-12">
			
			<?= \talma\widgets\FullCalendar::widget([
			    'googleCalendar' => true,  // If the plugin displays a Google Calendar. Default false
			    'loading' => 'Loading...',
			    
			    'config' => [
			        // put your options and callbacks here
			        // see http://arshaw.com/fullcalendar/docs/
			    	'header' => [
		                'left'=>   'prev,next today',
		                'center'=> 'title',
		                'right'=>  'month,agendaWeek,agendaDay'
		            ],
		            'events' => $leads_calendar, 
                    'eventClick' => new JsExpression("
						function(info) {
							window.open('/admin/mailer/contact/update?id=' + info.id);
						}
                    "),
			    ],
			]); ?>
			
		</div>
	</div>	
</div> 


