<?php

namespace common\modules\payment\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use common\models\LogsAuthorizenet;

/**
 * LogsAuthorizenetSearch represents the model behind the search form about `common\models\LogsAuthorizenet`.
 */
class LogsAuthorizenetSearch extends LogsAuthorizenet
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'order_id', 'created_by', 'updated_by'], 'integer'],
            [['response', 'created_at', 'updated_at'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = LogsAuthorizenet::find();
    
        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'created_by' => $this->created_by,
            'updated_by' => $this->updated_by,
        ]);

        $query->andFilterWhere(['like', 'logs_authorizenet.id', $this->id])
            ->andFilterWhere(['like', 'logs_authorizenet.order_id', $this->order_id])
            ->andFilterWhere(['like', 'logs_authorizenet.response', $this->response])
            ->andFilterWhere(['like', 'logs_authorizenet.created_at', $this->created_at])
            ->andFilterWhere(['like', 'logs_authorizenet.updated_at', $this->updated_at]);

        return $dataProvider;
    }
}
