<?php

namespace common\modules\payment\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;

use common\modules\payment\models\PaymentLogs;

/**
 * PaymentLogsSearch represents the model behind the search form of `common\modules\payment\models\PaymentLogs`.
 */
class PaymentLogsSearch extends PaymentLogs
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'order_id', 'payment_method_id', 'created_by', 'updated_by'], 'integer'],
            [['response', 'created_at', 'updated_at'], 'safe'],
        ];
    }

    public function attributes()
    {
        // add related fields to searchable attributes
        return array_merge(parent::attributes(), []);
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
		$query = PaymentLogs::find();
	
        // add conditions that should always apply here
        $query->joinWith([]);

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere(['like', 'mod_payment_logs.response', $this->response])
            ->andFilterWhere(['like', 'mod_payment_logs.id', $this->id])
            ->andFilterWhere(['like', 'mod_payment_logs.order_id', $this->order_id])
            ->andFilterWhere(['like', 'mod_payment_logs.payment_method_id', $this->payment_method_id])
            ->andFilterWhere(['like', 'mod_payment_logs.created_by', $this->created_by])
            ->andFilterWhere(['like', 'mod_payment_logs.updated_by', $this->updated_by])
            ->andFilterWhere(['like', 'mod_payment_logs.created_at', $this->created_at])
            ->andFilterWhere(['like', 'mod_payment_logs.updated_at', $this->updated_at]);

        return $dataProvider;
    }
}
