<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\payment\models\PaymentLogsSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Payment Logs';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid payment-logs-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Payment Logs', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            ['attribute' => 'id', 'label' => 'Payment Logs ID', 'value' => 'id'],
                            'order_id',
                            [
                                'attribute' => 'payment_method_id',
                                'label' => 'Payment Method',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\payment\models\PaymentMethod::getAttr(['name'], ['id' => $model['payment_method_id']]);
                                },
                                'filter' => \common\modules\payment\models\PaymentMethod::getAll($k = 'id', $v = 'name'),
                            ],
                            'response:ntext',
                            // 'created_by',
                            // 'updated_by',
                            'created_at',
                            'updated_at',

                            ['class' => 'hail812\adminlte3\yii\grid\ActionColumn'],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>