<?php

namespace common\modules\qms\models;

use Yii;
use yii\db\Expression;
use common\modules\user\models\User;

/**
 * This is the model class for table "{{%qms_context_organisation}}".
 *
 * @property integer $id
 * @property string $where_do_we_aim_to_be
 * @property string $what_do_we_do_what_makes_us_different
 * @property string $why_this_business_is_good_business
 * @property integer $department_id
 * @property integer $site_id
 * @property string $approval_status
 * @property integer $approving_authority_id
 * @property integer $created_by
 * @property integer $updated_by
 * @property string $created_at
 * @property string $updated_at
 * @property string $status
 *
 * @property User $createdBy
 * @property User $updatedBy
 * @property QmsDepartment $department
 * @property QmsMasterSite $site
 * @property User $approvingAuthority
 */
class QmsContextOrganisation extends \common\modules\core\models\GenesysActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%qms_context_organisation}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['where_do_we_aim_to_be', 'what_do_we_do_what_makes_us_different', 'why_this_business_is_good_business'], 'required'],
            [['where_do_we_aim_to_be', 'what_do_we_do_what_makes_us_different', 'why_this_business_is_good_business', 'approval_status', 'status'], 'string'],
            [['department_id', 'site_id', 'approving_authority_id', 'created_by', 'updated_by'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['created_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['created_by' => 'id']],
            [['updated_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['updated_by' => 'id']],
            [['department_id'], 'exist', 'skipOnError' => true, 'targetClass' => QmsDepartment::className(), 'targetAttribute' => ['department_id' => 'id']],
            [['site_id'], 'exist', 'skipOnError' => true, 'targetClass' => QmsMasterSite::className(), 'targetAttribute' => ['site_id' => 'id']],
            [['approving_authority_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['approving_authority_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'where_do_we_aim_to_be' => 'Where Do We Aim To Be',
            'what_do_we_do_what_makes_us_different' => 'What Do We Do What Makes Us Different',
            'why_this_business_is_good_business' => 'Why This Business Is Good Business',
            'department_id' => 'Department ID',
            'site_id' => 'Site ID',
            'approval_status' => 'Approval Status',
            'approving_authority_id' => 'Approving Authority ID',
            'created_by' => 'Created By',
            'updated_by' => 'Updated By',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'status' => 'Status',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'created_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUpdatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'updated_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getDepartment()
    {
        return $this->hasOne(QmsDepartment::className(), ['id' => 'department_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSite()
    {
        return $this->hasOne(QmsMasterSite::className(), ['id' => 'site_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getApprovingAuthority()
    {
        return $this->hasOne(User::className(), ['id' => 'approving_authority_id']);
    }
}
