<?php

namespace common\modules\qms\models;

use Yii;
use yii\db\Expression;
use common\modules\user\models\User;

/**
 * This is the model class for table "{{%qms_customer_feedback}}".
 *
 * @property integer $id
 * @property string $description
 * @property string $questionnaire_title
 * @property string $feedback_type
 * @property string $customer_name
 * @property string $customer_email
 * @property string $feedback_request_date
 * @property string $validity_end_date
 * @property string $response_date
 * @property integer $created_by
 * @property integer $updated_by
 * @property string $created_at
 * @property string $updated_at
 * @property string $status
 *
 * @property User $createdBy
 * @property User $updatedBy
 */
class QmsCustomerFeedback extends \common\modules\core\models\GenesysActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%qms_customer_feedback}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['description', 'questionnaire_title', 'feedback_type', 'customer_name', 'customer_email', 'feedback_request_date', 'validity_end_date'], 'required'],
            [['description', 'questionnaire_title', 'status'], 'string'],
            [['feedback_request_date', 'validity_end_date', 'response_date'], 'safe'],
            [['created_by', 'updated_by'], 'integer'],
            [['feedback_type', 'customer_name', 'customer_email'], 'string', 'max' => 255],
            [['created_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['created_by' => 'id']],
            [['updated_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['updated_by' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'description' => 'Description',
            'questionnaire_title' => 'Questionnaire Title',
            'feedback_type' => 'Feedback Type',
            'customer_name' => 'Customer Name',
            'customer_email' => 'Customer Email',
            'feedback_request_date' => 'Feedback Request Date',
            'validity_end_date' => 'Validity End Date',
            'response_date' => 'Response Date',
            'created_by' => 'Created By',
            'updated_by' => 'Updated By',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'status' => 'Status',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'created_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUpdatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'updated_by']);
    }
}
