<?php

namespace common\modules\qms\models;

use Yii;
use yii\db\Expression;
use common\modules\user\models\User;

/**
 * This is the model class for table "{{%qms_design_development_changes}}".
 *
 * @property integer $id
 * @property integer $design_and_development_change_details_id
 * @property integer $product_service_project_name_id
 * @property string $scope_of_work
 * @property string $target_date
 * @property string $planning_date
 * @property integer $project_manager_id
 * @property string $design_and_development_change_details
 * @property string $design_and_development_change_date
 * @property string $approval_status
 * @property integer $approving_authority_id
 * @property integer $created_by
 * @property integer $updated_by
 * @property string $created_at
 * @property string $updated_at
 * @property string $status
 *
 * @property User $createdBy
 * @property User $updatedBy
 * @property QmsDesignDevelopment $designAndDevelopmentChangeDetails
 * @property QmsProductServiceProject $productServiceProjectName
 * @property User $projectManager
 * @property User $approvingAuthority
 */
class QmsDesignDevelopmentChanges extends \common\modules\core\models\GenesysActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%qms_design_development_changes}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['design_and_development_change_details_id', 'design_and_development_change_details', 'design_and_development_change_date'], 'required'],
            [['design_and_development_change_details_id', 'product_service_project_name_id', 'project_manager_id', 'approving_authority_id', 'created_by', 'updated_by'], 'integer'],
            [['scope_of_work', 'design_and_development_change_details', 'approval_status', 'status'], 'string'],
            [['target_date', 'planning_date', 'design_and_development_change_date'], 'safe'],
            [['created_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['created_by' => 'id']],
            [['updated_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['updated_by' => 'id']],
            [['design_and_development_change_details_id'], 'exist', 'skipOnError' => true, 'targetClass' => QmsDesignDevelopment::className(), 'targetAttribute' => ['design_and_development_change_details_id' => 'id']],
            [['product_service_project_name_id'], 'exist', 'skipOnError' => true, 'targetClass' => QmsProductServiceProject::className(), 'targetAttribute' => ['product_service_project_name_id' => 'id']],
            [['project_manager_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['project_manager_id' => 'id']],
            [['approving_authority_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['approving_authority_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'design_and_development_change_details_id' => 'Design And Development Change Details ID',
            'product_service_project_name_id' => 'Product Service Project Name ID',
            'scope_of_work' => 'Scope Of Work',
            'target_date' => 'Target Date',
            'planning_date' => 'Planning Date',
            'project_manager_id' => 'Project Manager ID',
            'design_and_development_change_details' => 'Design And Development Change Details',
            'design_and_development_change_date' => 'Design And Development Change Date',
            'approval_status' => 'Approval Status',
            'approving_authority_id' => 'Approving Authority ID',
            'created_by' => 'Created By',
            'updated_by' => 'Updated By',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'status' => 'Status',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'created_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUpdatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'updated_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getDesignAndDevelopmentChangeDetails()
    {
        return $this->hasOne(QmsDesignDevelopment::className(), ['id' => 'design_and_development_change_details_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getProductServiceProjectName()
    {
        return $this->hasOne(QmsProductServiceProject::className(), ['id' => 'product_service_project_name_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getProjectManager()
    {
        return $this->hasOne(User::className(), ['id' => 'project_manager_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getApprovingAuthority()
    {
        return $this->hasOne(User::className(), ['id' => 'approving_authority_id']);
    }
}
