<?php

namespace common\modules\qms\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use common\modules\qms\models\QmsDesignDevelopment;

/**
 * QmsDesignDevelopmentSearch represents the model behind the search form of `common\modules\qms\models\QmsDesignDevelopment`.
 */
class QmsDesignDevelopmentSearch extends QmsDesignDevelopment
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'product_service_project_id', 'created_by', 'updated_by'], 'integer'],
            [['brief_description', 'scope_of_work', 'target_date', 'project_manager', 'project_manager_email', 'team_members', 'team_members_email', 'planning_date', 'created_at', 'updated_at', 'status'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
		$query = QmsDesignDevelopment::find()->where(parent::tableName() . '.status = :status', ['status' => 'active']);
	
        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
            'product_service_project_id' => $this->product_service_project_id,
            'target_date' => $this->target_date,
            'planning_date' => $this->planning_date,
            'created_by' => $this->created_by,
            'updated_by' => $this->updated_by,
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ]);

        $query->andFilterWhere(['like', 'brief_description', $this->brief_description])
            ->andFilterWhere(['like', 'scope_of_work', $this->scope_of_work])
            ->andFilterWhere(['like', 'project_manager', $this->project_manager])
            ->andFilterWhere(['like', 'project_manager_email', $this->project_manager_email])
            ->andFilterWhere(['like', 'team_members', $this->team_members])
            ->andFilterWhere(['like', 'team_members_email', $this->team_members_email])
            ->andFilterWhere(['like', 'status', $this->status]);

        return $dataProvider;
    }
}
