<?php

namespace common\modules\qms\models;

use Yii;
use yii\db\Expression;
use common\modules\user\models\User;

/**
 * This is the model class for table "{{%qms_enquiry_internal_purpose}}".
 *
 * @property integer $id
 * @property integer $enquiry_id
 * @property string $enquiry_date
 * @property string $details
 * @property string $prospect_name
 * @property string $prospect_company
 * @property string $proposed_solution
 * @property string $proposed_completion_date
 * @property string $proposed_cost
 * @property string $reamrks
 * @property integer $reviewers_id
 * @property string $proposal_status
 * @property integer $created_by
 * @property integer $updated_by
 * @property string $created_at
 * @property string $updated_at
 * @property string $status
 *
 * @property User $createdBy
 * @property User $updatedBy
 * @property QmsEnquiry $enquiry
 * @property User $reviewers
 */
class QmsEnquiryInternalPurpose extends \common\modules\core\models\GenesysActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%qms_enquiry_internal_purpose}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['enquiry_id', 'enquiry_date', 'details', 'prospect_name', 'prospect_company', 'proposed_solution', 'proposed_completion_date', 'proposed_cost', 'reamrks', 'reviewers_id', 'proposal_status'], 'required'],
            [['enquiry_id', 'reviewers_id', 'created_by', 'updated_by'], 'integer'],
            [['enquiry_date', 'proposed_completion_date'], 'safe'],
            [['details', 'proposed_solution', 'reamrks', 'status'], 'string'],
            [['prospect_name', 'prospect_company', 'proposed_cost'], 'string', 'max' => 255],
            [['proposal_status'], 'string', 'max' => 45],
            [['created_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['created_by' => 'id']],
            [['updated_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['updated_by' => 'id']],
            [['enquiry_id'], 'exist', 'skipOnError' => true, 'targetClass' => QmsEnquiry::className(), 'targetAttribute' => ['enquiry_id' => 'id']],
            [['reviewers_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['reviewers_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'enquiry_id' => 'Enquiry ID',
            'enquiry_date' => 'Enquiry Date',
            'details' => 'Details',
            'prospect_name' => 'Prospect Name',
            'prospect_company' => 'Prospect Company',
            'proposed_solution' => 'Proposed Solution',
            'proposed_completion_date' => 'Proposed Completion Date',
            'proposed_cost' => 'Proposed Cost',
            'reamrks' => 'Reamrks',
            'reviewers_id' => 'Reviewers ID',
            'proposal_status' => 'Proposal Status',
            'created_by' => 'Created By',
            'updated_by' => 'Updated By',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'status' => 'Status',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'created_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUpdatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'updated_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEnquiry()
    {
        return $this->hasOne(QmsEnquiry::className(), ['id' => 'enquiry_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getReviewers()
    {
        return $this->hasOne(User::className(), ['id' => 'reviewers_id']);
    }
}
