<?php

namespace common\modules\qms\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use common\modules\qms\models\QmsExternalIssues;

/**
 * QmsExternalIssuesSearch represents the model behind the search form of `common\modules\qms\models\QmsExternalIssues`.
 */
class QmsExternalIssuesSearch extends QmsExternalIssues
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'issue_type_id', 'management_system_type_id', 'site_id', 'department_id', 'approving_authority_id', 'created_by', 'updated_by'], 'integer'],
            [['how_it_affects_your_organisation', 'approval_status', 'created_at', 'updated_at', 'status'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
		$query = QmsExternalIssues::find()->where(parent::tableName() . '.status = :status', ['status' => 'active']);
	
        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
            'issue_type_id' => $this->issue_type_id,
            'management_system_type_id' => $this->management_system_type_id,
            'site_id' => $this->site_id,
            'department_id' => $this->department_id,
            'approving_authority_id' => $this->approving_authority_id,
            'created_by' => $this->created_by,
            'updated_by' => $this->updated_by,
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ]);

        $query->andFilterWhere(['like', 'how_it_affects_your_organisation', $this->how_it_affects_your_organisation])
            ->andFilterWhere(['like', 'approval_status', $this->approval_status])
            ->andFilterWhere(['like', 'status', $this->status]);

        return $dataProvider;
    }
}
