<?php

namespace common\modules\qms\models;

use Yii;
use yii\db\Expression;
use common\modules\user\models\User;

/**
 * This is the model class for table "{{%qms_external_property}}".
 *
 * @property integer $id
 * @property string $date
 * @property string $external_property_owner
 * @property string $external_property_type
 * @property string $customer_supplier_Name
 * @property string $external_property_name
 * @property string $external_property_status
 * @property string $remarks
 * @property integer $created_by
 * @property integer $updated_by
 * @property string $created_at
 * @property string $updated_at
 * @property string $status
 *
 * @property User $createdBy
 * @property User $updatedBy
 */
class QmsExternalProperty extends \common\modules\core\models\GenesysActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%qms_external_property}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['date', 'customer_supplier_Name', 'external_property_name'], 'required'],
            [['date'], 'safe'],
            [['external_property_owner', 'external_property_type', 'remarks', 'status'], 'string'],
            [['created_by', 'updated_by'], 'integer'],
            [['customer_supplier_Name', 'external_property_name', 'external_property_status'], 'string', 'max' => 255],
            [['created_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['created_by' => 'id']],
            [['updated_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['updated_by' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'date' => 'Date',
            'external_property_owner' => 'External Property Owner',
            'external_property_type' => 'External Property Type',
            'customer_supplier_Name' => 'Customer Supplier Name',
            'external_property_name' => 'External Property Name',
            'external_property_status' => 'External Property Status',
            'remarks' => 'Remarks',
            'created_by' => 'Created By',
            'updated_by' => 'Updated By',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'status' => 'Status',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'created_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUpdatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'updated_by']);
    }
}
