<?php

namespace common\modules\qms\models;

use Yii;
use yii\db\Expression;
use common\modules\user\models\User;

/**
 * This is the model class for table "{{%qms_final_inspection_quality_records}}".
 *
 * @property integer $id
 * @property integer $work_order_id
 * @property integer $product_service_project_name_id
 * @property string $inspection_date
 * @property integer $created_by
 * @property integer $updated_by
 * @property string $created_at
 * @property string $updated_at
 * @property string $status
 *
 * @property User $createdBy
 * @property User $updatedBy
 * @property QmsWorkOrder $workOrder
 * @property QmsProductServiceProject $productServiceProjectName
 */
class QmsFinalInspectionQualityRecords extends \common\modules\core\models\GenesysActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%qms_final_inspection_quality_records}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['work_order_id', 'product_service_project_name_id', 'inspection_date'], 'required'],
            [['work_order_id', 'product_service_project_name_id', 'created_by', 'updated_by'], 'integer'],
            [['inspection_date'], 'safe'],
            [['status'], 'string'],
            [['created_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['created_by' => 'id']],
            [['updated_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['updated_by' => 'id']],
            [['work_order_id'], 'exist', 'skipOnError' => true, 'targetClass' => QmsWorkOrder::className(), 'targetAttribute' => ['work_order_id' => 'id']],
            [['product_service_project_name_id'], 'exist', 'skipOnError' => true, 'targetClass' => QmsProductServiceProject::className(), 'targetAttribute' => ['product_service_project_name_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'work_order_id' => 'Work Order ID',
            'product_service_project_name_id' => 'Product Service Project Name ID',
            'inspection_date' => 'Inspection Date',
            'created_by' => 'Created By',
            'updated_by' => 'Updated By',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'status' => 'Status',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'created_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUpdatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'updated_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getWorkOrder()
    {
        return $this->hasOne(QmsWorkOrder::className(), ['id' => 'work_order_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getProductServiceProjectName()
    {
        return $this->hasOne(QmsProductServiceProject::className(), ['id' => 'product_service_project_name_id']);
    }
}
