<?php

namespace common\modules\qms\models;

use Yii;
use yii\db\Expression;
use common\modules\user\models\User;

/**
 * This is the model class for table "{{%qms_incoming_inspection_quality_plan}}".
 *
 * @property integer $id
 * @property integer $purchased_product_service_incoming_material_id
 * @property string $approval_status
 * @property integer $approving_authority_id
 * @property integer $created_by
 * @property integer $updated_by
 * @property string $created_at
 * @property string $updated_at
 * @property string $status
 *
 * @property User $createdBy
 * @property User $updatedBy
 * @property QmsIncomingMaterial $purchasedProductServiceIncomingMaterial
 * @property User $approvingAuthority
 */
class QmsIncomingInspectionQualityPlan extends \common\modules\core\models\GenesysActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%qms_incoming_inspection_quality_plan}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['purchased_product_service_incoming_material_id'], 'required'],
            [['purchased_product_service_incoming_material_id', 'approving_authority_id', 'created_by', 'updated_by'], 'integer'],
            [['approval_status', 'status'], 'string'],
            [['created_at', 'updated_at'], 'safe'],
            [['created_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['created_by' => 'id']],
            [['updated_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['updated_by' => 'id']],
            [['purchased_product_service_incoming_material_id'], 'exist', 'skipOnError' => true, 'targetClass' => QmsIncomingMaterial::className(), 'targetAttribute' => ['purchased_product_service_incoming_material_id' => 'id']],
            [['approving_authority_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['approving_authority_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'purchased_product_service_incoming_material_id' => 'Purchased Product Service Incoming Material ID',
            'approval_status' => 'Approval Status',
            'approving_authority_id' => 'Approving Authority ID',
            'created_by' => 'Created By',
            'updated_by' => 'Updated By',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'status' => 'Status',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'created_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUpdatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'updated_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPurchasedProductServiceIncomingMaterial()
    {
        return $this->hasOne(QmsIncomingMaterial::className(), ['id' => 'purchased_product_service_incoming_material_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getApprovingAuthority()
    {
        return $this->hasOne(User::className(), ['id' => 'approving_authority_id']);
    }
}
