<?php

namespace common\modules\qms\models;

use Yii;
use yii\db\Expression;
use common\modules\user\models\User;

/**
 * This is the model class for table "{{%qms_supplier_reevaluation}}".
 *
 * @property integer $id
 * @property integer $supplier_id
 * @property string $supplier_address
 * @property string $suplier_rating
 * @property string $suplier_contact
 * @property string $evaluation_analysis
 * @property string $evaluation_date
 * @property string $next_evaluation_date
 * @property string $supplier_score
 * @property string $remarks
 * @property string $parameter_name_consistency_in_product_service_quality
 * @property string $parameter_name_quality_of_product_service
 * @property string $parameter_name_market_credibility
 * @property string $paramter_name_terms_and_condition_competitiveness
 * @property string $parameter_name_adherence_to_delivery_schedule
 * @property string $parameter_name_pricing_competitiveness
 * @property string $parameter_name_quality_of_support_services
 * @property string $approval_status
 * @property integer $approving_authority_id
 * @property integer $created_by
 * @property integer $updated_by
 * @property string $created_at
 * @property string $updated_at
 * @property string $status
 *
 * @property User $createdBy
 * @property User $updatedBy
 * @property User $approvingAuthority
 * @property QmsSupplier $supplier
 */
class QmsSupplierReevaluation extends \common\modules\core\models\GenesysActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%qms_supplier_reevaluation}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['supplier_id', 'evaluation_analysis', 'evaluation_date'], 'required'],
            [['supplier_id', 'approving_authority_id', 'created_by', 'updated_by'], 'integer'],
            [['supplier_address', 'approval_status', 'status'], 'string'],
            [['evaluation_date', 'next_evaluation_date'], 'safe'],
            [['suplier_rating', 'suplier_contact', 'evaluation_analysis', 'supplier_score', 'remarks', 'parameter_name_consistency_in_product_service_quality', 'parameter_name_quality_of_product_service', 'parameter_name_market_credibility', 'paramter_name_terms_and_condition_competitiveness', 'parameter_name_adherence_to_delivery_schedule', 'parameter_name_pricing_competitiveness', 'parameter_name_quality_of_support_services'], 'string', 'max' => 255],
            [['created_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['created_by' => 'id']],
            [['updated_by'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['updated_by' => 'id']],
            [['approving_authority_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['approving_authority_id' => 'id']],
            [['supplier_id'], 'exist', 'skipOnError' => true, 'targetClass' => QmsSupplier::className(), 'targetAttribute' => ['supplier_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'supplier_id' => 'Supplier ID',
            'supplier_address' => 'Supplier Address',
            'suplier_rating' => 'Suplier Rating',
            'suplier_contact' => 'Suplier Contact',
            'evaluation_analysis' => 'Evaluation Analysis',
            'evaluation_date' => 'Evaluation Date',
            'next_evaluation_date' => 'Next Evaluation Date',
            'supplier_score' => 'Supplier Score',
            'remarks' => 'Remarks',
            'parameter_name_consistency_in_product_service_quality' => 'Parameter Name Consistency In Product Service Quality',
            'parameter_name_quality_of_product_service' => 'Parameter Name Quality Of Product Service',
            'parameter_name_market_credibility' => 'Parameter Name Market Credibility',
            'paramter_name_terms_and_condition_competitiveness' => 'Paramter Name Terms And Condition Competitiveness',
            'parameter_name_adherence_to_delivery_schedule' => 'Parameter Name Adherence To Delivery Schedule',
            'parameter_name_pricing_competitiveness' => 'Parameter Name Pricing Competitiveness',
            'parameter_name_quality_of_support_services' => 'Parameter Name Quality Of Support Services',
            'approval_status' => 'Approval Status',
            'approving_authority_id' => 'Approving Authority ID',
            'created_by' => 'Created By',
            'updated_by' => 'Updated By',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'status' => 'Status',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'created_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUpdatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'updated_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getApprovingAuthority()
    {
        return $this->hasOne(User::className(), ['id' => 'approving_authority_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSupplier()
    {
        return $this->hasOne(QmsSupplier::className(), ['id' => 'supplier_id']);
    }
}
