<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsMasterAssetType;
use common\modules\qms\models\QmsSupplier;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsAsset */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-asset-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'asset_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterAssetType::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Asset'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Asset'); ?>

    <?= $form->field($model, 'date_purchased')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'description')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'supplier_id')->widget(Select2::classname(), [
        'data' => QmsSupplier::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Supplier'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Supplier'); ?>

    <?= $form->field($model, 'allocated_to')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'estimated_life')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'cost')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'asset_id')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'remarks')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
