<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\user\models\User;
use common\modules\qms\models\QmsEquipment;
use common\modules\qms\models\QmsMasterBreakdownCategory;
use common\modules\qms\models\QmsDepartment;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsBreakdownRecord */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-breakdown-record-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'equipment_id')->widget(Select2::classname(), [
        'data' => QmsEquipment::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Equipment'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Equipment'); ?>

    <?= $form->field($model, 'breakdown_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'breakdown_details')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'breakdown_category_id')->widget(Select2::classname(), [
        'data' => QmsMasterBreakdownCategory::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select BreakDown Category'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('BreakDown Category'); ?>

    <?= $form->field($model, 'department_id')->widget(Select2::classname(), [
        'data' => QmsDepartment::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Department'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department'); ?>

    <?= $form->field($model, 'assigned_to_id')->widget(Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select Assined To'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Assined To'); ?>

    <?= $form->field($model, 'breakdown_hour')->textInput() ?>

    <?= $form->field($model, 'date_of_breakdown_rectification')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
