<?php

use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\user\models\User;
use common\modules\qms\models\QmsDepartment;
use common\modules\qms\models\QmsDesignation;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsCompetenceEvaluation */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-competence-evaluation-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'employee')->widget(Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ]); ?>

    <?= $form->field($model, 'designation')->widget(Select2::classname(), [
        'data' => QmsDesignation::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ]); ?>

    <?= $form->field($model, 'percentage_rating')->textInput() ?>

    <?= $form->field($model, 'department')->widget(Select2::classname(), [
        'data' => QmsDepartment::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ]); ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
