<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\user\models\User;
use common\modules\qms\models\QmsMasterComplianceObligationType
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsComplianceObligation */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-compliance-obligation-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'compliance_obligation_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterComplianceObligationType::getAll($k = 'id', $v = 'compliance_obligation'),
        'options' => ['placeholder' => 'Select Compliance Obligation'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Compliance Obligation'); ?>

    <?= $form->field($model, 'compliance_obligation_source_type')->dropDownList([ 'air_emission' => 'Air emission', 'aspect' => 'Aspect', 'hazard' => 'Hazard', 'interested_party' => 'Interested party', 'solid_waste' => 'Solid waste', 'water_waste' => 'Water waste', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'compliance_obligation')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'applicable_section_rule')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'consequences_of_non_compliance')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'frequency')->dropDownList([ 'half_hourly' => 'Half hourly', 'hourly' => 'Hourly', 'daily' => 'Daily', 'weekly' => 'Weekly', 'fortnightly' => 'Fortnightly', 'monthly' => 'Monthly', 'quarterly' => 'Quarterly', 'half_yearly' => 'Half yearly', 'yearly' => 'Yearly', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'current_status')->dropDownList([ 'compliance' => 'Compliance', 'non_compliance' => 'Non compliance', 'ongoing' => 'Ongoing', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'responsibility_id')->widget(Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select Responsibility Id'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Responsibility Id'); ?>

    <?= $form->field($model, 'compliance_obligation_proof')->dropDownList([ 'approval' => 'Approval', 'certificate' => 'Certificate', 'license' => 'License', 'not_applicable' => 'Not applicable', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'compliance_obligation_document_name')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'compliance_obligation_document_number')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'evaluation_of_compliance_obligation')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'summary')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
