<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsDepartment;
use common\modules\qms\models\QmsMasterSite;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsContextOrganisation */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-context-organisation-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'where_do_we_aim_to_be')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'what_do_we_do_what_makes_us_different')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'why_this_business_is_good_business')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'department_id')->widget(Select2::classname(), [
        'data' => QmsDepartment::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Department'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department'); ?>

    <?= $form->field($model, 'site_id')->widget(Select2::classname(), [
        'data' => QmsMasterSite::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Site'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Site'); ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
