<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\modules\user\models\UserProfile;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\qms\models\QmsDepartmentSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Departments';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Department', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>


                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],
                            ['attribute' => 'id', 'label' => 'Department ID', 'value' => 'id'],
                            'name',
                            'profile:ntext',
                            [
                                'attribute' => 'department_hod',
                                'label' => 'Department HOD',
                                'value' => function($data)
                                {
                                    return UserProfile::getAttr(['first_name'], ['user_id' => $data['department_hod']]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => $data['department_hod']]);
                                }
                            ],
                            [
                                'attribute' => 'created_by',
                                'label' => 'Created By',
                                'value' => function($data)
                                {
                                    return UserProfile::getAttr(['first_name'], ['user_id' => $data['created_by']]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => $data['created_by']]);
                                }
                            ],
                            //'updated_by',
                            //'created_at',
                            //'updated_at',
                            //'status',

                            ['class' => 'hail812\adminlte3\yii\grid\ActionColumn'],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>

                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>
