<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use common\modules\user\models\UserProfile;
use common\modules\assetManager\models\AssetManager;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsDepartment */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Departments', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<div class="container-fluid">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <p>
                        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
                        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
                            'class' => 'btn btn-danger',
                            'data' => [
                                'confirm' => 'Are you sure you want to delete this item?',
                                'method' => 'post',
                            ],
                        ]) ?>
                    </p>
                    <?php
                        $attributes = array();

                        $attributes[] = ['label' => 'Department ID', 'attribute' => 'id'];
                        $attributes[] = ['label' => 'Department Name', 'attribute' => 'name'];
                        $attributes[] = ['label' => 'Profile', 'attribute' => 'profile'];
                        $attributes[] = ['label' => 'Department HOD', 'attribute' => 'department_hod', 'value' => UserProfile::getAttr(['first_name'], ['user_id' => $model->department_hod]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => $model->department_hod])];
                        $attributes[] = ['label' => 'Created By', 'attribute' => 'created_by', 'value' => UserProfile::getAttr(['first_name'], ['user_id' => $model->created_by]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => $model->created_by])];
                        $attributes[] = ['label' => 'Updated By', 'attribute' => 'updated_by', 'value' => UserProfile::getAttr(['first_name'], ['user_id' => $model->updated_by]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => $model->updated_by])];
                        $attributes[] = 'created_at';
                        $attributes[] = 'updated_at';
                    ?>
                    <?= DetailView::widget([
                        'model' => $model,
                        'attributes' => $attributes,
                    ]) ?>
                    
                </div>
                <!--.col-md-12-->
            </div>
            <!--.row-->
        </div>
        <!--.card-body-->
    </div>
    <!--.card-->
</div>
