<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;
use kartik\date\DatePicker;

use common\modules\user\models\User;
use common\modules\qms\models\QmsDesignDevelopmentChanges;
use common\modules\qms\models\QmsProductServiceProject;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsDesignDevelopmentChanges */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-design-development-changes-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'design_and_development_change_details_id')->widget(Select2::classname(), [
        'data' => QmsDesignDevelopmentChanges::getAll($k = 'id', $v = 'design_and_development_change_details_id'),
        'options' => ['placeholder' => 'Select Design And Development Change Details'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Design And Development Change Details'); ?>

    <?= $form->field($model, 'product_service_project_name_id')->widget(Select2::classname(), [
        'data' => QmsProductServiceProject::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Product/Service/Project Name'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Product/Service/Project Name'); ?>

    <?= $form->field($model, 'scope_of_work')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'target_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'planning_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'project_manager_id')->widget(Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select Project Manager'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Project Manager'); ?>

    <?= $form->field($model, 'design_and_development_change_details')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'design_and_development_change_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
