<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsProductServiceProject;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsDesignDevelopment */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-design-development-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'product_service_project_id')->widget(Select2::classname(), [
        'data' => QmsProductServiceProject::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Project/Service/Product'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Project/Service/Product'); ?>

    <?= $form->field($model, 'brief_description')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'scope_of_work')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'target_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'project_manager')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'project_manager_email')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'team_members')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'team_members_email')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'planning_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
