<?php

use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;
use common\modules\user\models\User;
use kartik\select2\Select2;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsDesignation */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-designation-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => 'Select']) ?>

    <?= $form->field($model, 'approving_authority')->widget(Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ]); ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
