<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsMasterManagementSystemType;
use common\modules\qms\models\QmsDepartment;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsDocuments */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-documents-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'management_system_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterManagementSystemType::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Management System Type'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Management System Type'); ?>

    <?= $form->field($model, 'department_id')->widget(Select2::classname(), [
        'data' => QmsDepartment::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Department'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department'); ?>

    <?= $form->field($model, 'document_name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'document_number')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'revision_number')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'revision_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'document_category')->dropDownList([ 'confidential' => 'Confidential', 'internal' => 'Internal', 'public' => 'Public', 'restricted' => 'Restricted', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'document_type')->dropDownList([ 'checklist' => 'Checklist', 'flowchart' => 'Flowchart', 'form' => 'Form', 'manual' => 'Manual', 'policy' => 'Policy', 'procedure' => 'Procedure', 'work_instruction' => 'Work instruction', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'document')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
