<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsEnquiry
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsEnquiryFollowUp */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-enquiry-follow-up-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'enquiry_id')->widget(Select2::classname(), [
        'data' => QmsEnquiry::getAll($k = 'id', $v = 'details'),
        'options' => ['placeholder' => 'Select Enquiry'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Enquiry'); ?>

    <?= $form->field($model, 'enquiry_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'details')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'prospect_name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'prospect_company')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'follow_up_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'reminder_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'remarks')->textarea(['rows' => 6]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
