<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsDepartment;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsExternalDocuments */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-external-documents-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'department_id')->widget(Select2::classname(), [
        'data' => QmsDepartment::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Department'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department'); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'revision_number')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'revision_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'reference_number')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'origin')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'receipt_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'document_link')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'remarks')->textarea(['rows' => 6]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
