<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsExternalProperty */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-external-property-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'external_property_owner')->dropDownList([ 'customer' => 'Customer', 'supplier' => 'Supplier', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'external_property_type')->dropDownList([ 'physical' => 'Physical', 'intellectual' => 'Intellectual', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'customer_supplier_Name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'external_property_name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'external_property_status')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'remarks')->textarea(['rows' => 6]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
