<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsProductServiceProject;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsFinalInspectionQualityPlan */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-final-inspection-quality-plan-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'product_service_project_name_id')->widget(Select2::classname(), [
        'data' => QmsProductServiceProject::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Product/Service/Project Name'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Product/Service/Project Name'); ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
