<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsImprovement */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-improvement-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'improvement_opportunity')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'responsibility')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'resultant_benefit')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'target_completion_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
