<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsWorkOrder;
use common\modules\qms\models\QmsProductServiceProject;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsInProcessInspectionRecords */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-in-process-inspection-records-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'work_order_id')->widget(Select2::classname(), [
        'data' => QmsWorkOrder::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Work Order'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Work Order'); ?>

    <?= $form->field($model, 'product_service_project_name_id')->widget(Select2::classname(), [
        'data' => QmsProductServiceProject::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Product Service Project Name'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Product Service Project Name'); ?>

    <?= $form->field($model, 'inspection_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
