<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsIncomingMaterial;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsIncomingInspectionQualityPlan */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-incoming-inspection-quality-plan-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'purchased_product_service_incoming_material_id')->widget(Select2::classname(), [
        'data' => QmsIncomingMaterial::getAll($k = 'id', $v = 'incoming_material'),
        'options' => ['placeholder' => 'Select Incoming Material'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Incoming Material'); ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
