<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsMasterIncomingMaterialCategory;
use common\modules\qms\models\QmsMasterManagementSystemType;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsIncomingMaterial */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-incoming-material-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'incoming_material')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'incoming_material_category_id')->widget(Select2::classname(), [
        'data' => QmsMasterIncomingMaterialCategory::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Incoming Material Category'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Incoming Material Category'); ?>

    <?= $form->field($model, 'management_system_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterManagementSystemType::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Management System Type'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Management System Type'); ?>

    <?= $form->field($model, 'remarks')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'identification_number')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
