<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsIncomingMaterial;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsInterestedParty */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-interested-party-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'management_system_type_id')->widget(Select2::classname(), [
        'data' => QmsIncomingMaterial::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Management System Type'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Management System Type'); ?>

    <?= $form->field($model, 'stakeholder_interested_party')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'requirements_needs_expectations')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'impact_on_the_organiastion')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'department_id')->widget(Select2::classname(), [
        'data' => QmsIncomingMaterial::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Department'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department'); ?>

    <?= $form->field($model, 'department_impact')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'site_id')->widget(Select2::classname(), [
        'data' => QmsIncomingMaterial::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Site'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Site'); ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
