<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsMasterIssueType;
use common\modules\qms\models\QmsMasterManagementSystemType;
use common\modules\qms\models\QmsMasterSite;
use common\modules\qms\models\QmsDepartment;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsInternalIssues */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-internal-issues-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'issue_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterIssueType::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select Issue Type'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Issue Type'); ?>

    <?= $form->field($model, 'how_it_affects_your_organisation')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'management_system_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterManagementSystemType::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Management System Type'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Management System Type'); ?>

    <?= $form->field($model, 'site_id')->widget(Select2::classname(), [
        'data' => QmsMasterSite::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Site'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Site'); ?>

    <?= $form->field($model, 'department_id')->widget(Select2::classname(), [
        'data' => QmsDepartment::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Department'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department'); ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
