<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsMasterManagementSystemType;
use common\modules\qms\models\QmsDepartment;
use common\modules\qms\models\QmsMasterSite;
use common\modules\qms\models\QmsProcessIdentification;
use common\modules\user\models\User;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsKpi */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-kpi-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'management_system_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterManagementSystemType::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Managment System Type'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Managment System Type'); ?>

    <?= $form->field($model, 'department_id')->widget(Select2::classname(), [
        'data' => QmsDepartment::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Department'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department'); ?>

    <?= $form->field($model, 'site_id')->widget(Select2::classname(), [
        'data' => QmsMasterSite::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Site'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Site'); ?>

    <?= $form->field($model, 'process_id')->widget(Select2::classname(), [
        'data' => QmsProcessIdentification::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Process'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Process'); ?>

    <?= $form->field($model, 'what_to_monitor')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'how_to_monitor')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'when_to_monitor')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'target')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'unit')->dropDownList([ 'numbers' => 'Numbers', 'percentage' => 'Percentage', 'cost' => 'Cost', 'hours' => 'Hours', 'minutes' => 'Minutes', 'seconds' => 'Seconds', 'week' => 'Week', 'month' => 'Month', 'quarters' => 'Quarters', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'best_direction_for_tracking')->dropDownList([ 'up' => 'Up', 'down' => 'Down', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'how_kpi_should_be_aggregated')->dropDownList([ 'average' => 'Average', 'sum' => 'Sum', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'responsibility_id')->widget(Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select Responisbility'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Responisbility'); ?>

    <?= $form->field($model, 'when_to_analyse_results')->dropDownList([ 'half_hourly' => 'Half hourly', 'hourly' => 'Hourly', 'daily' => 'Daily', 'weekly' => 'Weekly', 'fortnightly' => 'Fortnightly', 'monthly' => 'Monthly', 'quarterly' => 'Quarterly', 'half_yearly' => 'Half yearly', 'yearly' => 'Yearly', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
