<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'QMS', 'header' => true, 'visible' => (
		GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/asset') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/breakdown-record') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/compliance-obligation') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/context-organisation') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/customer-feedback') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/design-development') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/design-development-changes') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/documents') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/enquiry') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/enquiry-follow-up') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/enquiry-internal-purpose') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/equipment') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/external-documents') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/external-issues') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/external-property') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/final-inspection-quality-plan') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/final-inspection-quality-records') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/ideal-competence') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/improvement') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/incoming-inspection-quality-plan') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/incoming-material') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/interested-party') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/internal-audit-schedule') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/internal-issues') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/in-process-inspection-records') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/in-process-quality-plan') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/kpi') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/life-cycle-management') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/mrm') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/offline-communication') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/offline-communication-policy') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/operation-planning') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/policy') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/process-identification') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/process-validation') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/purchase-order') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/resource-planning') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/risk-opportunity') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/scope') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/supplier') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/supplier-reevaluation') ||
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/work-order')
    )],


    [
        'label' => 'Asset',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/asset'),
        'items' => [
            ['label' => 'View Assets', 'icon' => 'book', 'url' => ['/qms/asset/index'],],
            ['label' => 'Create Asset', 'icon' => 'book', 'url' => ['/qms/asset/create'],],
        ],
    ],
    [
        'label' => 'Breakdown Record',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/breakdown-record'),
        'items' => [
            ['label' => 'View Breakdown Records', 'icon' => 'book', 'url' => ['/qms/breakdown-record/index'],],
            ['label' => 'Create Breakdown Record', 'icon' => 'book', 'url' => ['/qms/breakdown-record/create'],],
        ],
    ],
    [
        'label' => 'Compliance Obligation',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/compliance-obligation'),
        'items' => [
            ['label' => 'View Compliance Obligations', 'icon' => 'book', 'url' => ['/qms/compliance-obligation/index'],],
            ['label' => 'Create Compliance Obligation', 'icon' => 'book', 'url' => ['/qms/compliance-obligation/create'],],
        ],
    ],
    [
        'label' => 'Context Organisation',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/context-organisation'),
        'items' => [
            ['label' => 'View Context Organisations', 'icon' => 'book', 'url' => ['/qms/context-organisation/index'],],
            ['label' => 'Create Context Organisation', 'icon' => 'book', 'url' => ['/qms/context-organisation/create'],],
        ],
    ],
    [
        'label' => 'Customer Feedback',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/customer-feedback'),
        'items' => [
            ['label' => 'View Customer Feedbacks', 'icon' => 'book', 'url' => ['/qms/customer-feedback/index'],],
            ['label' => 'Create Customer Feedback', 'icon' => 'book', 'url' => ['/qms/customer-feedback/create'],],
        ],
    ],
    [
        'label' => 'Design Development',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/design-development'),
        'items' => [
            ['label' => 'View Design Developments', 'icon' => 'book', 'url' => ['/qms/design-development/index'],],
            ['label' => 'Create Design Development', 'icon' => 'book', 'url' => ['/qms/design-development/create'],],
        ],
    ],
    [
        'label' => 'Design Development Change',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/design-development-changes'),
        'items' => [
            ['label' => 'View Design Development Changes', 'icon' => 'book', 'url' => ['/qms/design-development-changes/index'],],
            ['label' => 'Create Design Development Change', 'icon' => 'book', 'url' => ['/qms/design-development-changes/create'],],
        ],
    ],
    [
        'label' => 'Documents',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/documents'),
        'items' => [
            ['label' => 'View Documents', 'icon' => 'book', 'url' => ['/qms/documents/index'],],
            ['label' => 'Create Document', 'icon' => 'book', 'url' => ['/qms/documents/create'],],
        ],
    ],
    [
        'label' => 'Enquiry',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/enquiry'),
        'items' => [
            ['label' => 'View Enquirys', 'icon' => 'book', 'url' => ['/qms/enquiry/index'],],
            ['label' => 'Create Enquiry', 'icon' => 'book', 'url' => ['/qms/enquiry/create'],],
        ],
    ],
    [
        'label' => 'Enquiry Follow Up',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/enquiry-follow-up'),
        'items' => [
            ['label' => 'View Enquiry Follow Ups', 'icon' => 'book', 'url' => ['/qms/enquiry-follow-up/index'],],
            ['label' => 'Create Enquiry Follow Up', 'icon' => 'book', 'url' => ['/qms/enquiry-follow-up/create'],],
        ],
    ],
    [
        'label' => 'Enquiry Internal Purpose',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/enquiry-internal-purpose'),
        'items' => [
            ['label' => 'View Enquiry Internal Purpose', 'icon' => 'book', 'url' => ['/qms/enquiry-internal-purpose/index'],],
            ['label' => 'Create Enquiry Internal Purpose', 'icon' => 'book', 'url' => ['/qms/enquiry-internal-purpose/create'],],
        ],
    ],
    [
        'label' => 'Equipment',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/equipment'),
        'items' => [
            ['label' => 'View Equipments', 'icon' => 'book', 'url' => ['/qms/equipment/index'],],
            ['label' => 'Create Equipment', 'icon' => 'book', 'url' => ['/qms/equipment/create'],],
        ],
    ],
    [
        'label' => 'External Documents',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/external-documents'),
        'items' => [
            ['label' => 'View External Documents', 'icon' => 'book', 'url' => ['/qms/external-documents/index'],],
            ['label' => 'Create External Document', 'icon' => 'book', 'url' => ['/qms/external-documents/create'],],
        ],
    ],
    [
        'label' => 'External Issues',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/external-issues'),
        'items' => [
            ['label' => 'View External Issues', 'icon' => 'book', 'url' => ['/qms/external-issues/index'],],
            ['label' => 'Create External Issue', 'icon' => 'book', 'url' => ['/qms/external-issues/create'],],
        ],
    ],
    [
        'label' => 'External Property',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/external-property'),
        'items' => [
            ['label' => 'View External Propertys', 'icon' => 'book', 'url' => ['/qms/external-property/index'],],
            ['label' => 'Create External Property', 'icon' => 'book', 'url' => ['/qms/external-property/create'],],
        ],
    ],
    [
        'label' => 'Final Inspection Quality Plan',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/final-inspection-quality-plan'),
        'items' => [
            ['label' => 'View Final Inspection Quality Plans', 'icon' => 'book', 'url' => ['/qms/final-inspection-quality-plan/index'],],
            ['label' => 'Create Final Inspection Quality Plan', 'icon' => 'book', 'url' => ['/qms/final-inspection-quality-plan/create'],],
        ],
    ],
    [
        'label' => 'Final Inspection Quality Records',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/final-inspection-quality-records'),
        'items' => [
            ['label' => 'View Final Inspection Quality Records', 'icon' => 'book', 'url' => ['/qms/final-inspection-quality-records/index'],],
            ['label' => 'Create Final Inspection Quality Record', 'icon' => 'book', 'url' => ['/qms/final-inspection-quality-records/create'],],
        ],
    ],
    [
        'label' => 'Ideal Competence',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/ideal-competence'),
        'items' => [
            ['label' => 'View Ideal Competence', 'icon' => 'book', 'url' => ['/qms/ideal-competence/index'],],
            ['label' => 'Create Ideal Competence', 'icon' => 'book', 'url' => ['/qms/ideal-competence/create'],],
        ],
    ],
    [
        'label' => 'Improvement',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/improvement'),
        'items' => [
            ['label' => 'View Improvements', 'icon' => 'book', 'url' => ['/qms/improvement/index'],],
            ['label' => 'Create Improvement', 'icon' => 'book', 'url' => ['/qms/improvement/create'],],
        ],
    ],
    [
        'label' => 'Incoming Inspection Quality Plan',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/incoming-inspection-quality-plan'),
        'items' => [
            ['label' => 'View Incoming Inspection Quality Plans', 'icon' => 'book', 'url' => ['/qms/incoming-inspection-quality-plan/index'],],
            ['label' => 'Create Incoming Inspection Quality Plan', 'icon' => 'book', 'url' => ['/qms/incoming-inspection-quality-plan/create'],],
        ],
    ],
    [
        'label' => 'Incoming Material',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/incoming-material'),
        'items' => [
            ['label' => 'View Incoming Materials', 'icon' => 'book', 'url' => ['/qms/incoming-material/index'],],
            ['label' => 'Create Incoming Material', 'icon' => 'book', 'url' => ['/qms/incoming-material/create'],],
        ],
    ],
    [
        'label' => 'Interested Party',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/interested-party'),
        'items' => [
            ['label' => 'View Interested Partys', 'icon' => 'book', 'url' => ['/qms/interested-party/index'],],
            ['label' => 'Create Interested Party', 'icon' => 'book', 'url' => ['/qms/interested-party/create'],],
        ],
    ],
    [
        'label' => 'Internal Audit Schedule',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/internal-audit-schedule'),
        'items' => [
            ['label' => 'View Internal Audit Schedules', 'icon' => 'book', 'url' => ['/qms/internal-audit-schedule/index'],],
            ['label' => 'Create Internal Audit Schedule', 'icon' => 'book', 'url' => ['/qms/internal-audit-schedule/create'],],
        ],
    ],
    [
        'label' => 'Internal Issues',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/internal-issues'),
        'items' => [
            ['label' => 'View Internal Issues', 'icon' => 'book', 'url' => ['/qms/internal-issues/index'],],
            ['label' => 'Create Internal Issue', 'icon' => 'book', 'url' => ['/qms/internal-issues/create'],],
        ],
    ],
    [
        'label' => 'In Process Inspection Records',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/in-process-inspection-records'),
        'items' => [
            ['label' => 'View In Process Inspection Records', 'icon' => 'book', 'url' => ['/qms/in-process-inspection-records/index'],],
            ['label' => 'Create In Process Inspection Record', 'icon' => 'book', 'url' => ['/qms/in-process-inspection-records/create'],],
        ],
    ],
    [
        'label' => 'In process Quality Plan',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/in-process-quality-plan'),
        'items' => [
            ['label' => 'View In process Quality Plans', 'icon' => 'book', 'url' => ['/qms/in-process-quality-plan/index'],],
            ['label' => 'Create In process Quality Plan', 'icon' => 'book', 'url' => ['/qms/in-process-quality-plan/create'],],
        ],
    ],
    [
        'label' => 'Kpi',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/kpi'),
        'items' => [
            ['label' => 'View Kpis', 'icon' => 'book', 'url' => ['/qms/kpi/index'],],
            ['label' => 'Create Kpi', 'icon' => 'book', 'url' => ['/qms/kpi/create'],],
        ],
    ],
    [
        'label' => 'Life Cycle Management',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/life-cycle-management'),
        'items' => [
            ['label' => 'View Life Cycle Management', 'icon' => 'book', 'url' => ['/qms/life-cycle-management/index'],],
            ['label' => 'Create Life Cycle Management', 'icon' => 'book', 'url' => ['/qms/life-cycle-management/create'],],
        ],
    ],
    [
        'label' => 'Mrm',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/mrm'),
        'items' => [
            ['label' => 'View Mrm', 'icon' => 'book', 'url' => ['/qms/mrm/index'],],
            ['label' => 'Create Mrm', 'icon' => 'book', 'url' => ['/qms/mrm/create'],],
        ],
    ],
    [
        'label' => 'Offline Communication',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/offline-communication'),
        'items' => [
            ['label' => 'View Offline Communications', 'icon' => 'book', 'url' => ['/qms/offline-communication/index'],],
            ['label' => 'Create Offline Communication', 'icon' => 'book', 'url' => ['/qms/offline-communication/create'],],
        ],
    ],
    [
        'label' => 'Offline Communication Policy',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/offline-communication-policy'),
        'items' => [
            ['label' => 'View Offline Communication Policys', 'icon' => 'book', 'url' => ['/qms/offline-communication-policy/index'],],
            ['label' => 'Create Offline Communication Policy', 'icon' => 'book', 'url' => ['/qms/offline-communication-policy/create'],],
        ],
    ],
    [
        'label' => 'Operation Planning',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/operation-planning'),
        'items' => [
            ['label' => 'View Operation Plannings', 'icon' => 'book', 'url' => ['/qms/operation-planning/index'],],
            ['label' => 'Create Operation Planning', 'icon' => 'book', 'url' => ['/qms/operation-planning/create'],],
        ],
    ],
    [
        'label' => 'Policy',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/policy'),
        'items' => [
            ['label' => 'View Policys', 'icon' => 'book', 'url' => ['/qms/policy/index'],],
            ['label' => 'Create Policy', 'icon' => 'book', 'url' => ['/qms/policy/create'],],
        ],
    ],
    [
        'label' => 'Process Identification',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/process-identification'),
        'items' => [
            ['label' => 'View Process Identifications', 'icon' => 'book', 'url' => ['/qms/process-identification/index'],],
            ['label' => 'Create Process Identification', 'icon' => 'book', 'url' => ['/qms/process-identification/create'],],
        ],
    ],
    [
        'label' => 'Process Validation',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/process-validation'),
        'items' => [
            ['label' => 'View Process Validations', 'icon' => 'book', 'url' => ['/qms/process-validation/index'],],
            ['label' => 'Create Process Validation', 'icon' => 'book', 'url' => ['/qms/process-validation/create'],],
        ],
    ],
    [
        'label' => 'Product Service Project',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/product-service-project'),
        'items' => [
            ['label' => 'View Product Service Projects', 'icon' => 'book', 'url' => ['/qms/product-service-project/index'],],
            ['label' => 'Create Product Service Project', 'icon' => 'book', 'url' => ['/qms/product-service-project/create'],],
        ],
    ],
    [
        'label' => 'Purchase Order',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/purchase-order'),
        'items' => [
            ['label' => 'View Purchase Orders', 'icon' => 'book', 'url' => ['/qms/purchase-order/index'],],
            ['label' => 'Create Purchase Order', 'icon' => 'book', 'url' => ['/qms/purchase-order/create'],],
        ],
    ],
    [
        'label' => 'Resource Planning',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/resource-planning'),
        'items' => [
            ['label' => 'View Resource Plannings', 'icon' => 'book', 'url' => ['/qms/resource-planning/index'],],
            ['label' => 'Create Resource Planning', 'icon' => 'book', 'url' => ['/qms/resource-planning/create'],],
        ],
    ],
    [
        'label' => 'Risk Opportunity',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/risk-opportunity'),
        'items' => [
            ['label' => 'View Risk Opportunitys', 'icon' => 'book', 'url' => ['/qms/risk-opportunity/index'],],
            ['label' => 'Create Risk Opportunity', 'icon' => 'book', 'url' => ['/qms/risk-opportunity/create'],],
        ],
    ],
    [
        'label' => 'Scope',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/scope'),
        'items' => [
            ['label' => 'View Scopes', 'icon' => 'book', 'url' => ['/qms/scope/index'],],
            ['label' => 'Create Scope', 'icon' => 'book', 'url' => ['/qms/scope/create'],],
        ],
    ],
    [
        'label' => 'Supplier',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/supplier'),
        'items' => [
            ['label' => 'View Suppliers', 'icon' => 'book', 'url' => ['/qms/supplier/index'],],
            ['label' => 'Create Supplier', 'icon' => 'book', 'url' => ['/qms/supplier/create'],],
        ],
    ],
    [
        'label' => 'Supplier Reevaluation',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/supplier-reevaluation'),
        'items' => [
            ['label' => 'View Supplier Reevaluations', 'icon' => 'book', 'url' => ['/qms/supplier-reevaluation/index'],],
            ['label' => 'Create Supplier Reevaluation', 'icon' => 'book', 'url' => ['/qms/supplier-reevaluation/create'],],
        ],
    ],
    [
        'label' => 'Work Order',
        'icon' => 'book',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'qms/work-order'),
        'items' => [
            ['label' => 'View Work Orders', 'icon' => 'book', 'url' => ['/qms/work-order/index'],],
            ['label' => 'Create Work Order', 'icon' => 'book', 'url' => ['/qms/work-order/create'],],
        ],
    ],
    





    [
        'label' => 'Admin',
        'items' => [
            [
                'label' => 'Resource Planning',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Asset',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Communication',
        'items' => [
            [
                'label' => 'Offline Communication Policy',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Offline Communications',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Context of Organisations',
        'items' => [
            [
                'label' => 'Context of Organisations',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'External Issues',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Internal Issues',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Interested Party',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Scope',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Life Cycle Management',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Risk and Opportunity',
        'items' => [
            [
                'label' => 'Risk and Opportunity',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'HR',
        'items' => [
            [
                'label' => 'Department',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['/qms/department/index'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['/qms/department/create'],],
                ],
            ],
            [
                'label' => 'Designation',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['/qms/designation/index'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['/qms/designation/create'],],
                ],
            ],
            [
                'label' => 'Employee',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Ideal Competence',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Competence Evaluation',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['/qms/competence-evaluation/index'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['/qms/competence-evaluation/create'],],
                ],
            ],
            [
                'label' => 'Training',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Marketing',
        'items' => [
            [
                'label' => 'Enquiry',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Enquiry Follow Up',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Enquiry Internal Proposal',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Customer Feedback',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Design and Development',
        'items' => [
            [
                'label' => 'Design and Development',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Design and Development Changes',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Purchase',
        'items' => [
            [
                'label' => 'Supplier Registration',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Purchase Order',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Supplier Re-evaluation',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Operations',
        'items' => [
            [
                'label' => 'Incoming Materials',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Product Service Project',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Work Order',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Process Identification',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Operation Planning',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Process Validation',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Execution Plan',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Equipment',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Calibration Schedule',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Calibration Log',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Preventive Maintenance Schedule',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Preventive Maintenance Log',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Breakdown Record',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'External Property',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'KPI',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Change Management',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Policy and Objective',
        'items' => [
            [
                'label' => 'Policy',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Objective',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Quality',
        'items' => [
            [
                'label' => 'Incoming Inspection Quality Plan',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'In-process Quality Plan',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Final Inspection Quality Records',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Improvement',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Documented Information',
        'items' => [
            [
                'label' => 'Documents',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'External Documents',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Manuals',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Non Conformance',
        'items' => [
            [
                'label' => 'Non Conformance',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Internal Audit',
        'items' => [
            [
                'label' => 'Master Internal Audit Plan',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Internal Audit Schedule',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Internal Audit Report',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'Internal Audit Checklist Master',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'MRM',
        'items' => [
            [
                'label' => 'MRM',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
            [
                'label' => 'MRM Agendas',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Compliance Obligation',
        'items' => [
            [
                'label' => 'Compliance Obligation',
                'iconStyle' => 'far',
                'icon' => 'circle',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'page'),
                'items' => [
                    ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                    ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'dot-circle', 'url' => ['#'],],
                ],
            ],
        ],
    ],
];