<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsMasterManagementSystemType;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsMrm */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-mrm-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'management_system_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterManagementSystemType::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Management System Type'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Management System Type'); ?>

    <?= $form->field($model, 'date_of_mrm')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'attendee_id')->textInput() ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
