<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsMasterCommunicationTrigger;
use common\modules\user\models\User;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsOfflineCommunicationPolicy */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-offline-communication-policy-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'communication_trigger_id')->widget(Select2::classname(), [
        'data' => QmsMasterCommunicationTrigger::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Communication Trigger'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Communication Trigger'); ?>

    <?= $form->field($model, 'what_to_communicate')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'whom_to_communicate_internal')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'whom_to_communicate_external')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'how_to_communicate')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'responsibility')->widget(Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Responsibility'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Responsibility'); ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
