<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsMasterCommunicationTrigger;
use common\modules\qms\models\QmsInterestedParty;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsOfflineCommunication */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-offline-communication-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'communication_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'communication_trigger_id')->widget(Select2::classname(), [
        'data' => QmsMasterCommunicationTrigger::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Communication Trigger'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Communication Trigger'); ?>

    <?= $form->field($model, 'interested_party_id')->widget(Select2::classname(), [
        'data' => QmsInterestedParty::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Interested Party'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Interested Party'); ?>

    <?= $form->field($model, 'remarks')->textarea(['rows' => 6]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
