<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsProductServiceProject;
use common\modules\qms\models\QmsOperationPlanning;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsOperationPlanning */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-operation-planning-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'product_service_project_id')->widget(Select2::classname(), [
        'data' => QmsProductServiceProject::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Product Service Project Name'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Product Service Project Name'); ?>

    <?= $form->field($model, 'brief_description')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'requirement_analysis')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'operation_planning_process_id')->widget(Select2::classname(), [
        'data' => QmsOperationPlanning::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Operation Planning'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Operation Planning'); ?>

    <?= $form->field($model, 'acceptance_criteria')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'human_resource')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'interested_parties')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'exceptions')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'knowledge_required')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'knowledge_made_available')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'infrstructure_resource')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
