<?php

use yii\bootstrap4\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsOperationPlanning */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Operation Plannings', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<div class="container-fluid">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <p>
                        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
                        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
                            'class' => 'btn btn-danger',
                            'data' => [
                                'confirm' => 'Are you sure you want to delete this item?',
                                'method' => 'post',
                            ],
                        ]) ?>
                    </p>
                    <?= DetailView::widget([
                        'model' => $model,
                        'attributes' => [
                            'id',
                            'product_service_project_id',
                            'brief_description:ntext',
                            'requirement_analysis:ntext',
                            'operation_planning_process_id',
                            'acceptance_criteria:ntext',
                            'human_resource:ntext',
                            'interested_parties:ntext',
                            'exceptions:ntext',
                            'knowledge_required:ntext',
                            'knowledge_made_available:ntext',
                            'infrstructure_resource:ntext',
                            'approval_status',
                            'approving_authority_id',
                            'created_by',
                            'updated_by',
                            'created_at',
                            'updated_at',
                            'status',
                        ],
                    ]) ?>
                </div>
                <!--.col-md-12-->
            </div>
            <!--.row-->
        </div>
        <!--.card-body-->
    </div>
    <!--.card-->
</div>