<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;
use kartik\date\DatePicker;

use common\modules\user\models\User;
use common\modules\qms\models\QmsMasterManagementSystemType;
use common\modules\qms\models\QmsDepartment;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsProcessIdentification */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-process-identification-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'management_system_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterManagementSystemType::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Management System Type'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Management System Type'); ?>

    <?= $form->field($model, 'department_id')->widget(Select2::classname(), [
        'data' => QmsDepartment::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Department'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department'); ?>

    <?= $form->field($model, 'process_name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'purpose')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'scope')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'definition')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'revision_number')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'revision_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'outsourced')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'accountable_person_id')->widget(Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select Accountable Person'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Accountable Person'); ?>

    <?= $form->field($model, 'what_knowledge_is_required')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'how_the_knowledge_would_be_made_available')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
