<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsDepartment;
use common\modules\qms\models\QmsProcessIdentification;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsProcessValidation */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-process-validation-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'department_id')->widget(Select2::classname(), [
        'data' => QmsDepartment::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Department'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department'); ?>

    <?= $form->field($model, 'department_process_id')->widget(Select2::classname(), [
        'data' => QmsProcessIdentification::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Department Process'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Department Process'); ?>

    <?= $form->field($model, 'validation_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 're_validation_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'brief_process_description')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'name_of_the_machine_equipment_to_be_used')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'name_of_the_qualified_person')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'description_of_process_steps')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'operator_qualification_competence')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'validation_result')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 're_validation_due_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
