<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsSupplier;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsPurchaseOrder */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-purchase-order-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'number')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'date_of_purchase')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'supplier_id')->widget(Select2::classname(), [
        'data' => QmsSupplier::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Supplier'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Supplier'); ?>

    <?= $form->field($model, 'supplier_address')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'expected_delivery_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'supplier_contact')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'actual_delivery_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'total_po_price')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'supplier_rating')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
