<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\date\DatePicker;
use kartik\select2\Select2;

use common\modules\qms\models\QmsMasterResourceType;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsResourcePlanning */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-resource-planning-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'planning_duration')->dropDownList([ 'half_hourly' => 'Half hourly', 'hourly' => 'Hourly', 'daily' => 'Daily', 'weekly' => 'Weekly', 'fortnightly' => 'Fortnightly', 'monthly' => 'Monthly', 'quarterly' => 'Quarterly', 'half_yearly' => 'Half yearly', 'yearly_price' => 'Yearly price', 'quality' => 'Quality', 'delivery' => 'Delivery', 'reference' => 'Reference', 'locational_suitability' => 'Locational suitability', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'planning_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'resource_planning_for')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'resource_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterResourceType::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Resource Type'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Product Resource Type'); ?>

    <?= $form->field($model, 'description')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'quantity')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'approximate_cost_to_company')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'required_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'benefits')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'remarks')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
