<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\qms\models\QmsRiskOpportunitySearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Risk Opportunities';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Risk Opportunity', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>


                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
			 'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            'id',
                            'risk_and_opportunity_type_id',
                            'management_system_type_id',
                            'risk_opportunity_source_or_activity:ntext',
                            'risk_category_id',
                            //'risk_description:ntext',
                            //'risk_impact',
                            //'risk_rating',
                            //'risk_probability',
                            //'assigned_to_id',
                            //'department_id',
                            //'actions_proposed:ntext',
                            //'treatment_type',
                            //'proposed_review_date',
                            //'proposed_completion_date',
                            //'is_it_an_opportunity',
                            //'approval_status',
                            //'approving_authority_id',
                            //'created_by',
                            //'updated_by',
                            //'created_at',
                            //'updated_at',
                            //'status',

                            ['class' => 'hail812\adminlte3\yii\grid\ActionColumn'],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>

                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>
