<?php

use yii\bootstrap4\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsRiskOpportunity */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Risk Opportunities', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<div class="container-fluid">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <p>
                        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
                        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
                            'class' => 'btn btn-danger',
                            'data' => [
                                'confirm' => 'Are you sure you want to delete this item?',
                                'method' => 'post',
                            ],
                        ]) ?>
                    </p>
                    <?= DetailView::widget([
                        'model' => $model,
                        'attributes' => [
                            'id',
                            'risk_and_opportunity_type_id',
                            'management_system_type_id',
                            'risk_opportunity_source_or_activity:ntext',
                            'risk_category_id',
                            'risk_description:ntext',
                            'risk_impact',
                            'risk_rating',
                            'risk_probability',
                            'assigned_to_id',
                            'department_id',
                            'actions_proposed:ntext',
                            'treatment_type',
                            'proposed_review_date',
                            'proposed_completion_date',
                            'is_it_an_opportunity',
                            'approval_status',
                            'approving_authority_id',
                            'created_by',
                            'updated_by',
                            'created_at',
                            'updated_at',
                            'status',
                        ],
                    ]) ?>
                </div>
                <!--.col-md-12-->
            </div>
            <!--.row-->
        </div>
        <!--.card-body-->
    </div>
    <!--.card-->
</div>