<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsMasterManagementSystemType;
use common\modules\qms\models\QmsMasterSite;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsScope */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-scope-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'id')->textInput() ?>

    <?= $form->field($model, 'management_system_type_id')->widget(Select2::classname(), [
        'data' => QmsMasterManagementSystemType::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Management System Type'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Management System Type'); ?>

    <?= $form->field($model, 'scope')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'exclusion')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'justification_for_exclusion')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'site_id')->widget(Select2::classname(), [
        'data' => QmsMasterSite::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Site'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Site'); ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
