<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;

use common\modules\qms\models\QmsSupplier;
/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsSupplierReevaluation */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-supplier-reevaluation-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'supplier_id')->widget(Select2::classname(), [
        'data' => QmsSupplier::getAll($k = 'id', $v = 'name'),
        'options' => ['placeholder' => 'Select Supplier'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Supplier'); ?>

    <?= $form->field($model, 'supplier_address')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'suplier_rating')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'suplier_contact')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'evaluation_analysis')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'evaluation_date')->textInput() ?>

    <?= $form->field($model, 'next_evaluation_date')->textInput() ?>

    <?= $form->field($model, 'supplier_score')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'remarks')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'parameter_name_consistency_in_product_service_quality')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'parameter_name_quality_of_product_service')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'parameter_name_market_credibility')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'paramter_name_terms_and_condition_competitiveness')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'parameter_name_adherence_to_delivery_schedule')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'parameter_name_pricing_competitiveness')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'parameter_name_quality_of_support_services')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
