<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\qms\models\QmsSupplierReevaluationSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Supplier Reevaluations';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Supplier Reevaluation', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>


                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
			 'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            'id',
                            'supplier_id',
                            'supplier_address:ntext',
                            'suplier_rating',
                            'suplier_contact',
                            //'evaluation_analysis',
                            //'evaluation_date',
                            //'next_evaluation_date',
                            //'supplier_score',
                            //'remarks',
                            //'parameter_name_consistency_in_product_service_quality',
                            //'parameter_name_quality_of_product_service',
                            //'parameter_name_market_credibility',
                            //'paramter_name_terms_and_condition_competitiveness',
                            //'parameter_name_adherence_to_delivery_schedule',
                            //'parameter_name_pricing_competitiveness',
                            //'parameter_name_quality_of_support_services',
                            //'approval_status',
                            //'approving_authority_id',
                            //'created_by',
                            //'updated_by',
                            //'created_at',
                            //'updated_at',
                            //'status',

                            ['class' => 'hail812\adminlte3\yii\grid\ActionColumn'],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>

                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>
