<?php

use yii\bootstrap4\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsSupplierReevaluation */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Supplier Reevaluations', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<div class="container-fluid">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <p>
                        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
                        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
                            'class' => 'btn btn-danger',
                            'data' => [
                                'confirm' => 'Are you sure you want to delete this item?',
                                'method' => 'post',
                            ],
                        ]) ?>
                    </p>
                    <?= DetailView::widget([
                        'model' => $model,
                        'attributes' => [
                            'id',
                            'supplier_id',
                            'supplier_address:ntext',
                            'suplier_rating',
                            'suplier_contact',
                            'evaluation_analysis',
                            'evaluation_date',
                            'next_evaluation_date',
                            'supplier_score',
                            'remarks',
                            'parameter_name_consistency_in_product_service_quality',
                            'parameter_name_quality_of_product_service',
                            'parameter_name_market_credibility',
                            'paramter_name_terms_and_condition_competitiveness',
                            'parameter_name_adherence_to_delivery_schedule',
                            'parameter_name_pricing_competitiveness',
                            'parameter_name_quality_of_support_services',
                            'approval_status',
                            'approving_authority_id',
                            'created_by',
                            'updated_by',
                            'created_at',
                            'updated_at',
                            'status',
                        ],
                    ]) ?>
                </div>
                <!--.col-md-12-->
            </div>
            <!--.row-->
        </div>
        <!--.card-body-->
    </div>
    <!--.card-->
</div>