<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsSupplier */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-supplier-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'address')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'phone')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'supplier_contact_name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'supplier_contact_phone')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'supplier_category')->dropDownList([ 'dealer' => 'Dealer', 'limited' => 'Limited', 'manufacturer' => 'Manufacturer', 'partnership_firm' => 'Partnership firm', 'proprietorship' => 'Proprietorship', 'private_limited' => 'Private limited', 'service_provider' => 'Service provider', 'trader' => 'Trader', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'product_service_details')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'number_of_employees')->textInput() ?>

    <?= $form->field($model, 'annual_turnover_millions')->textInput() ?>

    <?= $form->field($model, 'certification_type')->dropDownList([ 'ISO_9001' => 'ISO 9001', 'ISO_14001' => 'ISO 14001', 'OHSAS_18001' => 'OHSAS 18001', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'other_certification_type')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'existing_major_customers')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'govt_or_tax_registration_number')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'major_registration_criterias')->dropDownList([ 'price' => 'Price', 'quality' => 'Quality', 'delivery' => 'Delivery', 'reference' => 'Reference', 'locational_suitability' => 'Locational suitability', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'supplier_rating')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'sample_approval_details')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'is_active')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'approval_status')->dropDownList([ 'approved' => 'Approved', 'rejected' => 'Rejected', 'pending' => 'Pending', ], ['prompt' => '']) ?>

    <?= $form->field($model, 'approving_authority_id')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
