<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\qms\models\QmsSupplierSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Suppliers';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Supplier', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>


                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
			 'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            'id',
                            'name',
                            'address:ntext',
                            'email:email',
                            'phone',
                            //'supplier_contact_name',
                            //'supplier_contact_phone',
                            //'supplier_category',
                            //'product_service_details:ntext',
                            //'number_of_employees',
                            //'annual_turnover_millions',
                            //'certification_type',
                            //'other_certification_type',
                            //'existing_major_customers:ntext',
                            //'govt_or_tax_registration_number:ntext',
                            //'major_registration_criterias',
                            //'supplier_rating',
                            //'sample_approval_details:ntext',
                            //'is_active',
                            //'approval_status',
                            //'approving_authority_id',
                            //'created_by',
                            //'updated_by',
                            //'created_at',
                            //'updated_at',
                            //'status',

                            ['class' => 'hail812\adminlte3\yii\grid\ActionColumn'],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>

                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>
