<?php

use yii\bootstrap4\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsSupplier */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Suppliers', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<div class="container-fluid">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <p>
                        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
                        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
                            'class' => 'btn btn-danger',
                            'data' => [
                                'confirm' => 'Are you sure you want to delete this item?',
                                'method' => 'post',
                            ],
                        ]) ?>
                    </p>
                    <?= DetailView::widget([
                        'model' => $model,
                        'attributes' => [
                            'id',
                            'name',
                            'address:ntext',
                            'email:email',
                            'phone',
                            'supplier_contact_name',
                            'supplier_contact_phone',
                            'supplier_category',
                            'product_service_details:ntext',
                            'number_of_employees',
                            'annual_turnover_millions',
                            'certification_type',
                            'other_certification_type',
                            'existing_major_customers:ntext',
                            'govt_or_tax_registration_number:ntext',
                            'major_registration_criterias',
                            'supplier_rating',
                            'sample_approval_details:ntext',
                            'is_active',
                            'approval_status',
                            'approving_authority_id',
                            'created_by',
                            'updated_by',
                            'created_at',
                            'updated_at',
                            'status',
                        ],
                    ]) ?>
                </div>
                <!--.col-md-12-->
            </div>
            <!--.row-->
        </div>
        <!--.card-body-->
    </div>
    <!--.card-->
</div>