<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use kartik\select2\Select2;
use kartik\date\DatePicker;

use common\modules\user\models\User;

/* @var $this yii\web\View */
/* @var $model common\modules\qms\models\QmsWorkOrder */
/* @var $form yii\bootstrap4\ActiveForm */
?>

<div class="qms-work-order-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'work_order_owner_id')->widget(Select2::classname(), [
        'data' => User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select Work Order Owner'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('Work Order Owner'); ?>

    <?= $form->field($model, 'work_order_title')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'work_order_description')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'proposal_completion_date')->widget(DatePicker::classname(), [
        'type' => DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($model, 'remarks')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'is_from_enquiry')->dropDownList([ 'yes' => 'Yes', 'no' => 'No', ], ['prompt' => '']) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
