<?php

namespace common\modules\shop\controllers\frontend;

use Yii;
use yii\web\Controller;

use common\modules\shop\models\ShopCart;
use common\modules\shop\models\ShopProduct;
use common\modules\core\models\CoreSite;
use common\modules\core\models\CoreValue;

class CartController extends Controller
{

    public $enableCsrfValidation = false;

    public function behaviors()
    {
        return [
            'access' => [
                'class' => \yii\filters\AccessControl::className(),
                'only' => ['create'],
                'rules' => [
                    [
                        'actions' => [],
                        'allow' => true,
                        'roles' => ['?'],
                    ],
                    [
                        'actions' => [],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                    [
                        'actions' => ['create'],
                        'allow' => true,
                        'roles' => ['?', '@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => \yii\filters\VerbFilter::className(),
                'actions' => [
                    'create' => ['post'],
                ],
            ],
        ];
    }

    public function actionCreate()
    {
        if (Yii::$app->request->isPost) {
            $modelShopCart = new ShopCart();
            $post_data = array();

            $post_data['ShopCart']['user_id'] = 1;
            $post_data['ShopCart']['product_id'] = ShopProduct::getAttr(['id'], ['price' => Yii::$app->request->post('price')]);
            $post_data['ShopCart']['order_id'] = null;
            $post_data['ShopCart']['quantity'] = 1;
            $post_data['ShopCart']['voucher_id'] = null;
            $post_data['ShopCart']['price'] = Yii::$app->request->post('price');
            $post_data['ShopCart']['site_id'] = CoreSite::getAttr(['id'], ['code' => Yii::$app->params['site_code']]);
            $post_data['ShopCart']['ip_address'] = Yii::$app->request->getUserIP();
            $post_data['ShopCart']['created_by'] = 1;
            $post_data['ShopCart']['updated_by'] = 1;
            $post_data['ShopCart']['status'] = 'active';

            $modelShopCart->saveCart($post_data, 'log');

            return true;
        }

        return false;
    }
}
