<?php

namespace common\modules\shop\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;

use common\modules\shop\models\ShopRefund2;

/**
 * ShopRefund2Search represents the model behind the search form of `common\modules\shop\models\ShopRefund2`.
 */
class ShopRefund2Search extends ShopRefund2
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'created_by', 'updated_by'], 'integer'],
            [['email', 'phone', 'card_last_digits', 'domain', 'transaction_id', 'reason', 'initiated_by', 'ip_address', 'approved', 'funnel', 'created_at', 'updated_at'], 'safe'],
        ];
    }

    public function attributes()
    {
        // add related fields to searchable attributes
        return array_merge(parent::attributes(), []);
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
		$query = ShopRefund2::find();
	
        // add conditions that should always apply here
        $query->joinWith([]);

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere(['like', 'mod_shop_refund_2.email', $this->email])
            ->andFilterWhere(['like', 'mod_shop_refund_2.phone', $this->phone])
            ->andFilterWhere(['like', 'mod_shop_refund_2.card_last_digits', $this->card_last_digits])
            ->andFilterWhere(['like', 'mod_shop_refund_2.domain', $this->domain])
            ->andFilterWhere(['like', 'mod_shop_refund_2.transaction_id', $this->transaction_id])
            ->andFilterWhere(['like', 'mod_shop_refund_2.reason', $this->reason])
            ->andFilterWhere(['like', 'mod_shop_refund_2.initiated_by', $this->initiated_by])
            ->andFilterWhere(['like', 'mod_shop_refund_2.ip_address', $this->ip_address])
            ->andFilterWhere(['like', 'mod_shop_refund_2.approved', $this->approved])
            ->andFilterWhere(['like', 'mod_shop_refund_2.funnel', $this->funnel])
            ->andFilterWhere(['like', 'mod_shop_refund_2.id', $this->id])
            ->andFilterWhere(['like', 'mod_shop_refund_2.created_by', $this->created_by])
            ->andFilterWhere(['like', 'mod_shop_refund_2.updated_by', $this->updated_by])
            ->andFilterWhere(['like', 'mod_shop_refund_2.created_at', $this->created_at])
            ->andFilterWhere(['like', 'mod_shop_refund_2.updated_at', $this->updated_at]);

        return $dataProvider;
    }
}
