<?php

namespace common\modules\shop\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;

use common\modules\shop\models\ShopVoucher;

/**
 * ShopVoucherSearch represents the model behind the search form of `common\modules\shop\models\ShopVoucher`.
 */
class ShopVoucherSearch extends ShopVoucher
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'featured_image', 'created_by', 'updated_by'], 'integer'],
            [['code', 'discount', 'discount_percent', 'start_date', 'end_date', 'metadata', 'created_at', 'updated_at', 'status'], 'safe'],
        ];
    }

    public function attributes()
    {
        // add related fields to searchable attributes
        return array_merge(parent::attributes(), []);
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
		$query = ShopVoucher::find()->where(parent::tableName() . '.status = :status', ['status' => 'active']);
	
        // add conditions that should always apply here
        $query->joinWith([]);

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere(['like', 'mod_shop_voucher.code', $this->code])
            ->andFilterWhere(['like', 'mod_shop_voucher.discount', $this->discount])
            ->andFilterWhere(['like', 'mod_shop_voucher.discount_percent', $this->discount_percent])
            ->andFilterWhere(['like', 'mod_shop_voucher.metadata', $this->metadata])
            ->andFilterWhere(['like', 'mod_shop_voucher.status', $this->status])
            ->andFilterWhere(['like', 'mod_shop_voucher.id', $this->id])
            ->andFilterWhere(['like', 'mod_shop_voucher.start_date', $this->start_date])
            ->andFilterWhere(['like', 'mod_shop_voucher.end_date', $this->end_date])
            ->andFilterWhere(['like', 'mod_shop_voucher.featured_image', $this->featured_image])
            ->andFilterWhere(['like', 'mod_shop_voucher.created_by', $this->created_by])
            ->andFilterWhere(['like', 'mod_shop_voucher.updated_by', $this->updated_by])
            ->andFilterWhere(['like', 'mod_shop_voucher.created_at', $this->created_at])
            ->andFilterWhere(['like', 'mod_shop_voucher.updated_at', $this->updated_at]);

        return $dataProvider;
    }
}
