<?php

use common\modules\user\components\GenesysUser;

return [
	['label' => 'Shop ', 'header' => true, 'visible' => (
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/order') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/product') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/category') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/subcategory') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/voucher') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/trait') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/trait-value') || 
        GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/exchange-rate')
    )],
    [
        'label' => 'Orders',
        'icon' => 'shopping-cart',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/order'),
        'items' => [
            ['label' => 'View Orders', 'icon' => 'shopping-cart', 'url' => ['/shop/order/index'],],
            ['label' => 'Create Order', 'icon' => 'cart-plus', 'url' => ['/shop/order/create'],],
            ['label' => 'Charts', 'icon' => 'chart-bar', 'url' => ['/shop/order/chart'],],
        ],
    ],
    [
        'label' => 'Refunds',
        'icon' => 'undo',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/refund'),
        'items' => [
            ['label' => 'View Refunds', 'icon' => 'undo-alt', 'url' => ['/shop/refund/index'],],
            ['label' => 'Create Refund', 'icon' => 'undo-alt', 'url' => ['/shop/refund/create'],],
        ],
    ],
    [
        'label' => 'Products',
        'icon' => 'boxes',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/product'),
        'items' => [
            ['label' => 'View Products', 'icon' => 'boxes', 'url' => ['/shop/product/index'],],
            ['label' => 'Create Product', 'icon' => 'box', 'url' => ['/shop/product/create'],],
        ],
    ],
    [
        'label' => 'Vouchers',
        'icon' => 'tags',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/voucher'),
        'items' => [
            ['label' => 'View Vouchers', 'icon' => 'tags', 'url' => ['/shop/voucher/index'],],
            ['label' => 'Create Voucher', 'icon' => 'tag', 'url' => ['/shop/voucher/create'],],
        ],
    ],
];
