<?php

use yii\bootstrap4\Html;
use yii\helpers\Url;
use dosamigos\chartjs\ChartJs;

$this->title = 'Order Charts';
$this->params['breadcrumbs'][] = ['label' => 'Orders', 'url' => ['index']];
$this->params['breadcrumbs'][] = 'Charts';

?>

<div class="shop-order-chart">
    <h1><?= Html::encode($this->title) ?></h1>

    <div class="row">
        <!-- Interval: Last 30 Days -->
        <?php
        $interval = 'daily';
        $where = ['between', 'created_at', date('Y-m-d', strtotime('today - 31 days')), date('Y-m-d', strtotime('tomorrow'))];
        $chart_data = \common\modules\shop\models\ShopOrder::getChartDataInterval($interval, false, [], $where);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Orders <small>(Last 30 Days)</small></h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\shop\models\ShopOrder::find()->where($where)->andWhere(['status' => 'active'])->count() ?></span>
                                <span>Orders</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data) ?></span>
                                <span class="text-muted">Days</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsBar::widget([
                                'id' => 'ChartJsBarOrders' . ucfirst($interval) . 'Last30Days',
                                'label' => 'Orders',
                                'labels' => array_keys($chart_data),
                                'data' => array_values($chart_data),
                                'minBars' => 0,
                                'maxBars' => 30,
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <!-- Interval: Daily -->
        <?php
        $interval = 'daily';
        $chart_data = \common\modules\shop\models\ShopOrder::getChartDataInterval($interval);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Orders</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\shop\models\ShopOrder::find()->where(['status' => 'active'])->count() ?></span>
                                <span>Orders</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data) ?></span>
                                <span class="text-muted">Days</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsBar::widget([
                                'id' => 'ChartJsBarOrders' . ucfirst($interval),
                                'label' => 'Orders',
                                'labels' => array_keys($chart_data),
                                'data' => array_values($chart_data),
                                'minBars' => 0,
                                'maxBars' => 30,
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <!-- Interval: Monthly -->
        <?php
        $interval = 'monthly';
        $chart_data = \common\modules\shop\models\ShopOrder::getChartDataInterval($interval);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Orders</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\shop\models\ShopOrder::find()->where(['status' => 'active'])->count() ?></span>
                                <span>Orders</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data) ?></span>
                                <span class="text-muted">Months</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsBar::widget([
                                'id' => 'ChartJsBarOrders' . ucfirst($interval),
                                'label' => 'Orders',
                                'labels' => array_keys($chart_data),
                                'data' => array_values($chart_data),
                                'minBars' => 0,
                                'maxBars' => 12,
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <!-- Interval: Yearly -->
        <?php
        $interval = 'yearly';
        $chart_data = \common\modules\shop\models\ShopOrder::getChartDataInterval($interval);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Orders</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\shop\models\ShopOrder::find()->where(['status' => 'active'])->count() ?></span>
                                <span>Orders</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data) ?></span>
                                <span class="text-muted">Years</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsBar::widget([
                                'id' => 'ChartJsBarOrders' . ucfirst($interval),
                                'label' => 'Orders',
                                'labels' => array_keys($chart_data),
                                'data' => array_values($chart_data),
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>

    <div class="row">
        <!-- Interval: Last 30 Days -->
        <?php
        $interval = 'daily';
        $where = ['between', 'created_at', date('Y-m-d', strtotime('today - 31 days')), date('Y-m-d', strtotime('tomorrow'))];
        $chart_data = \common\modules\shop\models\ShopOrder::getChartDataInterval($interval, true, ['SUM(`amount`) AS `amount`'], $where);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Orders <small>(Last 30 Days)</small></h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\shop\models\ShopOrder::find()->where($where)->andWhere(['status' => 'active'])->count() ?></span>
                                <span>Orders</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-center">
                                <span class="text-bold text-lg"><i class="fas fa-dollar-sign"></i> <?= array_sum($chart_data['amount']) ?></span>
                                <span class="text-muted">Amount</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data['created_at']) ?></span>
                                <span class="text-muted">Days</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsLineMultiAxis::widget([
                                'id' => 'ChartJsLineMultiAxisOrders' . ucfirst($interval) . 'Last30Days',
                                'label' => ['Orders', 'Amount'],
                                'labels' => $chart_data['created_at'],
                                'data' => [$chart_data['count'], $chart_data['amount']],
                                'minBars' => 0,
                                'maxBars' => 30,
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <!-- Interval: Daily -->
        <?php
        $interval = 'daily';
        $chart_data = \common\modules\shop\models\ShopOrder::getChartDataInterval($interval, true, ['SUM(`amount`) AS `amount`']);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Orders</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\shop\models\ShopOrder::find()->where(['status' => 'active'])->count() ?></span>
                                <span>Orders</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-center">
                                <span class="text-bold text-lg"><i class="fas fa-dollar-sign"></i> <?= array_sum($chart_data['amount']) ?></span>
                                <span class="text-muted">Amount</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data['created_at']) ?></span>
                                <span class="text-muted">Days</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsLineMultiAxis::widget([
                                'id' => 'ChartJsLineMultiAxisOrders' . ucfirst($interval),
                                'label' => ['Orders', 'Amount'],
                                'labels' => $chart_data['created_at'],
                                'data' => [$chart_data['count'], $chart_data['amount']],
                                'minBars' => 0,
                                'maxBars' => 30,
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <!-- Interval: Monthly -->
        <?php
        $interval = 'monthly';
        $chart_data = \common\modules\shop\models\ShopOrder::getChartDataInterval($interval, true, ['SUM(`amount`) AS `amount`']);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Orders</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\shop\models\ShopOrder::find()->where(['status' => 'active'])->count() ?></span>
                                <span>Orders</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-center">
                                <span class="text-bold text-lg"><i class="fas fa-dollar-sign"></i> <?= array_sum($chart_data['amount']) ?></span>
                                <span class="text-muted">Amount</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data['created_at']) ?></span>
                                <span class="text-muted">Months</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsLineMultiAxis::widget([
                                'id' => 'ChartJsLineMultiAxisOrders' . ucfirst($interval),
                                'label' => ['Orders', 'Amount'],
                                'labels' => $chart_data['created_at'],
                                'data' => [$chart_data['count'], $chart_data['amount']],
                                'minBars' => 0,
                                'maxBars' => 12,
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <!-- Interval: Yearly -->
        <?php
        $interval = 'yearly';
        $chart_data = \common\modules\shop\models\ShopOrder::getChartDataInterval($interval, true, ['SUM(`amount`) AS `amount`']);
        ?>

        <?php if (!empty($chart_data)) { ?>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header border-0">
                        <div class="d-flex justify-content-between">
                            <h3 class="card-title"><?= ucfirst($interval) ?> Orders</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex">
                            <p class="d-flex flex-column">
                                <span class="text-bold text-lg"><?= \common\modules\shop\models\ShopOrder::find()->where(['status' => 'active'])->count() ?></span>
                                <span>Orders</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-center">
                                <span class="text-bold text-lg"><i class="fas fa-dollar-sign"></i> <?= array_sum($chart_data['amount']) ?></span>
                                <span class="text-muted">Amount</span>
                            </p>
                            <p class="ml-auto d-flex flex-column text-right">
                                <span class="text-bold text-lg"><?= count($chart_data['created_at']) ?></span>
                                <span class="text-muted">Years</span>
                            </p>
                        </div>

                        <div class="position-relative mb-4">
                            <?= \common\widgets\ChartJsLineMultiAxis::widget([
                                'id' => 'ChartJsLineMultiAxisOrders' . ucfirst($interval),
                                'label' => ['Orders', 'Amount'],
                                'labels' => $chart_data['created_at'],
                                'data' => [$chart_data['count'], $chart_data['amount']],
                                'minBars' => 0,
                                'maxBars' => 12,
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
</div>
