<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\shop\models\ShopOrderSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Orders';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid shop-order-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Order', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            ['attribute' => 'id', 'label' => 'Order ID', 'value' => 'id'],
                            ['attribute' => 'email', 'label' => 'Email', 'value' => 'user.email'],
                            'first_name',
                            'last_name',
                            ['attribute' => 'orderStatus', 'label' => 'Order Status', 'value' => 'orderStatus.name'],
                            'amount',
                            'invoice_number',
                            'credit_note_number',
                            'order_date',
                            // 'voucher_id',
                            // 'amount',
                            // 'exchange_rate',
                            // 'invoice_number',
                            // 'credit_note_number',
                            // 'session_id',
                            // 'order_date',
                            // 'site_id',
                            // 'metadata:ntext',
                            // 'created_by',
                            // 'updated_by',
                            // 'created_at',
                            // 'updated_at',
                            // 'status',
                            
                            ['class' => 'yii\grid\ActionColumn'],

                            [
                                'class' => 'yii\grid\ActionColumn', 
                                'template' => '{send-order-confirmation}', 
                                'buttons' => [
                                    'send-order-confirmation' => function ($url, $model, $key) {
                                        return Html::a('<span class="fa fa-envelope"></span>', \yii\helpers\Url::toRoute(['/shop/order/send-order-confirmation', 'order_id' => $model['id']]), ['title' => 'Send Order Confirmation', 'class' => '', 'data-pjax' => '0', 'target' => '_blank']);
                                    },
                                ],
                            ],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>
