<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

use common\modules\assetManager\widgets\FileInput;
use common\modules\assetManager\models\AssetManager;

/* @var $this yii\web\View */
/* @var $model common\modules\shop\models\ShopProduct */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<style>.preview-img img {max-height: 100%;}</style>

<div class="shop-product-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'code')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'subcategory_id')->dropDownList(\common\modules\shop\models\ShopSubcategory::getAll($k = 'id', $v = 'name', $eav = true, $entity_class = 'subcategory', $attribute_class = 'name'), ['prompt' => 'Select Subcategory'])->label('Subcategory') ?>

    <?= $this->render('@common/views/_form-eav', [
        'data' => $data,
        'entity_name' => 'product',
        'modelCoreLanguage' => $modelCoreLanguage,
    ]) ?>

    <div class="row">
        <div class="col-md-4">
			<?php 
			$tmpPreviewImage = '';

			if (isset($model->featured_image) && !empty($model->featured_image)) {
				$tmpPreviewImage = '<div class="preview-img" style="height: 220px;"><img src="' . AssetManager::getAssetUrl($model->featured_image) . '" alt="' . AssetManager::getAttr(['alt'], ['id' => $model->featured_image, 'status' => 'active']) . '" class="well"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
			} else {
				$tmpPreviewImage = '<div class="preview-img" style="height: 220px;"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>';
			}
			?>
			
			<?= $form->field($model, 'featured_image')->widget(FileInput::className(), [
				'buttonTag' => 'button',
				'buttonName' => 'Browse',
				'buttonOptions' => ['class' => 'btn btn-primary'],
				'options' => ['class' => 'form-control disabled', 'readonly' => 'readonly'],
				// Widget template
				'template' => $tmpPreviewImage,
				// Optional, if set, only this image can be selected by user
				'thumb' => 'original',
				// Optional, if set, in container will be inserted selected image
				'imageContainer' => '.preview-img',
				// Default to FileInput::DATA_URL. This data will be inserted in input field
				'pasteData' => FileInput::DATA_ID,
				'frameSrc' => ['/asset-manager/asset/asset-manager'],
				// JavaScript function, which will be called before insert file data to input.
				// Argument data contains file data.
				// data example: [alt: "Ведьма с кошкой", description: "123", url: "/uploads/2014/12/vedma-100x100.jpeg", id: "45"]
				'callbackBeforeInsert' => 'function(e, data) {
					console.log(data);
				}',
			]); ?>
		</div>

		<?php
        $tmpPreviewImage = array();
        $counter = -1;
        ?>

        <?php foreach ($modelProductImage as $productImageKey => $productImageValue): ?>
            <?php $counter++; ?>

            <div class="col-md-4">
                <?php
                if (isset($productImageValue->asset_id) && !empty($productImageValue->asset_id)) {
                    $tmpPreviewImage[$counter] = '<div class="preview-img" style="height: 220px;"><img src="' . AssetManager::getAssetUrl($productImageValue->asset_id) . '" alt="' . AssetManager::getAttr(['alt'], ['id' => $productImageValue->asset_id, 'status' => 'active']) . '" class="well"></div><div class="input-group">{input}<span class="input-group-btn">{button}{reset-button}</span></div>';
                } else {
                    $tmpPreviewImage[$counter] = '<div class="preview-img" style="height: 220px;"></div><div class="input-group">{input}<span class="input-group-btn">{button}{reset-button}</span></div>';
                }
                ?>

                <?= $form->field($productImageValue, "[{$productImageKey}]asset_id")->widget(FileInput::className(), [
                    'buttonTag' => 'button',
                    'buttonName' => 'Browse',
                    'buttonOptions' => ['class' => 'btn btn-primary'],
                    'options' => ['class' => 'form-control disabled', 'readonly' => 'readonly'],
                    // Widget template
                    'template' => $tmpPreviewImage[$counter],
                    // Optional, if set, only this image can be selected by user
                    'thumb' => 'original',
                    // Optional, if set, in container will be inserted selected image
                    'imageContainer' => '.preview-img',
                    // Default to FileInput::DATA_URL. This data will be inserted in input field
                    'pasteData' => FileInput::DATA_ID,
                    'frameSrc' => ['/asset-manager/asset/asset-manager'],
                    // JavaScript function, which will be called before insert file data to input.
                    // Argument data contains file data.
                    // data example: [alt: "Ведьма с кошкой", description: "123", url: "/uploads/2014/12/vedma-100x100.jpeg", id: "45"]
                    'callbackBeforeInsert' => 'function(e, data) {
                        console.log(data);
                    }',
                ])->label('Product Image #' . ($counter + 1)); ?>
            </div>
        <?php endforeach; ?>

        <?php for ($i = $counter + 1; $i < 5; $i++) { ?>
            <?php $counter++; ?>
            <?php $modelProductImageTmp = new \common\modules\cms\models\CmsEntityAsset(); ?>

            <div class="col-lg-4">
                <?php $tmpPreviewImage[$counter] = '<div class="preview-img" style="height: 220px;"></div><div class="input-group">{input}<span class="input-group-btn">{button}{reset-button}</span></div>'; ?>

                <?= $form->field($modelProductImageTmp, "[{$i}]asset_id")->widget(FileInput::className(), [
                    'buttonTag' => 'button',
                    'buttonName' => 'Browse',
                    'buttonOptions' => ['class' => 'btn btn-primary'],
                    'options' => ['class' => 'form-control disabled', 'readonly' => 'readonly'],
                    // Widget template
                    'template' => $tmpPreviewImage[$counter],
                    // Optional, if set, only this image can be selected by user
                    'thumb' => 'original',
                    // Optional, if set, in container will be inserted selected image
                    'imageContainer' => '.preview-img',
                    // Default to FileInput::DATA_URL. This data will be inserted in input field
                    'pasteData' => FileInput::DATA_ID,
                    'frameSrc' => ['/asset-manager/asset/asset-manager'],
                    // JavaScript function, which will be called before insert file data to input.
                    // Argument data contains file data.
                    // data example: [alt: "Ведьма с кошкой", description: "123", url: "/uploads/2014/12/vedma-100x100.jpeg", id: "45"]
                    'callbackBeforeInsert' => 'function(e, data) {
                        console.log(data);
                    }',
                ])->label('Product Image #' . ($counter + 1)); ?>
            </div>
        <?php } ?>
    </div>

    <?= $form->field($model, 'price')->textInput(['maxlength' => true]) ?>

    <hr>

    <div id="traits-list">
        <?php
        echo '<label class="control-label clearfix" for="trait-product_trait_id">Product Traits</label>';

        $selectedTraitsArr = array();

        foreach ($product_traits as $key => $value) {
            if (isset($value['is_selected']) && $value['is_selected']) {
                array_push($selectedTraitsArr, $key);
            }
        }

        foreach($product_traits as $id => $value) {
            echo '<div class="trait-checkbox-wrap">';

            if (isset($value['is_selected']) && $value['is_selected']) {
                $isdisabled = false;
                $selectedTrait = true;
            } else {
                $isdisabled = true;
                $selectedTrait = false;
            }

            $traitsValueArray = array();
            $selectedTraitValueArray = array();

            if (isset($value['value'])) {
                foreach ($value['value'] as $k => $v) {
                    $traitsValueArray[$k] = $v['name'];

                    if ($v['is_selected']) {
                        array_push($selectedTraitValueArray, $k);
                    }
                } 
            } else {
                $traitsValueArray = array();        
            }
            
            echo Html::checkboxList('Trait[trait]', $selectedTraitsArr, [$id => $value['name']], ['class' => 'trait-checkbox', 'onchange'=> 'setTraitsOption(this, "Trait['.$id.']")']);

            echo \kartik\select2\Select2::widget([
                'name' => 'Trait['.$id.']',
                'value' => $selectedTraitValueArray,    // initial value
                'data' => $traitsValueArray,
                'theme' => \kartik\select2\Select2::THEME_BOOTSTRAP,
                'maintainOrder' => true,
                'toggleAllSettings' => [
                    'selectLabel' => '<i class="glyphicon glyphicon-ok-circle"></i> Select All',
                    'unselectLabel' => '<i class="glyphicon glyphicon-remove-circle"></i> Deselect All',
                    'selectOptions' => ['class' => 'text-success'],
                    'unselectOptions' => ['class' => 'text-danger'],
                ],
                'options' => ['placeholder' => 'Select ' . $value['name'] . ' options', 'multiple' => true, 'class'=> 'traits-options-select'],
                'pluginOptions' => [
                    'tags' => true,
                    'maximumInputLength' => 100,
                    'disabled' => $isdisabled
                ],
            ]);

            echo '</div>';
        }
        ?>
    </div>

    <hr>

    <?= $form->field($model, 'available')->dropDownList([ 'yes' => 'Yes', 'no' => 'No', ]) ?>

    <?php 
    if (isset(Yii::$app->params['productMetadata']) && !empty(Yii::$app->params['productMetadata'])) {
        $tmpData = '';
        $productMetadata = array();

        if (!empty($model->metadata)) {
            $productMetadata = \common\modules\core\components\Globals::getArray($model->metadata);           
        }
    ?>
        <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
			<?php 
			
            foreach(Yii::$app->params['productMetadata'] as $field => $detailsArr) {
                $is_true = false;

                if (array_key_exists('type', $detailsArr)) {
                    if ($detailsArr['mode'] == 'required') {
                        $is_true = true;
                    }
            ?>
                    <div class="form-group">
                        <label for="product-name_value_<?= $field ?>"><?= \yii\helpers\Inflector::titleize(ucfirst($field), true)  ?></label>

                        <?php 
                        $tmpData = isset($productMetadata[$field]) ? $productMetadata[$field] : '';

                        switch ($detailsArr['type']) {
                            case 'input_text':
                                echo Html::input('text', 'ShopProductMetadata[' . $field . ']', isset($tmpData) ? $tmpData : '', ['class' => 'form-control','required'=>$is_true]);                        
                                break;

                            case 'wysiwyg': 
                                echo \dosamigos\tinymce\TinyMce::widget([
                                    'name' => 'ShopProductMetadata[' . $field . ']]',
                                    'value' => isset($tmpData) ? $tmpData : '',
                                    'options' => ['rows' => 3],
                                    'language' => 'en_GB',
                                    'clientOptions' => [
                                        'plugins' => [
                                            "advlist autolink lists link charmap print preview anchor hr",
                                            "searchreplace visualblocks code fullscreen",
                                            "insertdatetime media table contextmenu paste"
                                        ],
                                        'toolbar' => "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image"
                                    ]
                                ]);
                                
                                break;
                            
                            default:
                                echo Html::input('text', 'ShopProductMetadata[' . $field . ']', isset($tmpData) ? $tmpData : '', ['class' => 'form-control']);
                                
                                break;
                        }
                        ?>
                    </div>
			<?php 
				} else { 
			?>
                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="headingOne">
                            <h4 class="panel-title">
                                <a role="button" data-toggle="collapse" data-parent="#accordion" href="#<?= $field ?>" aria-expanded="false" aria-controls="<?= $field ?>">
                                    <strong><?= \yii\helpers\Inflector::titleize(ucfirst($field), true)  ?></strong>
                                </a>
                            </h4>
                        </div>
                        <div id="<?= $field ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                            <div class="panel-body">
                                <?php
                                if (is_array($detailsArr)) {
                                    foreach ($detailsArr as $keyField => $valueDetailsArr) {
                                        if ($valueDetailsArr['mode'] == 'required') {
                                            $is_true = true;
                                        }
                                ?>                                   
                                        <div class="form-group">
                                            <label for="product-name_value_<?= $keyField ?>"><?= \yii\helpers\Inflector::titleize(ucfirst($keyField), true)  ?></label>
											
                                            <?php 
                                            $tmpData = isset($productMetadata[$field][$keyField]) ? $productMetadata[$field][$keyField] : '';
											
                                            switch ($valueDetailsArr['type']) {
                                                case 'input_text':
                                                    echo Html::input('text', 'ShopProductMetadata[' . $field . '][' . $keyField . ']', isset($tmpData) ? $tmpData : '', ['class' => 'form-control','required'=>$is_true]);                        
                                                    break;

                                                case 'wysiwyg': 
                                                    echo \dosamigos\tinymce\TinyMce::widget([
                                                        'name' => 'ShopProductMetadata[' . $field . '][' . $keyField . ']]',
                                                        'value' => isset($tmpData) ? $tmpData : '',
                                                        'options' => ['rows' => 3],
                                                        'language' => 'en_GB',
                                                        'clientOptions' => [
                                                            'plugins' => [
                                                                "advlist autolink lists link charmap print preview anchor hr",
                                                                "searchreplace visualblocks code fullscreen",
                                                                "insertdatetime media table contextmenu paste"
                                                            ],
                                                            'toolbar' => "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image"
                                                        ]
                                                    ]);
                                                    
                                                    break;
                                                
                                                default:
                                                    echo Html::input('text', 'ShopProductMetadata[' . $field . '][' . $keyField . ']', isset($tmpData) ? $tmpData : '', ['class' => 'form-control']);
                                                    
                                                    break;
                                            }
                                            ?>
                                        </div>                                        
                                <?php
                                    }
                                }
                                ?>
                            </div>
                        </div>
                    </div>
					
                    <hr>
            <?php
                }
            } 
            ?>            
        </div>
    <?php
    }
    ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

<script type="text/javascript">
function setTraitsOption(element, name) {
	var checked = $(element).find('input').is(':checked');

	if (checked) {
		$("[name *= '"+name+"']").attr('disabled',false);
	} else {
		$("[name *= '"+name+"']").attr('disabled',true);    // reset values
	}
}
</script>
