<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\shop\models\ShopRefund2Search */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Refund 2s';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid shop-refund2-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Refund 2', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            ['attribute' => 'id', 'label' => 'Refund 2 ID', 'value' => 'id'],
                            'email:email',
                            'phone',
                            'card_last_digits',
                            'domain',
                            'transaction_id',
                            // 'reason:ntext',
                            // 'initiated_by',
                            // 'ip_address',
                            // 'approved',
                            // 'funnel',
                            // 'created_by',
                            // 'updated_by',
                            // 'created_at',
                            // 'updated_at',

                            ['class' => 'hail812\adminlte3\yii\grid\ActionColumn'],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>