<?php

namespace common\modules\site\controllers\frontend;

use Yii;

use common\modules\user\models\User;
use common\modules\shop\models\ShopOrder;

class PingController extends \yii\web\Controller
{
	/**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => \yii\filters\AccessControl::className(),
                'only' => ['index'],
                'rules' => [
                    [
                        'actions' => [],
                        'allow' => true,
                        'roles' => ['?'],
                    ],
                    [
                        'actions' => ['index'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                    [
                        'actions' => [],
                        'allow' => true,
                        'roles' => ['?', '@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => \yii\filters\VerbFilter::className(),
                'actions' => [],
            ],
        ];
    }

    public function actionIndex($auth = '')
    {
        if (!Yii::$app->user->isGuest) {
            $modelShopOrder = ShopOrder::find()->where(['user_id' => Yii::$app->user->identity->id, 'status' => 'active'])->one();
        } else {
            if (!User::find()->where(['auth_key' => $auth, 'status' => 'active'])->exists()) {
                throw new \yii\web\HttpException(401, 'Authentication key not found.');
            }

            $modelShopOrder = ShopOrder::find()->where(['user_id' => User::getAttr(['id'], ['auth_key' => $auth]), 'status' => 'active'])->one();
        }

        return $this->render('index', [
            'modelShopOrder' => $modelShopOrder, 
            'auth' => $auth, 
        ]);
    }
}
