<?php

namespace common\modules\site\controllers\frontend;

use Yii;

class UrlController extends \yii\web\Controller
{
	/**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => \yii\filters\AccessControl::className(),
                'only' => ['track'],
                'rules' => [
                    [
                        'actions' => [],
                        'allow' => true,
                        'roles' => ['?'],
                    ],
                    [
                        'actions' => ['track'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                    [
                        'actions' => ['track'],
                        'allow' => true,
                        'roles' => ['?', '@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => \yii\filters\VerbFilter::className(),
                'actions' => [],
            ],
        ];
    }

    public function actionTrack($uuid = '')
    {
        $current_url = (empty($_SERVER['HTTPS']) ? 'http' : 'https') . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
        $redirect_url = substr($current_url, 0, strpos($current_url, "/qr/$uuid"));

        return $this->redirect($redirect_url);
    }
}
