<?php

namespace common\modules\site\models;

use Yii;
use yii\base\Model;
use common\modules\site\components\Email;
use common\modules\core\models\CoreSite;

/**
 * FormNewsletters is the model behind the contact form.
 */
class FormNewsletters extends Model
{
    public $name;
    public $email;
    public $phone;
    // public $reCaptcha;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            // name, email, subject and body are required
            [['name', 'email'], 'required'],
            // email has to be a valid email address
            ['email', 'email'],
            // [['reCaptcha'], \himiklab\yii2\recaptcha\ReCaptchaValidator::className()],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'reCaptcha' => 'CAPTCHA',
        ];
    }

    public function subscribe()
    {
        if (!$this->validate()) {
            return false;
        }

        $modelSiteNewsletters = new SiteNewsletters();

        if (SiteNewsletters::find()->where(['email' => Yii::$app->request->post("FormNewsletters")['email'], 'status' => 'active'])->exists()) {
            $modelSiteNewsletters = SiteNewsletters::find()->where(['email' => Yii::$app->request->post("FormNewsletters")['email'], 'status' => 'active'])->one();
        }
        
        $modelSiteNewsletters->user_id = !Yii::$app->user->isGuest ? Yii::$app->user->identity->id : NULL;
        $modelSiteNewsletters->name = isset(Yii::$app->request->post("FormNewsletters")['name']) ? Yii::$app->request->post("FormNewsletters")['name'] : '';
        $modelSiteNewsletters->email = isset(Yii::$app->request->post("FormNewsletters")['email']) ? Yii::$app->request->post("FormNewsletters")['email'] : '';
        $modelSiteNewsletters->phone = isset(Yii::$app->request->post("FormNewsletters")['phone']) ? Yii::$app->request->post("FormNewsletters")['phone'] : '';
        $modelSiteNewsletters->metadata = isset(Yii::$app->request->post("FormNewsletters")['metadata']) ? Yii::$app->request->post("FormNewsletters")['metadata'] : '';
        $modelSiteNewsletters->site_id = CoreSite::getAttr(['id'], ['code' => (isset(Yii::$app->params['site_code']) ? Yii::$app->params['site_code'] : 'genesys')]);
        $modelSiteNewsletters->ip_address = Yii::$app->request->getUserIP();;
        $modelSiteNewsletters->created_by = !Yii::$app->user->isGuest ? Yii::$app->user->identity->id : 1;
        $modelSiteNewsletters->updated_by = !Yii::$app->user->isGuest ? Yii::$app->user->identity->id : 1;

        if ($modelSiteNewsletters->validate()) {
            $modelSiteNewsletters->save();

            Yii::$app->session->setFlash('success', "Newsletters subscribed successfully.");

            return true;
        }

        Yii::$app->session->setFlash('error', "Newsletters subscription failed.");

        return false;
    }
}
