<?php

namespace common\modules\site\models;

use Yii;
use yii\base\Model;

/**
 * FormReview is the model behind the contact form.
 */
class FormReview extends Model
{
    public $name;
    public $email;
    public $bio;
    public $rating;
    public $review;
    public $entity_class_id;
    public $entity_id;
    public $reCaptcha;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            // name, email, bio and review are required
            [['name', 'email', 'rating'], 'required'],
            [['entity_class_id', 'entity_id'], 'integer'],
            [['review'], 'string'],
            [['bio'], 'string', 'max' => 255],
            // email has to be a valid email address
            ['email', 'email'],
            [['reCaptcha'], \himiklab\yii2\recaptcha\ReCaptchaValidator::className()],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'reCaptcha' => 'CAPTCHA',
        ];
    }
}
