<?php

use yii\bootstrap4\Html;

use common\modules\user\components\GenesysUser;

?>

<!-- Control Sidebar -->
<aside class="control-sidebar control-sidebar-dark">
    <?php
    $items = [
        ['label' => 'Logs', 'header' => true],
        [
            'label' => 'Mails',
            'icon' => 'fal fa-envelope',
            'url' => ['/site/mail/index'],
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'site/mail'),
        ],
        [
            'label' => 'Cart Logs',
            'icon' => 'fal fa-shopping-cart',
            'url' => ['/shop/cart/index'],
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/cart'),
        ],
        [
            'label' => 'Wishlist',
            'icon' => 'fal fa-heart',
            'url' => ['/shop/wishlist/index'],
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/wishlist'),
        ],
        [
            'label' => 'Payment Logs',
            'icon' => 'fal fa-money-bill',
            'url' => '#',
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'payment/logs'),
            'items' => [
                ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'circle', 'url' => ['/payment/logs/index'],],
                ['label' => 'Create', 'iconStyle' => 'far', 'icon' => 'circle', 'url' => ['/payment/logs/create'],],
            ],
        ],
        [
            'label' => 'Login Logs',
            'icon' => 'fal fa-sign-in-alt',
            'url' => ['/user/logs-login/index'],
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'user/logs-login'),
        ],
        [
            'label' => 'Visitors',
            'icon' => 'fal fa-users',
            'url' => '#',
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'logs/visitor'),
            'items' => [
                ['label' => 'View', 'iconStyle' => 'far', 'icon' => 'circle', 'url' => ['/logs/visitor/index'],],
                ['label' => 'Charts', 'iconStyle' => 'far', 'icon' => 'circle', 'url' => ['/logs/visitor/chart'],],
            ],
        ],
        [
            'label' => 'Inventory Logs',
            'icon' => 'fas fa-boxes',
            'url' => ['/inventory/log/index'],
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/log'),
        ],
        [
            'label' => 'Accounting Logs',
            'icon' => 'fas fa-coins',
            'url' => ['/accounting/log/index'],
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/log'),
        ],

        ['label' => 'System', 'header' => true],
        [
            'label' => 'System Logs',
            'icon' => 'fal fa-cogs',
            'url' => ['/core/log/index'],
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'core/logs'),
        ],
        [
            'label' => 'Rewrite Rules',
            'icon' => 'fal fa-file-alt',
            'url' => ['/rewrite-rules/index', 'site_code' => Yii::$app->params['site_code']],
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'rewrite-rules/*'),
        ],
        [
            'label' => 'Sitemap',
            'icon' => 'fal fa-sitemap',
            'url' => ['/sitemap/index'],
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'sitemap/*'),
        ],
        [
            'label' => 'Maintenance Mode',
            'icon' => 'fal fa-tools',
            'url' => '#',
            'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'maintenance/*'),
            'items' => [
                ['label' => 'Enable', 'iconStyle' => 'far', 'icon' => 'circle', 'url' => ['/maintenance/enable'],],
                ['label' => 'Disable', 'iconStyle' => 'far', 'icon' => 'circle', 'url' => ['/maintenance/disable'],],
            ],
        ],
    ];

    echo \hail812\adminlte\widgets\Menu::widget([
        'items' => $items
    ]);
    ?>
</aside>
<!-- /.control-sidebar -->
