<?php

/* @var $this \yii\web\View */
/* @var $content string */

use yii\bootstrap4\Html;
use yii\helpers\Url;
use common\modules\user\models\UserProfile;
use common\modules\user\models\UserRole;
use common\modules\assetManager\models\AssetManager;

?>

<header class="main-header">

    <?= Html::a('<span class="logo-mini">APP</span><span class="logo-lg">' . Yii::$app->name . '</span>', Yii::$app->homeUrl, ['class' => 'logo']) ?>

    <nav class="navbar navbar-static-top" role="navigation">

        <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
            <span class="sr-only">Toggle navigation</span>
        </a>

        <div class="navbar-custom-menu">
            <ul class="nav navbar-nav">
                <li class="dropdown user user-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <img src="<?= AssetManager::getAssetUrl(UserProfile::getAttr(['avatar'], ['user_id' => Yii::$app->user->identity->id])) ?>" class="user-image" alt="<?= AssetManager::getAssetAlt(UserProfile::getAttr(['avatar'], ['user_id' => Yii::$app->user->identity->id])) ?>">
                        
                        <span class="hidden-xs"><?= UserProfile::getAttr(['first_name'], ['user_id' => Yii::$app->user->identity->id]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => Yii::$app->user->identity->id]) ?></span>
                    </a>
                    <ul class="dropdown-menu">
                        <!-- User image -->
                        <li class="user-header">
                            <img src="<?= AssetManager::getAssetUrl(UserProfile::getAttr(['avatar'], ['user_id' => Yii::$app->user->identity->id])) ?>" class="img-circle" alt="<?= AssetManager::getAssetAlt(UserProfile::getAttr(['avatar'], ['user_id' => Yii::$app->user->identity->id])) ?>">

                            <p>
                                <?= UserProfile::getAttr(['first_name'], ['user_id' => Yii::$app->user->identity->id]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => Yii::$app->user->identity->id]) ?> - <?= ucwords(str_replace('-', ' ', UserRole::getAttr(['name'], ['id' => Yii::$app->user->identity->role_id]))) ?>
                                <small><?= Yii::$app->user->identity->email ?></small>
                            </p>
                        </li>
                        <!-- Menu Body -->
                        <!-- <li class="user-body">
                            <div class="col-xs-4 text-center">
                                <a href="#">Followers</a>
                            </div>
                            <div class="col-xs-4 text-center">
                                <a href="#">Sales</a>
                            </div>
                            <div class="col-xs-4 text-center">
                                <a href="#">Friends</a>
                            </div>
                        </li> -->
                        <!-- Menu Footer-->
                        <li class="user-footer">
                            <div class="pull-left">
                                <a href="#" class="btn btn-default btn-flat">Profile</a>
                            </div>
                            <div class="pull-right">
                                <?= Html::a(
                                    'Sign out',
                                    ['/site/logout'],
                                    ['data-method' => 'post', 'class' => 'btn btn-default btn-flat']
                                ) ?>
                            </div>
                        </li>
                    </ul>
                </li>

                <!-- User Account: style can be found in dropdown.less -->
                <!-- <li>
                    <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
                </li> -->
            </ul>
        </div>
    </nav>
</header>
