<?php

use yii\helpers\Url;
use common\modules\user\components\GenesysUser;
use common\modules\user\models\UserProfile;
use common\modules\user\models\UserRole;
use common\modules\assetManager\models\AssetManager;

?>

<aside class="main-sidebar">
    <section class="sidebar">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="pull-left image">
                <img src="<?= AssetManager::getAssetUrl(UserProfile::getAttr(['avatar'], ['user_id' => Yii::$app->user->identity->id])) ?>" class="img-circle" alt="<?= AssetManager::getAssetAlt(UserProfile::getAttr(['avatar'], ['user_id' => Yii::$app->user->identity->id])) ?>"/>
            </div>
            <div class="pull-left info">
                <p><?= UserProfile::getAttr(['first_name'], ['user_id' => Yii::$app->user->identity->id]) . ' ' . UserProfile::getAttr(['last_name'], ['user_id' => Yii::$app->user->identity->id]) ?></p>

                <a href="#"><i class="circle text-success"></i> <?= UserRole::getAttr(['name'], ['id' => Yii::$app->user->identity->role_id]) ?></a>
            </div>
        </div>

        <?php 
        $items = yii\helpers\ArrayHelper::merge(
            require Yii::getAlias('@common') . '/modules/site/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/user/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/assetManager/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/cms/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/shop/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/logs/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/mailer/views/backend/layouts/_menu.php', 
            require Yii::getAlias('@common') . '/modules/lms/views/backend/layouts/_menu.php', 
            $items
        );
        ?>

        <?= dmstr\widgets\Menu::widget([
            'options' => ['class' => 'sidebar-menu tree', 'data-widget'=> 'tree'], 
            'items' => $items, 
        ]) ?>
    </section>
</aside>
