<?php

use yii\bootstrap4\Html;
use yii\helpers\Url;
use common\modules\user\components\GenesysUser;

$items = [
    [
        'label' => 'QMS',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'core/entity-class'),
        'items' => [
            [
                'label' => 'Site',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-site'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-site/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-site/create'],],
                ],
            ],
            [
                'label' => 'Product Stage',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-product-stage'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-product-stage/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-product-stage/create'],],
                ],
            ],
            [
                'label' => 'Resource Type',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-resource-type'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-resource-type/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-resource-type/create'],],
                ],
            ],
            [
                'label' => 'Asset Type',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-asset-type'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-asset-type/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-asset-type/create'],],
                ],
            ],
            [
                'label' => 'Management System Type',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-management-system-type'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-management-system-type/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-management-system-type/create'],],
                ],
            ],
            [
                'label' => 'Holiday List',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-holiday-list'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-holiday-list/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-holiday-list/create'],],
                ],
            ],
            [
                'label' => 'Off Day',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-off-day'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-off-day/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-off-day/create'],],
                ],
            ],
            [
                'label' => 'Country',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-country'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-country/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-country/create'],],
                ],
            ],
            [
                'label' => 'Communication Trigger',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-communication-trigger'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-communication-trigger/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-communication-trigger/create'],],
                ],
            ],
            [
                'label' => 'Issue Type',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-issue-type'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-issue-type/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-issue-type/create'],],
                ],
            ],
            [
                'label' => 'Risk and Opportunity Type',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-risk-opportunity-type'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-risk-opportunity-type'],],
                    ['label' => 'Create', 'url' => ['/qms/master-risk-opportunity-type'],],
                ],
            ],
            [
                'label' => 'Risk Category',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-risk-category'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-risk-category'],],
                    ['label' => 'Create', 'url' => ['/qms/master-risk-category'],],
                ],
            ],
            [
                'label' => 'Competence Type',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-competence-type'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-competence-type/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-competence-type/create'],],
                ],
            ],
            [
                'label' => 'Re-evaluation Parameters',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-reevaluation-parameters'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-reevaluation-parameters/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-reevaluation-parameters/create'],],
                ],
            ],
            [
                'label' => 'Product Category',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-product-category'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-product-category/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-product-category/create'],],
                ],
            ],
            [
                'label' => 'Change Type',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-change-type'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-change-type/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-change-type/create'],],
                ],
            ],
            [
                'label' => 'Incoming Material Category',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-incoming-material-category'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-incoming-material-category/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-incoming-material-category/create'],],
                ],
            ],
            [
                'label' => 'Breakdown Category',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-breakdown-category'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-breakdown-category/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-breakdown-category/create'],],
                ],
            ],
            [
                'label' => 'Document Category',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-document-category'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-document-category/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-document-category/create'],],
                ],
            ],
            [
                'label' => 'Non Conformance Cost Type',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-non-conformance-cost-type'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-non-conformance-cost-type/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-non-conformance-cost-type/create'],],
                ],
            ],
            [
                'label' => 'Non Conformance Type',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-non-conformance-type'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-non-conformance-type/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-non-conformance-type/create'],],
                ],
            ],
            [
                'label' => 'Non Conformance Criticality',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-non-conformance-criticality'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-non-conformance-criticality/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-non-conformance-criticality/create'],],
                ],
            ],
            [
                'label' => 'Compliance Obligation Proof',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-compliance-obligation-proof'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-compliance-obligation-proof/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-compliance-obligation-proof/create'],],
                ],
            ],
            [
                'label' => 'Compliance Obligation Type',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-compliance-obligation-type'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-compliance-obligation-type/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-compliance-obligation-type/create'],],
                ],
            ],
            [
                'label' => 'Compliance Obligation Current Status',
                'url' => '#',
                'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'master-compliance-obligation-current-status'),
                'items' => [
                    ['label' => 'View', 'url' => ['/qms/master-compliance-obligation-current-status/index'],],
                    ['label' => 'Create', 'url' => ['/qms/master-compliance-obligation-current-status/create'],],
                ],
            ],
        ],
    ],
    [
        'label' => 'Entities',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'core/entity-class'),
        'items' => [
            ['label' => 'View', 'url' => ['/core/entity-class/index'],],
            ['label' => 'Create', 'url' => ['/core/entity-class/create'],],
        ],
    ],
    [
        'label' => 'Attributes',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'core/attribute-class'),
        'items' => [
            ['label' => 'View', 'url' => ['/core/attribute-class/index'],],
            ['label' => 'Create', 'url' => ['/core/attribute-class/create'],],
        ],
    ],
    [
        'label' => 'Entity Attributes',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'core/entity-attribute'),
        'items' => [
            ['label' => 'View', 'url' => ['/core/entity-attribute/index'],],
            ['label' => 'Create', 'url' => ['/core/entity-attribute/create'],],
        ],
    ],
    [
        'label' => 'Languages',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'core/language'),
        'items' => [
            ['label' => 'View', 'url' => ['/core/language/index'],],
            ['label' => 'Create', 'url' => ['/core/language/create'],],
        ],
    ],
    [
        'label' => 'Sites',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'core/site'),
        'items' => [
            ['label' => 'View', 'url' => ['/core/site/index'],],
            ['label' => 'Create', 'url' => ['/core/site/create'],],
        ],
    ],
    [
        'label' => 'Keywords',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'core/keyword'),
        'items' => [
            ['label' => 'View', 'url' => ['/core/keyword/index'],],
            ['label' => 'Create', 'url' => ['/core/keyword/create'],],
        ],
    ],
    [
        'label' => 'Roles',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'user/role'),
        'items' => [
            ['label' => 'View', 'url' => ['/user/role/index'],],
            ['label' => 'Create', 'url' => ['/user/role/create'],],
        ],
    ],
    [
        'label' => 'Translations',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'site/translation'),
        'items' => [
            ['label' => 'View', 'url' => ['/site/translation/index'],],
            ['label' => 'Create', 'url' => ['/site/translation/create'],],
        ],
    ],
    [
        'label' => 'Categories',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/category'),
        'items' => [
            ['label' => 'View', 'url' => ['/shop/category/index'],],
            ['label' => 'Create', 'url' => ['/shop/category/create'],],
        ],
    ],
    [
        'label' => 'Subcategories',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/subcategory'),
        'items' => [
            ['label' => 'View', 'url' => ['/shop/subcategory/index'],],
            ['label' => 'Create', 'url' => ['/shop/subcategory/create'],],
        ],
    ],
    [
        'label' => 'Currencies',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/currency'),
        'items' => [
            ['label' => 'View', 'url' => ['/accounting/currency/index'],],
            ['label' => 'Create', 'url' => ['/accounting/currency/create'],],
        ],
    ],
    [
        'label' => 'Taxes',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/tax'),
        'items' => [
            ['label' => 'View', 'url' => ['/accounting/tax/index'],],
            ['label' => 'Create', 'url' => ['/accounting/tax/create'],],
        ],
    ],
    [
        'label' => 'Traits',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/trait'),
        'items' => [
            ['label' => 'View', 'url' => ['/shop/trait/index'],],
            ['label' => 'Create', 'url' => ['/shop/trait/create'],],
        ],
    ],
    [
        'label' => 'Trait Values',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/trait-value'),
        'items' => [
            ['label' => 'View', 'url' => ['/shop/trait-value/index'],],
            ['label' => 'Create', 'url' => ['/shop/trait-value/create'],],
        ],
    ],
    [
        'label' => 'Order Statuses',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'shop/order-status'),
        'items' => [
            ['label' => 'View', 'url' => ['/shop/order-status/index'],],
            ['label' => 'Create', 'url' => ['/shop/order-status/create'],],
        ],
    ],
    [
        'label' => 'Pymt. Methods',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'payment/method'),
        'items' => [
            ['label' => 'View', 'url' => ['/payment/method/index'],],
            ['label' => 'Create', 'url' => ['/payment/method/create'],],
        ],
    ],
    [
        'label' => 'Business Types',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/business-type'),
        'items' => [
            ['label' => 'View', 'url' => ['/accounting/business-type/index'],],
            ['label' => 'Create', 'url' => ['/accounting/business-type/create'],],
        ],
    ],
    [
        'label' => 'Document Types',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'accounting/document-type'),
        'items' => [
            ['label' => 'View', 'url' => ['/accounting/document-type/index'],],
            ['label' => 'Create', 'url' => ['/accounting/document-type/create'],],
        ],
    ],
    [
        'label' => 'Units',
        'url' => '#',
        'visible' => GenesysUser::isAllowed(Yii::$app->user->identity->role_id, 'inventory/unit'),
        'items' => [
            ['label' => 'View', 'url' => ['/inventory/unit/index'],],
            ['label' => 'Create', 'url' => ['/inventory/unit/create'],],
        ],
    ],
];

?>

<!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <!-- <li class="nav-item d-none d-sm-inline-block">
            <a href="<?=\yii\helpers\Url::home()?>" class="nav-link">Home</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Contact</a>
        </li> -->
        <li class="nav-item dropdown">
            <a id="dropdownSubMenu1" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="nav-link dropdown-toggle">Master Data</a>

            <ul aria-labelledby="dropdownSubMenu1" class="dropdown-menu border-0 shadow">
                <?php foreach ($items as $item_k => $item_v) { ?>
                    <li class="dropdown-submenu dropdown-hover">
                        <a id="dropdownSubMenu<?= $item_k ?>" href="<?= $item_v['url'] ?>" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="dropdown-item dropdown-toggle"><?= $item_v['label'] ?></a>
                        
                        <ul aria-labelledby="dropdownSubMenu<?= $item_k ?>" class="dropdown-menu border-0 shadow">
                            <?php foreach ($item_v['items'] as $_item_k => $_item_v) { ?>
                                <li <?= (isset($_item_v['items']) && is_array($_item_v['items'])) ? 'class="dropdown-submenu dropdown-hover"' : ''; ?>>
                                    <?php if (isset($_item_v['items']) && is_array($_item_v['items'])) { ?>
                                        <a id="dropdownSubMenu<?= $_item_k ?>" href="<?= $_item_v['url'] ?>" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="dropdown-item dropdown-toggle"><?= $_item_v['label'] ?></a>

                                        <ul aria-labelledby="dropdownSubMenu<?= $_item_k ?>" class="dropdown-menu border-0 shadow">
                                            <?php foreach ($_item_v['items'] as $__item_k => $__item_v) { ?>
                                                <li>
                                                    <a tabindex="-1" href="<?= Url::toRoute($__item_v['url']) ?>" class="dropdown-item"><?= $__item_v['label'] ?></a>
                                                </li>
                                            <?php } ?>
                                        </ul>
                                    <?php } else { ?>
                                        <a tabindex="-1" href="<?= Url::toRoute($_item_v['url']) ?>" class="dropdown-item"><?= $_item_v['label'] ?></a>
                                    <?php } ?>
                                </li>
                            <?php } ?>
                        </ul>
                    </li>
                <?php } ?>
            </ul>
        </li>
    </ul>

    <!-- SEARCH FORM -->
    <!-- <form class="form-inline ml-3">
        <div class="input-group input-group-sm">
            <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
            <div class="input-group-append">
                <button class="btn btn-navbar" type="submit">
                    <i class="fas fa-search"></i>
                </button>
            </div>
        </div>
    </form> -->

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
        <!-- Navbar Search -->
        <!-- <li class="nav-item">
            <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                <i class="fas fa-search"></i>
            </a>
            <div class="navbar-search-block">
                <form class="form-inline">
                    <div class="input-group input-group-sm">
                        <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
                        <div class="input-group-append">
                            <button class="btn btn-navbar" type="submit">
                                <i class="fas fa-search"></i>
                            </button>
                            <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                <i class="fas fa-times"></i>
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </li> -->

        <!-- Messages Dropdown Menu -->
        <!-- <li class="nav-item dropdown">
            <a class="nav-link" data-toggle="dropdown" href="#">
                <i class="far fa-comments"></i>
                <span class="badge badge-danger navbar-badge">3</span>
            </a>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                <a href="#" class="dropdown-item"> -->
                    <!-- Message Start -->
                    <!-- <div class="media">
                        <img src="<?=$assetDir?>/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle">
                        <div class="media-body">
                            <h3 class="dropdown-item-title">
                                Brad Diesel
                                <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                            </h3>
                            <p class="text-sm">Call me whenever you can...</p>
                            <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                        </div>
                    </div> -->
                    <!-- Message End -->
                <!-- </a>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item"> -->
                    <!-- Message Start -->
                    <!-- <div class="media">
                        <img src="<?=$assetDir?>/img/user8-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
                        <div class="media-body">
                            <h3 class="dropdown-item-title">
                                John Pierce
                                <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                            </h3>
                            <p class="text-sm">I got your message bro</p>
                            <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                        </div>
                    </div> -->
                    <!-- Message End -->
                <!-- </a>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item"> -->
                    <!-- Message Start -->
                    <!-- <div class="media">
                        <img src="<?=$assetDir?>/img/user3-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
                        <div class="media-body">
                            <h3 class="dropdown-item-title">
                                Nora Silvester
                                <span class="float-right text-sm text-warning"><i class="fas fa-star"></i></span>
                            </h3>
                            <p class="text-sm">The subject goes here</p>
                            <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                        </div>
                    </div> -->
                    <!-- Message End -->
                <!-- </a>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
            </div>
        </li> -->
        
        <!-- Notifications Dropdown Menu -->
        <?= \common\widgets\NotificationsNavbar::widget([
            'userId' => !Yii::$app->user->isGuest ? Yii::$app->user->identity->id : 1
        ]) ?>

        <li class="nav-item">
            <?= Html::a('<i class="fas fa-sign-out-alt"></i>', ['/site/site/logout'], ['data-method' => 'post', 'class' => 'nav-link']) ?>
        </li>
        <li class="nav-item">
            <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                <i class="fas fa-th-large"></i>
            </a>
        </li>
    </ul>
</nav>
<!-- /.navbar -->
