<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\site\models\SiteNotificationSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Notifications';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid site-notification-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?php //= Html::a('Create Notification', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            ['attribute' => 'id', 'label' => 'Notification ID', 'value' => 'id'],
                            'channel',
                            'class',
                            'key',
                            'message:ntext',
                            // 'route:ntext',
                            [
                                'attribute' => 'is_read',
                                'filter' => ['yes' => 'Yes', 'no' => 'No'],
                            ],
                            [
                                'attribute' => 'user_id',
                                'label' => 'User',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\user\models\User::getAttr(['email'], ['id' => $model['user_id']]);
                                },
                            ],
                            [
                                'attribute' => 'entity_class_id',
                                'label' => 'Entity Class',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\core\models\CoreEntityClass::getAttr(['name'], ['id' => $model['entity_class_id']]);
                                },
                                'filter' => \common\modules\core\models\CoreEntityClass::getAll($k = 'id', $v = 'name'),
                            ],
                            'entity_id',
                            'app_alias',
                            [
                                'attribute' => 'site_id',
                                'label' => 'Site',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\core\models\CoreSite::getAttr(['name'], ['id' => $model['site_id']]);
                                },
                                'filter' => \common\modules\core\models\CoreSite::getAll($k = 'id', $v = 'name'),
                            ],
                            //'metadata:ntext',
                            //'created_by',
                            //'updated_by',
                            'created_at',
                            'updated_at',

                            [
                                'class' => 'yii\grid\ActionColumn', 
                                'template' => '{mark-read}', 
                                'buttons' => [
                                    'mark-read' => function ($url, $model, $key) {
                                        return Html::a('<i class="far fa-envelope-open"></i>', \yii\helpers\Url::toRoute(['site/notification/mark-read', 'id' => $model['id']]), ['title' => 'Mark as read']);
                                    },
                                ],
                                'header' => false,
                            ],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>
