<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\site\models\SiteReview */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="site-review-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'user_id')->widget(\kartik\select2\Select2::classname(), [
        'data' => \common\modules\user\models\User::getAll($k = 'id', $v = 'email'),
        'options' => ['placeholder' => 'Select User'],
        'pluginOptions' => [
            'allowClear' => true
        ],
    ])->label('User'); ?>

    <?= $form->field($model, 'bio')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'rating_scale')->textInput(['maxlength' => true, 'value' => Yii::$app->params['rating_scale'], 'readonly' => true]) ?>

    <?= $form->field($model, 'rating')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'review')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'visible')->dropDownList([ 'yes' => 'Yes', 'no' => 'No', ], ['prompt' => 'Select Visibility']) ?>

    <?= $form->field($model, 'entity_class_id')->dropDownList(\common\modules\core\models\CoreEntityClass::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Entity'])->label('Entity') ?>
     
    <?= $form->field($model, 'entity_id')->textInput() ?>

    <?= $form->field($model, 'site_id')->dropDownList(\common\modules\core\models\CoreSite::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Site'])->label('Site') ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
