<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\site\models\SiteReviewSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Reviews';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid site-review-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Review', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            ['attribute' => 'id', 'label' => 'Review ID', 'value' => 'id'],
                            'name',
                            'email:email',
                            [
                                'attribute' => 'user_id',
                                'label' => 'User',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\user\models\UserProfile::getAttr(['first_name'], ['user_id' => $model['user_id']]) . ' ' . \common\modules\user\models\UserProfile::getAttr(['last_name'], ['user_id' => $model['user_id']]);
                                },
                            ],
                            'bio',
                            'rating_scale',
                            'rating',
                            'visible',
                            [
                                'attribute' => 'entity_class_id',
                                'label' => 'Entity',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\core\models\CoreEntityClass::getAttr(['name'], ['id' => $model['entity_class_id']]);
                                },
                                'filter' => \common\modules\core\models\CoreEntityClass::getAll($k = 'id', $v = 'name'),
                            ],
                            'entity_id',
                            [
                                'attribute' => 'site_id',
                                'label' => 'Site',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\core\models\CoreSite::getAttr(['name'], ['id' => $model['site_id']]);
                                },
                                'filter' => \common\modules\core\models\CoreSite::getAll($k = 'id', $v = 'name'),
                            ],
                            // 'review:ntext',
                            // 'ip_address',
                            // 'user_agent:ntext',
                            // 'metadata:ntext',
                            // 'created_by',
                            // 'updated_by',
                            'created_at',
                            'updated_at',
                            // 'status',

                            ['class' => 'hail812\adminlte3\yii\grid\ActionColumn'],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>