<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap4\ActiveForm */
/* @var $model \common\models\LoginGenesys AdminForm */

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

$this->title = 'Sign In';

$fieldOptions1 = [
	'options' => ['class' => 'input-group mb-3'],
	'inputTemplate' => "{input}<div class='input-group-append'><div class='input-group-text'><span class='fas fa-envelope'></span></div></div>"
];

$fieldOptions2 = [
	'options' => ['class' => 'input-group mb-3'],
	'inputTemplate' => "{input}<div class='input-group-append'><div class='input-group-text'><span class='fas fa-lock'></span></div></div>"
];

$app_name = explode(' ', Yii::$app->name);
$app_name_last = $app_name[count($app_name) - 1];

unset($app_name[count($app_name) - 1]);

?>

<!-- /.login-logo -->
<div class="card card-outline card-primary">
	<div class="card-header text-center">
		<p class="h1"><b><?= implode(' ', $app_name) ?></b> <?= $app_name_last ?></p>
	</div>

	<div class="card-body">
		<?php $form = ActiveForm::begin(['id' => 'login-form', 'enableClientValidation' => false]) ?>
			<?= $form->field($model, 'email', $fieldOptions1)->label(false)->textInput(['placeholder' => $model->getAttributeLabel('email')]) ?>
			<?= $form->field($model, 'password', $fieldOptions2)->label(false)->passwordInput(['placeholder' => $model->getAttributeLabel('password')]) ?>

			<div class="row">
				<!-- <div class="col-8">
					<div class="icheck-primary">
						<input type="checkbox" id="remember">
						<label for="remember">Remember Me</label>
					</div>
				</div> -->
				<!-- /.col -->
				<div class="col-12">
					<button type="submit" class="btn btn-primary btn-block">Sign In</button>
				</div>
				<!-- /.col -->
			</div>
		<?php ActiveForm::end(); ?>

		<!-- <p class="mb-1">
			<a href="forgot-password.html">I forgot my password</a>
		</p> -->
	</div>
	<!-- /.card-body -->
</div>
<!-- /.card -->
