<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use kartik\dynagrid\DynaGrid;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\site\models\SiteUrlSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Urls';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid site-url-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?= Html::a('Create Url', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            ['attribute' => 'id', 'label' => 'Url ID', 'value' => 'id'],
                            'name',
                            'uuid',
                            'entity_class_id',
                            'entity_id',
                            'affiliate_id',
                            // 'site_id',
                            // 'redirect_type',
                            // 'redirect_url:url',
                            // 'relative_url:url',
                            // 'absolute_url:url',
                            // 'params',
                            // 'metadata:ntext',
                            // 'created_by',
                            // 'updated_by',
                            // 'created_at',
                            // 'updated_at',
                            // 'status',

                            [
                                'class' => 'hail812\adminlte3\yii\grid\ActionColumn',
                                'template' => '{view} {update} {qr-code} {delete}', 
                                'buttons' => [
                                    'qr-code' => function ($url, $model, $key) {
                                        return Html::a('<span class="fas fa-qrcode"></span>', \yii\helpers\Url::toRoute(['qr-code', 'id' => $model['id']]), ['title' => 'QR Code', 'class' => '', 'data-pjax' => '0', 'target' => '_blank']);
                                    },
                                ],
                            ],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>