<?php

namespace common\modules\user\components;

use Yii;
use yii\base\Component;
use yii\helpers\Inflector;
use common\modules\user\models\UserRole;

class GenesysUser extends Component 
{

	public static function isAllowed($role_id, $perm)
    {
        $role_name = UserRole::getAttr(['name'], ['id' => $role_id]);
        $perm = explode('/', $perm);

        if (!isset($perm[0], $perm[1])) {
            return false;
        }

        if (isset(Yii::$app->params['role'][$role_name]['perms']['only'])) {    // only
            $tmp = preg_grep('/^' . $perm[0] . '\/' . $perm[1] . '/', Yii::$app->params['role'][$role_name]['perms']['only']);

            if (isset($tmp) && is_array($tmp) && !empty($tmp)) {
                return true;
            } else {
                return false;
            }
        } else {    // except
            $tmp = preg_grep('/^' . $perm[0] . '\/' . $perm[1] . '/', Yii::$app->params['role'][$role_name]['perms']['except']);

            if (isset($tmp) && is_array($tmp) && !empty($tmp)) {
                return false;
            } else {
                return true;
            }
        }

        return false;
    }
}
