<?php

namespace common\modules\user\models;

use Yii;
use yii\web\Link;
use yii\web\Linkable;
use yii\db\Exception;
use yii\db\Expression;

use common\modules\core\components\Globals;
use common\modules\core\models\CoreSite;

/**
 * This is the model class for table "{{%user}}".
 *
 * @property int $id
 * @property string $email
 * @property string $password_hash
 * @property string $auth_key
 * @property string $password_reset_token
 * @property string $access_token
 * @property int $role_id
 * @property int $site_id
 * @property string $metadata
 * @property int $created_by
 * @property int $updated_by
 * @property string $created_at
 * @property string $updated_at
 * @property string $status
 *
 * @property AssetManager[] $assetManagers
 * @property AssetManager[] $assetManagers0
 * @property CmsAlbum[] $cmsAlbums
 * @property CmsAlbum[] $cmsAlbums0
 * @property CmsBlog[] $cmsBlogs
 * @property CmsBlog[] $cmsBlogs0
 * @property CmsEntityAsset[] $cmsEntityAssets
 * @property CmsEntityAsset[] $cmsEntityAssets0
 * @property CmsEntityKeyword[] $cmsEntityKeywords
 * @property CmsEntityKeyword[] $cmsEntityKeywords0
 * @property CmsEntityVideo[] $cmsEntityVideos
 * @property CmsEntityVideo[] $cmsEntityVideos0
 * @property CmsEvent[] $cmsEvents
 * @property CmsEvent[] $cmsEvents0
 * @property CmsFaq[] $cmsFaqs
 * @property CmsFaq[] $cmsFaqs0
 * @property CmsPage[] $cmsPages
 * @property CmsPage[] $cmsPages0
 * @property CmsTeamMember[] $cmsTeamMembers
 * @property CmsTeamMember[] $cmsTeamMembers0
 * @property CmsTestimonial[] $cmsTestimonials
 * @property CmsTestimonial[] $cmsTestimonials0
 * @property CoreAttributeClass[] $coreAttributeClasses
 * @property CoreAttributeClass[] $coreAttributeClasses0
 * @property CoreEntityAttribute[] $coreEntityAttributes
 * @property CoreEntityAttribute[] $coreEntityAttributes0
 * @property CoreEntityClass[] $coreEntityClasses
 * @property CoreEntityClass[] $coreEntityClasses0
 * @property CoreEntitySite[] $coreEntitySites
 * @property CoreEntitySite[] $coreEntitySites0
 * @property CoreKeyword[] $coreKeywords
 * @property CoreKeyword[] $coreKeywords0
 * @property CoreLanguage[] $coreLanguages
 * @property CoreLanguage[] $coreLanguages0
 * @property CoreSite[] $coreSites
 * @property CoreSite[] $coreSites0
 * @property CoreValue[] $coreValues
 * @property CoreValue[] $coreValues0
 * @property LmsActivity[] $lmsActivities
 * @property LmsActivity[] $lmsActivities0
 * @property LmsCourse[] $lmsCourses
 * @property LmsCourse[] $lmsCourses0
 * @property LmsCourseActivity[] $lmsCourseActivities
 * @property LmsCourseActivity[] $lmsCourseActivities0
 * @property LmsUserCourse[] $lmsUserCourses
 * @property LmsUserCourse[] $lmsUserCourses0
 * @property LmsUserCourse[] $lmsUserCourses1
 * @property LmsUserCourseActivity[] $lmsUserCourseActivities
 * @property LmsUserCourseActivity[] $lmsUserCourseActivities0
 * @property LmsUserCourseActivity[] $lmsUserCourseActivities1
 * @property LmsUserCourseActivityAttempt[] $lmsUserCourseActivityAttempts
 * @property LmsUserCourseActivityAttempt[] $lmsUserCourseActivityAttempts0
 * @property LmsUserCourseActivityAttempt[] $lmsUserCourseActivityAttempts1
 * @property LogsVisitor[] $logsVisitors
 * @property LogsVisitor[] $logsVisitors0
 * @property MailerCampaign[] $mailerCampaigns
 * @property MailerCampaign[] $mailerCampaigns0
 * @property MailerContact[] $mailerContacts
 * @property MailerContact[] $mailerContacts0
 * @property PaymentLogs[] $paymentLogs
 * @property PaymentLogs[] $paymentLogs0
 * @property PaymentMethod[] $paymentMethods
 * @property PaymentMethod[] $paymentMethods0
 * @property PaymentRebillData[] $paymentRebillDatas
 * @property PaymentRebillData[] $paymentRebillDatas0
 * @property PaymentRebillData[] $paymentRebillDatas1
 * @property ShopCart[] $shopCarts
 * @property ShopCart[] $shopCarts0
 * @property ShopCart[] $shopCarts1
 * @property ShopCategory[] $shopCategories
 * @property ShopCategory[] $shopCategories0
 * @property AccountingCurrencie[] $accountingCurrencies
 * @property AccountingCurrencie[] $accountingCurrencies0
 * @property ShopLogsOrderStatus[] $shopLogsOrderStatuses
 * @property ShopLogsOrderStatus[] $shopLogsOrderStatuses0
 * @property ShopLogsOrderStatus[] $shopLogsOrderStatuses1
 * @property ShopOrder[] $shopOrders
 * @property ShopOrder[] $shopOrders0
 * @property ShopOrder[] $shopOrders1
 * @property ShopOrderItem[] $shopOrderItems
 * @property ShopOrderItem[] $shopOrderItems0
 * @property ShopOrderStatus[] $shopOrderStatuses
 * @property ShopOrderStatus[] $shopOrderStatuses0
 * @property ShopProduct[] $shopProducts
 * @property ShopProduct[] $shopProducts0
 * @property ShopProductTraitValue[] $shopProductTraitValues
 * @property ShopProductTraitValue[] $shopProductTraitValues0
 * @property ShopRefund[] $shopRefunds
 * @property ShopRefund[] $shopRefunds0
 * @property ShopRefund[] $shopRefunds1
 * @property ShopRefund2[] $shopRefund2s
 * @property ShopRefund2[] $shopRefund2s0
 * @property ShopSubcategory[] $shopSubcategories
 * @property ShopSubcategory[] $shopSubcategories0
 * @property AccountingTax[] $accountingTaxes
 * @property AccountingTax[] $accountingTaxes0
 * @property ShopTrait[] $shopTraits
 * @property ShopTrait[] $shopTraits0
 * @property ShopTraitValue[] $shopTraitValues
 * @property ShopTraitValue[] $shopTraitValues0
 * @property ShopVoucher[] $shopVouchers
 * @property ShopVoucher[] $shopVouchers0
 * @property ShopWishlist[] $shopWishlists
 * @property ShopWishlist[] $shopWishlists0
 * @property ShopWishlist[] $shopWishlists1
 * @property SiteContact[] $siteContacts
 * @property SiteContact[] $siteContacts0
 * @property SiteMail[] $siteMails
 * @property SiteMail[] $siteMails0
 * @property SiteNewsletters[] $siteNewsletters
 * @property SiteNewsletters[] $siteNewsletters0
 * @property SiteNewsletters[] $siteNewsletters1
 * @property SiteNotification[] $siteNotifications
 * @property SiteNotification[] $siteNotifications0
 * @property SiteNotification[] $siteNotifications1
 * @property SiteReview[] $siteReviews
 * @property SiteReview[] $siteReviews0
 * @property SiteReview[] $siteReviews1
 * @property SiteTranslation[] $siteTranslations
 * @property SiteTranslation[] $siteTranslations0
 * @property UserRole $role
 * @property User $createdBy
 * @property User[] $users
 * @property User $updatedBy
 * @property User[] $users0
 * @property UserProfile $userProfile
 * @property CoreSite $site
 * @property UserLogsLogin[] $userLogsLogins
 * @property UserLogsLogin[] $userLogsLogins0
 * @property UserProfile[] $userProfiles
 * @property UserProfile[] $userProfiles0
 * @property UserProfile[] $userProfiles1
 * @property UserRole[] $userRoles
 * @property UserRole[] $userRoles0
 */
class User extends \common\modules\core\models\GenesysActiveRecord implements Linkable
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return '{{%user}}';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['email', 'password_hash', 'auth_key', 'role_id', 'site_id'], 'required'],
            [['role_id', 'site_id', 'created_by', 'updated_by'], 'integer'],
            [['metadata', 'status'], 'string'],
            [['created_at', 'updated_at'], 'safe'],
            [['email', 'password_hash', 'auth_key', 'password_reset_token', 'access_token'], 'string', 'max' => 255],
            [['email'], 'unique'],
            [['password_reset_token'], 'unique'],
            [['access_token'], 'unique'],
            [['role_id'], 'exist', 'skipOnError' => true, 'targetClass' => \common\modules\user\models\UserRole::className(), 'targetAttribute' => ['role_id' => 'id']],
            [['created_by'], 'exist', 'skipOnError' => true, 'targetClass' => \common\modules\user\models\User::className(), 'targetAttribute' => ['created_by' => 'id']],
            [['updated_by'], 'exist', 'skipOnError' => true, 'targetClass' => \common\modules\user\models\User::className(), 'targetAttribute' => ['updated_by' => 'id']],
            [['site_id'], 'exist', 'skipOnError' => true, 'targetClass' => \common\modules\core\models\CoreSite::className(), 'targetAttribute' => ['site_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'email' => 'Email',
            'password_hash' => 'Password Hash',
            'auth_key' => 'Auth Key',
            'password_reset_token' => 'Password Reset Token',
            'access_token' => 'Access Token',
            'role_id' => 'Role ID',
            'site_id' => 'Site ID',
            'metadata' => 'Metadata',
            'created_by' => 'Created By',
            'updated_by' => 'Updated By',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'status' => 'Status',
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function fields()
    {
        $fields = parent::fields();

        // remove fields that contain sensitive information
        unset($fields['auth_key'], $fields['password_hash'], $fields['password_reset_token'], $fields['access_token']);

        return $fields;
    }

    /**
     * {@inheritdoc}
     */
    public function getLinks()
    {
        return [
            Link::REL_SELF => \yii\helpers\Url::to(['user/view', 'id' => $this->id], true),
        ];
    }

    public function generateAccessToken($id)
    {
        $modelUser = self::find()->where(['id' => $id, 'status' => 'active'])->one();

        $modelUser->access_token = Yii::$app->security->generateRandomString();
        $modelUser->updated_at = date("Y-m-d H:i:s");

        if ($modelUser->validate()) {
            $modelUser->save();
        } else {
            $errors = $modelUser->errors;

            throw new Exception('Unable to generate access token.', $errors, 422);
        }

        return $modelUser->access_token;
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getAssetManagers()
    {
        return $this->hasMany(\common\modules\assetManager\models\AssetManager::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getAssetManagers0()
    {
        return $this->hasMany(\common\modules\assetManager\models\AssetManager::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsAlbums()
    {
        return $this->hasMany(\common\modules\cms\models\CmsAlbum::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsAlbums0()
    {
        return $this->hasMany(\common\modules\cms\models\CmsAlbum::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsBlogs()
    {
        return $this->hasMany(\common\modules\cms\models\CmsBlog::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsBlogs0()
    {
        return $this->hasMany(\common\modules\cms\models\CmsBlog::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsEntityAssets()
    {
        return $this->hasMany(\common\modules\cms\models\CmsEntityAsset::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsEntityAssets0()
    {
        return $this->hasMany(\common\modules\cms\models\CmsEntityAsset::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsEntityKeywords()
    {
        return $this->hasMany(\common\modules\cms\models\CmsEntityKeyword::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsEntityKeywords0()
    {
        return $this->hasMany(\common\modules\cms\models\CmsEntityKeyword::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsEntityVideos()
    {
        return $this->hasMany(\common\modules\cms\models\CmsEntityVideo::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsEntityVideos0()
    {
        return $this->hasMany(\common\modules\cms\models\CmsEntityVideo::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsEvents()
    {
        return $this->hasMany(\common\modules\cms\models\CmsEvent::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsEvents0()
    {
        return $this->hasMany(\common\modules\cms\models\CmsEvent::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsFaqs()
    {
        return $this->hasMany(\common\modules\cms\models\CmsFaq::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsFaqs0()
    {
        return $this->hasMany(\common\modules\cms\models\CmsFaq::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsPages()
    {
        return $this->hasMany(\common\modules\cms\models\CmsPage::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsPages0()
    {
        return $this->hasMany(\common\modules\cms\models\CmsPage::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsTeamMembers()
    {
        return $this->hasMany(\common\modules\cms\models\CmsTeamMember::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsTeamMembers0()
    {
        return $this->hasMany(\common\modules\cms\models\CmsTeamMember::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsTestimonials()
    {
        return $this->hasMany(\common\modules\cms\models\CmsTestimonial::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCmsTestimonials0()
    {
        return $this->hasMany(\common\modules\cms\models\CmsTestimonial::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreAttributeClasses()
    {
        return $this->hasMany(\common\modules\core\models\CoreAttributeClass::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreAttributeClasses0()
    {
        return $this->hasMany(\common\modules\core\models\CoreAttributeClass::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreEntityAttributes()
    {
        return $this->hasMany(\common\modules\core\models\CoreEntityAttribute::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreEntityAttributes0()
    {
        return $this->hasMany(\common\modules\core\models\CoreEntityAttribute::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreEntityClasses()
    {
        return $this->hasMany(\common\modules\core\models\CoreEntityClass::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreEntityClasses0()
    {
        return $this->hasMany(\common\modules\core\models\CoreEntityClass::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreEntitySites()
    {
        return $this->hasMany(\common\modules\core\models\CoreEntitySite::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreEntitySites0()
    {
        return $this->hasMany(\common\modules\core\models\CoreEntitySite::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreKeywords()
    {
        return $this->hasMany(\common\modules\core\models\CoreKeyword::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreKeywords0()
    {
        return $this->hasMany(\common\modules\core\models\CoreKeyword::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreLanguages()
    {
        return $this->hasMany(\common\modules\core\models\CoreLanguage::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreLanguages0()
    {
        return $this->hasMany(\common\modules\core\models\CoreLanguage::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreSites()
    {
        return $this->hasMany(\common\modules\core\models\CoreSite::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreSites0()
    {
        return $this->hasMany(\common\modules\core\models\CoreSite::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreValues()
    {
        return $this->hasMany(\common\modules\core\models\CoreValue::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCoreValues0()
    {
        return $this->hasMany(\common\modules\core\models\CoreValue::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsActivities()
    {
        return $this->hasMany(\common\modules\lms\models\LmsActivity::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsActivities0()
    {
        return $this->hasMany(\common\modules\lms\models\LmsActivity::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsCourses()
    {
        return $this->hasMany(\common\modules\lms\models\LmsCourse::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsCourses0()
    {
        return $this->hasMany(\common\modules\lms\models\LmsCourse::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsCourseActivities()
    {
        return $this->hasMany(\common\modules\lms\models\LmsCourseActivity::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsCourseActivities0()
    {
        return $this->hasMany(\common\modules\lms\models\LmsCourseActivity::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsUserCourses()
    {
        return $this->hasMany(\common\modules\lms\models\LmsUserCourse::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsUserCourses0()
    {
        return $this->hasMany(\common\modules\lms\models\LmsUserCourse::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsUserCourses1()
    {
        return $this->hasMany(\common\modules\lms\models\LmsUserCourse::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsUserCourseActivities()
    {
        return $this->hasMany(\common\modules\lms\models\LmsUserCourseActivity::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsUserCourseActivities0()
    {
        return $this->hasMany(\common\modules\lms\models\LmsUserCourseActivity::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsUserCourseActivities1()
    {
        return $this->hasMany(\common\modules\lms\models\LmsUserCourseActivity::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsUserCourseActivityAttempts()
    {
        return $this->hasMany(\common\modules\lms\models\LmsUserCourseActivityAttempt::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsUserCourseActivityAttempts0()
    {
        return $this->hasMany(\common\modules\lms\models\LmsUserCourseActivityAttempt::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLmsUserCourseActivityAttempts1()
    {
        return $this->hasMany(\common\modules\lms\models\LmsUserCourseActivityAttempt::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLogsVisitors()
    {
        return $this->hasMany(\common\modules\logs\models\LogsVisitor::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLogsVisitors0()
    {
        return $this->hasMany(\common\modules\logs\models\LogsVisitor::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getMailerCampaigns()
    {
        return $this->hasMany(\common\modules\mailer\models\MailerCampaign::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getMailerCampaigns0()
    {
        return $this->hasMany(\common\modules\mailer\models\MailerCampaign::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getMailerContacts()
    {
        return $this->hasMany(\common\modules\mailer\models\MailerContact::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getMailerContacts0()
    {
        return $this->hasMany(\common\modules\mailer\models\MailerContact::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentLogs()
    {
        return $this->hasMany(\common\modules\payment\models\PaymentLogs::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentLogs0()
    {
        return $this->hasMany(\common\modules\payment\models\PaymentLogs::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentMethods()
    {
        return $this->hasMany(\common\modules\payment\models\PaymentMethod::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentMethods0()
    {
        return $this->hasMany(\common\modules\payment\models\PaymentMethod::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentRebillDatas()
    {
        return $this->hasMany(\common\modules\payment\models\PaymentRebillData::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentRebillDatas0()
    {
        return $this->hasMany(\common\modules\payment\models\PaymentRebillData::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPaymentRebillDatas1()
    {
        return $this->hasMany(\common\modules\payment\models\PaymentRebillData::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopCarts()
    {
        return $this->hasMany(\common\modules\shop\models\ShopCart::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopCarts0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopCart::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopCarts1()
    {
        return $this->hasMany(\common\modules\shop\models\ShopCart::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopCategories()
    {
        return $this->hasMany(\common\modules\shop\models\ShopCategory::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopCategories0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopCategory::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getAccountingCurrencies()
    {
        return $this->hasMany(\common\modules\accounting\models\AccountingCurrency::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getAccountingCurrencies0()
    {
        return $this->hasMany(\common\modules\accounting\models\AccountingCurrency::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopLogsOrderStatuses()
    {
        return $this->hasMany(\common\modules\shop\models\ShopLogsOrderStatus::className(), ['changed_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopLogsOrderStatuses0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopLogsOrderStatus::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopLogsOrderStatuses1()
    {
        return $this->hasMany(\common\modules\shop\models\ShopLogsOrderStatus::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopOrders()
    {
        return $this->hasMany(\common\modules\shop\models\ShopOrder::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopOrders0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopOrder::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopOrders1()
    {
        return $this->hasMany(\common\modules\shop\models\ShopOrder::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopOrderItems()
    {
        return $this->hasMany(\common\modules\shop\models\ShopOrderItem::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopOrderItems0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopOrderItem::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopOrderStatuses()
    {
        return $this->hasMany(\common\modules\shop\models\ShopOrderStatus::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopOrderStatuses0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopOrderStatus::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopProducts()
    {
        return $this->hasMany(\common\modules\shop\models\ShopProduct::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopProducts0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopProduct::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopProductTraitValues()
    {
        return $this->hasMany(\common\modules\shop\models\ShopProductTraitValue::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopProductTraitValues0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopProductTraitValue::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopRefunds()
    {
        return $this->hasMany(\common\modules\shop\models\ShopRefund::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopRefunds0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopRefund::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopRefunds1()
    {
        return $this->hasMany(\common\modules\shop\models\ShopRefund::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopRefund2s()
    {
        return $this->hasMany(\common\modules\shop\models\ShopRefund2::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopRefund2s0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopRefund2::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopSubcategories()
    {
        return $this->hasMany(\common\modules\shop\models\ShopSubcategory::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopSubcategories0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopSubcategory::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getAccountingTaxes()
    {
        return $this->hasMany(\common\modules\accounting\models\AccountingTax::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getAccountingTaxes0()
    {
        return $this->hasMany(\common\modules\accounting\models\AccountingTax::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopTraits()
    {
        return $this->hasMany(\common\modules\shop\models\ShopTrait::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopTraits0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopTrait::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopTraitValues()
    {
        return $this->hasMany(\common\modules\shop\models\ShopTraitValue::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopTraitValues0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopTraitValue::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopVouchers()
    {
        return $this->hasMany(\common\modules\shop\models\ShopVoucher::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopVouchers0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopVoucher::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopWishlists()
    {
        return $this->hasMany(\common\modules\shop\models\ShopWishlist::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopWishlists0()
    {
        return $this->hasMany(\common\modules\shop\models\ShopWishlist::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getShopWishlists1()
    {
        return $this->hasMany(\common\modules\shop\models\ShopWishlist::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteContacts()
    {
        return $this->hasMany(\common\modules\site\models\SiteContact::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteContacts0()
    {
        return $this->hasMany(\common\modules\site\models\SiteContact::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteMails()
    {
        return $this->hasMany(\common\modules\site\models\SiteMail::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteMails0()
    {
        return $this->hasMany(\common\modules\site\models\SiteMail::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteNewsletters()
    {
        return $this->hasMany(\common\modules\site\models\SiteNewsletters::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteNewsletters0()
    {
        return $this->hasMany(\common\modules\site\models\SiteNewsletters::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteNewsletters1()
    {
        return $this->hasMany(\common\modules\site\models\SiteNewsletters::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteNotifications()
    {
        return $this->hasMany(\common\modules\site\models\SiteNotification::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteNotifications0()
    {
        return $this->hasMany(\common\modules\site\models\SiteNotification::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteNotifications1()
    {
        return $this->hasMany(\common\modules\site\models\SiteNotification::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteReviews()
    {
        return $this->hasMany(\common\modules\site\models\SiteReview::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteReviews0()
    {
        return $this->hasMany(\common\modules\site\models\SiteReview::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteReviews1()
    {
        return $this->hasMany(\common\modules\site\models\SiteReview::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteTranslations()
    {
        return $this->hasMany(\common\modules\site\models\SiteTranslation::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSiteTranslations0()
    {
        return $this->hasMany(\common\modules\site\models\SiteTranslation::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getRole()
    {
        return $this->hasOne(\common\modules\user\models\UserRole::className(), ['id' => 'role_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreatedBy()
    {
        return $this->hasOne(\common\modules\user\models\User::className(), ['id' => 'created_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUsers()
    {
        return $this->hasMany(\common\modules\user\models\User::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUpdatedBy()
    {
        return $this->hasOne(\common\modules\user\models\User::className(), ['id' => 'updated_by']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUsers0()
    {
        return $this->hasMany(\common\modules\user\models\User::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSite()
    {
        return $this->hasOne(\common\modules\core\models\CoreSite::className(), ['id' => 'site_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUserLogsLogins()
    {
        return $this->hasMany(\common\modules\user\models\UserLogsLogin::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUserLogsLogins0()
    {
        return $this->hasMany(\common\modules\user\models\UserLogsLogin::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUserProfiles()
    {
        return $this->hasMany(\common\modules\user\models\UserProfile::className(), ['user_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUserProfiles0()
    {
        return $this->hasMany(\common\modules\user\models\UserProfile::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUserProfiles1()
    {
        return $this->hasMany(\common\modules\user\models\UserProfile::className(), ['updated_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUserRoles()
    {
        return $this->hasMany(\common\modules\user\models\UserRole::className(), ['created_by' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUserRoles0()
    {
        return $this->hasMany(\common\modules\user\models\UserRole::className(), ['updated_by' => 'id']);
    }
    
    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUserProfile()
    {
        return $this->hasOne(\common\modules\user\models\UserProfile::className(), ['user_id' => 'id']);
    }
    
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            [
                'class' => \yii\behaviors\TimestampBehavior::className(),
                'createdAtAttribute' => 'created_at',
                'updatedAtAttribute' => 'updated_at',
                'value' => new Expression('NOW()'),
            ],
        ];
    }

    public function softDelete()
    {
        $transaction = Yii::$app->db->beginTransaction();

        try {
            $this->status = 'inactive';
            
            if ($this->validate()) {
                $this->save();

                if (UserProfile::find()->where(['user_id' => $this->id, 'status' => 'active'])->exists()) {
                    $modelUserProfile = UserProfile::find()->where(['user_id' => $this->id, 'status' => 'active'])->all();

                    foreach ($modelUserProfile as $key => $value) {
                        $value->softDelete();
                    }
                }

                $transaction->commit();
            } else {
                $transaction->rollBack();

                throw new \yii\web\HttpException(500, 'Unable to delete.');
            }
        } catch (\Exception $e) {
            $transaction->rollBack();

            throw $e;
        }
    }

    public function saveUser($post_data, $user_id = 0)
    {
        $session = Yii::$app->session;

        $modelUser = new User();
        $modelUserProfile = new UserProfile();

        $transaction = Yii::$app->db->beginTransaction();

        try {
            if (isset($user_id) && $user_id > 0 && User::find()->where(['id' => $user_id, 'status' => 'active'])->exists()) {   // Model already exists
                $modelUser = User::findOne(['id' => $user_id, 'status' => 'active']);

                $tmp_password = $modelUser->password_hash;

                $modelUser->load($post_data);

                if ($tmp_password != $post_data['User']['password_hash']) {
                    $modelUser->password_hash = Yii::$app->security->generatePasswordHash($post_data['User']['password_hash']);
                }

                if (isset($post_data['User']['updated_by'])) {
                    $modelUser->updated_by = $post_data['User']['updated_by'];
                } else {
                    $modelUser->updated_by = Yii::$app->user->id;
                }

                $modelUser->metadata = isset($post_data['User']['UserMetadata']) ? Globals::setJson($post_data['User']['UserMetadata']) : '';
            } else {    // Create a new model
                $modelUser->load($post_data);

                $modelUser->password_hash = Yii::$app->security->generatePasswordHash($post_data['User']['password_hash']);
                $modelUser->auth_key = Yii::$app->security->generateRandomString();
                $modelUser->status = 'active';

                if (!isset($post_data['User']['site_id']) || empty($post_data['User']['site_id'])) {
                    $modelUser->site_id = (int) CoreSite::getAttr(['id'], ['code' => Yii::$app->params['site_code']]);
                }

                if (isset($post_data['User']['created_by'], $post_data['User']['updated_by'])) {
                    $modelUser->created_by = $post_data['User']['created_by'];
                    $modelUser->updated_by = $post_data['User']['updated_by'];
                } else {
                    $modelUser->created_by = Yii::$app->user->id;
                    $modelUser->updated_by = Yii::$app->user->id;
                }

                $modelUser->metadata = isset($post_data['User']['UserMetadata']) ? Globals::setJson($post_data['User']['UserMetadata']) : '';
            }

            if ($modelUser->validate()) {
                $modelUser->save();

                if (isset($user_id) && $user_id > 0 && UserProfile::find()->where(['user_id' => $user_id, 'status' => 'active'])->exists()) {   // Model already exists
                    $modelUserProfile = UserProfile::findOne(['user_id' => $user_id, 'status' => 'active']);

                    $modelUserProfile->load($post_data);

                    if (isset($post_data['UserProfile']['updated_by'])) {
                        $modelUserProfile->updated_by = $post_data['UserProfile']['updated_by'];
                    } else {
                        $modelUserProfile->updated_by = Yii::$app->user->id;
                    }
                } else {    // Create a new model
                    $modelUserProfile->load($post_data);

                    $modelUserProfile->user_id = $modelUser->id;
                    $modelUserProfile->status = 'active';

                    if (isset($post_data['UserProfile']['created_by'], $post_data['UserProfile']['updated_by'])) {
                        $modelUserProfile->created_by = $post_data['UserProfile']['created_by'];
                        $modelUserProfile->updated_by = $post_data['UserProfile']['updated_by'];
                    } else {
                        $modelUserProfile->created_by = Yii::$app->user->id;
                        $modelUserProfile->updated_by = Yii::$app->user->id;
                    }
                }

                if ($modelUserProfile->validate()) {
                    $modelUserProfile->save();

                    $transaction->commit();

                    Yii::$app->session->setFlash('success', "User saved successfully.");

                    return $modelUser->id;
                } else {
                    $transaction->rollBack();

                    Yii::$app->session->setFlash('error', "Unable to save user profile " . Globals::renderErrors($modelUserProfile->getErrors()));

                    return false;
                }
            } else {
                $transaction->rollBack();

                Yii::$app->session->setFlash('error', "Unable to save user: " . Globals::renderErrors($modelUser->getErrors()));

                return false;
            }
        } catch (\Exception $e) {
            $transaction->rollBack();

            throw $e;
        }
    }
}
