<?php

namespace common\modules\user\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;

use common\modules\user\models\UserLogsLogin;

/**
 * UserLogsLoginSearch represents the model behind the search form of `common\modules\user\models\UserLogsLogin`.
 */
class UserLogsLoginSearch extends UserLogsLogin
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'site_id', 'created_by', 'updated_by'], 'integer'],
            [['user', 'app_name', 'success', 'ip_address', 'created_at', 'updated_at'], 'safe'],
        ];
    }

    public function attributes()
    {
        // add related fields to searchable attributes
        return array_merge(parent::attributes(), []);
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
		$query = UserLogsLogin::find();
	
        // add conditions that should always apply here
        $query->joinWith([]);

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC, 
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere(['mod_user_logs_login.site_id' => $this->site_id]);

        // grid filtering conditions
        $query->andFilterWhere(['like', 'mod_user_logs_login.user', $this->user])
            ->andFilterWhere(['like', 'mod_user_logs_login.app_name', $this->app_name])
            ->andFilterWhere(['like', 'mod_user_logs_login.success', $this->success])
            ->andFilterWhere(['like', 'mod_user_logs_login.ip_address', $this->ip_address])
            ->andFilterWhere(['like', 'mod_user_logs_login.id', $this->id])
            ->andFilterWhere(['like', 'mod_user_logs_login.created_by', $this->created_by])
            ->andFilterWhere(['like', 'mod_user_logs_login.updated_by', $this->updated_by])
            ->andFilterWhere(['like', 'mod_user_logs_login.created_at', $this->created_at])
            ->andFilterWhere(['like', 'mod_user_logs_login.updated_at', $this->updated_at]);

        return $dataProvider;
    }
}
