<?php

use yii\bootstrap4\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel common\modules\user\models\UserLogsLoginSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Logs Logins';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="container-fluid user-logs-login-index">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-md-12">
                            <?php //= Html::a('Create Logs Login', ['create'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>

                    <?php Pjax::begin(); ?>
                    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

                    <?= GridView::widget([
                        'dataProvider' => $dataProvider,
                        'options' => ['class' => 'table-responsive'],
                        'filterModel' => $searchModel,
                        'columns' => [
                            ['class' => 'yii\grid\SerialColumn'],

                            ['attribute' => 'id', 'label' => 'Logs Login ID', 'value' => 'id'],
                            'user',
                            'app_name',
                            'success',
                            [
                                'attribute' => 'site_id',
                                'label' => 'Site',
                                'value' => function ($model, $key, $index, $widget) {
                                    return \common\modules\core\models\CoreSite::getAttr(['name'], ['id' => $model['site_id']]);
                                },
                                'filter' => \common\modules\core\models\CoreSite::getAll($k = 'id', $v = 'name'),
                            ],
                            'ip_address',
                            // 'created_by',
                            // 'updated_by',
                            'created_at',
                            'updated_at',

                            [
                                'class' => 'hail812\adminlte3\yii\grid\ActionColumn',
                                'template' => '{view}',
                            ],
                        ],
                        'summaryOptions' => ['class' => 'summary mb-2'],
                        'pager' => [
                            'class' => 'yii\bootstrap4\LinkPager',
                        ]
                    ]); ?>

                    <?php Pjax::end(); ?>
                </div>
                <!--.card-body-->
            </div>
            <!--.card-->
        </div>
        <!--.col-md-12-->
    </div>
    <!--.row-->
</div>