<?php

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;


/* @var $this yii\web\View */
/* @var $model common\modules\user\models\User */
/* @var $form yii\bootstrap4\ActiveForm */

$data_tmp = $data;

extract($data_tmp);
?>

<div class="user-form">

    <?php $form = ActiveForm::begin(['id' => 'user-form']); ?>

    <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'password_hash')->textInput(['maxlength' => true])->label('Password') ?>

    <?= $form->field($model, 'role_id')->dropDownList(\common\modules\user\models\UserRole::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Role'])->label('Role') ?>

    <?= $form->field($model, 'site_id')->dropDownList(\common\modules\core\models\CoreSite::getAll($k = 'id', $v = 'name'), ['prompt' => 'Select Site'])->label('Site') ?>
	
    <?= $form->field($modelUserProfile, 'first_name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($modelUserProfile, 'last_name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($modelUserProfile, 'gender')->dropDownList(['male' => 'Male', 'female' => 'Female'], ['prompt' => 'Select Gender']) ?>

    <?= $form->field($modelUserProfile, 'date_of_birth')->widget(\kartik\date\DatePicker::classname(), [
        'type' => \kartik\date\DatePicker::TYPE_COMPONENT_APPEND,
        'pluginOptions' => [
            'autoclose' => true,
            'format' => 'yyyy-mm-dd'
        ]
    ]); ?>

    <?= $form->field($modelUserProfile, 'avatar')->textInput(['maxlength' => true])->label('Avatar') ?>

    <?= $form->field($modelUserProfile, 'ba_address')->textInput(['maxlength' => true])->label('Billing Address') ?>

    <?= $form->field($modelUserProfile, 'ba_city')->textInput(['maxlength' => true])->label('Billing City') ?>

    <?= $form->field($modelUserProfile, 'ba_country')->textInput(['maxlength' => true])->label('Billing Country') ?>

    <?= $form->field($modelUserProfile, 'ba_zip_code')->textInput(['maxlength' => true])->label('Billing Zip Code') ?>

    <div class="checkbox text-center">
        <label>
            <input type="checkbox" id="checkbox-set-shipping-address" name="checkbox_set_shipping_address"> <b>Shipping Address is same as Billing Address</b>
        </label>
    </div>

    <?= $form->field($modelUserProfile, 'sa_address')->textInput(['maxlength' => true])->label('Shipping Address') ?>

    <?= $form->field($modelUserProfile, 'sa_city')->textInput(['maxlength' => true])->label('Shipping City') ?>

    <?= $form->field($modelUserProfile, 'sa_country')->textInput(['maxlength' => true])->label('Shipping Country') ?>

    <?= $form->field($modelUserProfile, 'sa_zip_code')->textInput(['maxlength' => true])->label('Shipping Zip Code') ?>

    <?= $form->field($modelUserProfile, 'phone')->textInput(['maxlength' => true]) ?>

    <?= $form->field($modelUserProfile, 'newsletters')->dropDownList(['yes' => 'Yes', 'no' => 'No'], ['prompt' => 'Select Newsletters']) ?>

    <?= $this->render('@common/views/_form-metadata', [
        'model' => $model,
        'metadata' => 'user_metadata',
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

<?php 
$script = <<< JS
$(document).ready(function() {
    $('#checkbox-set-shipping-address').click(function() {
        if ($(this).is(':checked')) {
            $('.field-userprofile-sa_address, .field-userprofile-sa_city, .field-userprofile-sa_country, .field-userprofile-sa_zip_code').hide();

            $('#userprofile-sa_address').val($('#userprofile-ba_address').val());
            $('#userprofile-sa_city').val($('#userprofile-ba_city').val());
            $('#userprofile-sa_country').val($('#userprofile-ba_country').val());
            $('#userprofile-sa_zip_code').val($('#userprofile-ba_zip_code').val());
        } else {
            $('.field-userprofile-sa_address, .field-userprofile-sa_city, .field-userprofile-sa_country, .field-userprofile-sa_zip_code').show();

            $('#userprofile-sa_address').val('');
            $('#userprofile-sa_city').val('');
            $('#userprofile-sa_country').val('');
            $('#userprofile-sa_zip_code').val('');
        }
    });
}); 
JS;

$this->registerJs($script);
?>
