<?php

use yii\bootstrap4\Html;
use dosamigos\tinymce\TinyMce;

extract($data);

$model_class = explode('\\', get_class($model));
$model_class = array_pop($model_class);
?>

<?php foreach (\common\modules\core\models\CoreEntityAttribute::getAttributeClassesOfEntityClass($entity_name) as $attributeClassKey => $attributeClassValue) { ?>
    <?php if (!isset($$attributeClassValue)) { continue; } ?>
    
    <?php foreach ($modelCoreLanguage as $key => $value) { ?>
        <div class="form-group">
            <label for="<?= $entity_name ?>-name_value_<?= $value['code'] ?>"><?= \yii\helpers\Inflector::titleize(ucfirst($attributeClassValue), true) . ' (' . strtoupper($value->code) . ')' ?></label>
            
            <?php 
            $tmp = $$attributeClassValue[$value->id];

            switch (Yii::$app->params['attributeFormFields'][$attributeClassValue]) {
                case 'input_text':
                    echo Html::input('text', $model_class . '[' . $attributeClassValue . '][value][' . $value->id . ']', isset($tmp) ? $tmp : '', ['class' => 'form-control']);
                    
                    break;

                case 'wysiwyg': 
                    echo TinyMce::widget([
                        'name' => $model_class . '[' . $attributeClassValue . '][value][' . $value->id . ']',
                        'value' => isset($tmp) ? $tmp : '',
                        'options' => ['rows' => 6],
                        'language' => 'en_GB',
                        'clientOptions' => [
                            'plugins' => [
                                "advlist autolink lists link charmap print preview anchor hr",
                                "searchreplace visualblocks code fullscreen",
                                "insertdatetime media table contextmenu paste"
                            ],
                            'toolbar' => "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image | small"
                        ]
                    ]);
                    
                    break;
                
                default:
                    echo Html::input('text', $model_class . '[' . $attributeClassValue . '][value][' . $value->id . ']', isset($tmp) ? $tmp : '', ['class' => 'form-control']);
                    
                    break;
            }
            ?>
        </div>
    <?php } ?>
<?php } ?>