<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

?>

<?php $form = ActiveForm::begin() ?>
    <div class="row">
        <div class="col-sm-6">
            <?= $form->field($modelFormLead, 'first_name')->textInput(['autofocus' => true])->label('First Name*') ?>
        </div>
        <div class="col-sm-6">
            <?= $form->field($modelFormLead, 'last_name')->label('Last Name*') ?>
        </div>
    </div>

    <div class="row">
        <div class="col-sm-6">
            <?= $form->field($modelFormLead, 'email')->label('Email*') ?>
        </div>
        <div class="col-sm-6">
            <?= $form->field($modelFormLead, 'phone')->label('Phone') ?>
        </div>
    </div>
    
    <?= $form->field($modelFormLead, 'organization')->label('Organization') ?>

    <?= $form->field($modelFormLead, 'designation')->label('Designation') ?>

    <?= $form->field($modelFormLead, 'country')->dropDownList(Yii::$app->params['contact_metadata']['country']['data'], ['prompt' => 'Select Country'])->label('Country') ?>

    <?php if (isset($_GET['lead_type']) && array_key_exists($_GET['lead_type'], Yii::$app->params['contact_metadata']['lead_type']['data'])) { ?>
        <?= $form->field($modelFormLead, 'lead_type')->hiddenInput(['value' => $_GET['lead_type']])->label(false) ?>
    <?php } ?>

    <?php if (isset($_GET['product']) && array_key_exists($_GET['product'], Yii::$app->params['contact_metadata']['product']['data'])) { ?>
        <?= $form->field($modelFormLead, 'product')->hiddenInput(['value' => $_GET['product']])->label(false) ?>
    <?php } ?>

    <?php if (isset($_GET['source']) && array_key_exists($_GET['source'], Yii::$app->params['contact_metadata']['source']['data'])) { ?>
        <?= $form->field($modelFormLead, 'source')->hiddenInput(['value' => $_GET['source']])->label(false) ?>
    <?php } ?>

    <?php if (isset($_GET['mailer_campaign'])) { ?>
        <?= $form->field($modelFormLead, 'mailer_campaign')->hiddenInput(['value' => $_GET['mailer_campaign']])->label(false) ?>
    <?php } ?>

    <div class="form-group">
        <div>
            <div class="input-field col-sm-8 col-xs-12">
                <?= $form->field($modelFormLead, 'reCaptcha')->widget(\himiklab\yii2\recaptcha\ReCaptcha::className())->label('') ?>
            </div>
            <div class="input-field col-sm-4 col-xs-12 text-center">
                <br>
                
                <?= Html::submitButton('Submit', ['class' => 'btn btn-primary btn-lg', 'name' => 'btn_lead_gen', 'style' => '']) ?>
            </div>
        </div>
    </div>
<?php ActiveForm::end(); ?>