<?php $this->registerJsFile('//cdnjs.cloudflare.com/ajax/libs/Chart.js/3.8.0/chart.min.js', ['position' => \yii\web\View::POS_HEAD]); ?>

<canvas id="<?= $id ?>"></canvas>

<?php 
// echo "<pre>"; print_r($data); die();
$script = <<< JS
var minBars = $minBars;
var maxBars = $maxBars;

const moveChart$id = {
    id: 'moveChart',
    afterEvent(chart, args) {
        const {ctx, canvas, chartArea: {left, right, top, bottom, width, height}} = chart;

        canvas.addEventListener('mousemove', (event) => {
            const x = args.event.x;
            const y = args.event.y;

            if (x >= (left - 15) && x <= (left + 15) && y >= height / 2 + top - 15 && y <= height / 2 + top + 15) {
                canvas.style.cursor = 'pointer';
            } else if (x >= (right - 15) && x <= (right + 15) && y >= height / 2 + top - 15 && y <= height / 2 + top + 15) {
                canvas.style.cursor = 'pointer';
            } else {
                canvas.style.cursor = 'default';
            }
        });
    },
    afterDraw(chart, args, pluginOptions) {
        const {ctx, chartArea: {left, right, top, bottom, width, height}} = chart;

        class CircleChevron {
            draw(ctx, x1, pixel) {
                const angle = Math.PI / 180;

                // Draw circle
                ctx.beginPath();
                ctx.lineWidth = 3;
                ctx.strokeStyle = 'rgba(102, 102, 102, 0.5)';
                ctx.fillStyle = 'white';
                ctx.arc(x1, height / 2 + top, 15, angle * 0, angle * 360, false)
                ctx.stroke();
                ctx.fill();
                ctx.closePath();

                // Draw left chevron arrow
                ctx.beginPath();
                ctx.lineWidth = 3;
                ctx.strokeStyle = 'rgba(255, 26, 104, 1)';
                ctx.moveTo(x1 + pixel, height / 2 + top - 7.5);
                ctx.lineTo(x1 - pixel, height / 2 + top);
                ctx.lineTo(x1 + pixel, height / 2 + top + 7.5);
                ctx.stroke();
                ctx.closePath();
            };
        };

        let drawCircleLeft = new CircleChevron();
        drawCircleLeft.draw(ctx, left, 5);

        let drawCircleRight = new CircleChevron();
        drawCircleRight.draw(ctx, right, -5);
    }
};

const ctx$id = document.getElementById('$id').getContext('2d');

const myChart$id = new Chart(ctx$id, {
    type: 'line',
    data: {
        labels: [
JS;

$script .= '"' . implode('", "', $labels) . '"';

$script .= <<< JS
        ],
        datasets: [
            {
                label: '$label[0]',
                data: [
JS;

$script .= implode(', ', $data[0]);

$script .= <<< JS
                ],
                backgroundColor: ['#003f5c'],
                borderColor: ['#003f5c'],
                borderWidth: 1,
                yAxisID: 'y',
            },
            {
                label: '$label[1]',
                data: [
JS;

$script .= implode(', ', $data[1]);

$script .= <<< JS
                ],
                backgroundColor: ['#ff7c43'],
                borderColor: ['#ff7c43'],
                borderWidth: 1,
                yAxisID: 'y1',
            },
        ]
    },
    options: {
        responsive: true,
        layout: {
            padding: {
                right: 18
            },
        },
        scales: {
            x: {
                min: minBars,
                max: maxBars
            },
            y: {
                beginAtZero: true
            },
            y1: {
                beginAtZero: true,
                position: 'right'
            }
        }
    },
    plugins: [moveChart$id]
});

function moveScroll$id() {
    const {ctx, canvas, chartArea: {left, right, top, bottom, width, height}} = myChart$id;
    
    canvas.addEventListener('click', (event) => {
        const rect = canvas.getBoundingClientRect();
        const x = event.clientX - rect.left;
        const y = event.clientY - rect.top;

        if (x >= (left - 15) && x <= (left + 15) && y >= height / 2 + top - 15 && y <= height / 2 + top + 15) {
            myChart$id.options.scales.x.min = myChart$id.options.scales.x.min - (maxBars + 1);
            myChart$id.options.scales.x.max = myChart$id.options.scales.x.max - (maxBars + 1);

            if (myChart$id.options.scales.x.min <= 0) {
                myChart$id.options.scales.x.min = minBars;
                myChart$id.options.scales.x.max = maxBars;
            }
        }

        if (x >= (right - 15) && x <= (right + 15) && y >= height / 2 + top - 15 && y <= height / 2 + top + 15) {
            myChart$id.options.scales.x.min = myChart$id.options.scales.x.min + (maxBars + 1);
            myChart$id.options.scales.x.max = myChart$id.options.scales.x.max + (maxBars + 1);

            if (myChart$id.options.scales.x.max >= myChart$id.data.datasets[0].data.length) {
                myChart$id.options.scales.x.min = myChart$id.data.datasets[0].data.length - (maxBars + 1);
                myChart$id.options.scales.x.max = myChart$id.data.datasets[0].data.length;
            }
        }

        myChart$id.update();
    });
};

myChart$id.ctx.onclick = moveScroll$id();
JS;

$this->registerJs($script);
?>